commit 7184fc796279cfa70e4ba62519ac2938054584e6
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Sep 14 10:41:20 2021 -0400

    Update configure.ac for 3.3.10

commit 62e605c845d3c366849f48c977dfe0e320c23ff0
Author: Matteo Frigo <athena@fftw.org>
Date:   Mon May 31 09:55:57 2021 -0400

    Use -mavx2 instead of -march=core-avx2
    
    It appears that -march=core-avx2 was necessary on some old version of
    gcc-4.8, but setting -march is problematic for users who want to set
    -march themselves.
    
    It appears that whatever gcc bug caused us to use -march=core-avx2 in
    2015 is long gone.  I have checked gcc-4.8.5 on centos-7 and
    oraclelinux-7 (both 64-bit) and on 32-bit debian jessie and in all
    cases -mavx2 is sufficient.
    
    Therefore, given that the original cause for using -march is gone and
    that using -march causes problems, I am removing the automatic
    selection of -march=core-avx2 and I am using -mavx2 instead.  Users
    for whom this is a problem can still override the default via
    
      ./configure --enable-avx2 AVX2_CFLAGS=...

commit e9c510bf92a4fa848982310d2ecc8c5701aa3f6a
Author: Matteo Frigo <athena@fftw.org>
Date:   Thu Feb 25 17:52:44 2021 -0500

    Update NEWS.
    
    Bugfix 06855286 is noteworthy.

commit 06855286332683aa79a541eddc07ee535cfa4f95
Author: Matteo Frigo <athena@fftw.org>
Date:   Thu Feb 25 10:15:04 2021 -0500

    Fix aligment checks for n2*v codelets.
    
    n2{f,b}v codelets assume that all loads and stores are aligned.
    Thus, not only the pointers must be aligned, but all strides must
    be aligned as well (in the ALIGNEDA sense).
    
    For some reason, two-way SIMD, including double-precision sse2,
    defined SIMD_VSTRIDE_OKA(ivs) to be true always.  However, this is
    incorrect because the codelet only works if ivs is even.  This change
    implements the correct condition in all places where it matters.
    
    Thanks Kuangdai Leng for the bug report.
    
    This bug is deeply puzzling.  First, I don't understand how this
    bug survived for years despite uncountable randomized tests.  Second,
    I am pretty sure I fixed exactly this issue years ago and I don't
    understand how it came back.

commit d738232235af6c96bc4a28b07fc867c000696245
Author: Rui Oliveira <ruimail24@gmail.com>
Date:   Wed Feb 24 15:58:23 2021 +0000

    Fix SIMD detection for MSVC (#232)

commit 17b4252e3da62490d3e206569ebfec552d09afc1
Author: Vincent Jacques <vincent@vincent-jacques.net>
Date:   Sun Dec 27 20:16:40 2020 +0100

    Doc: remove duplicated "the" (#226)

commit 34082eb5d6ed7dc9436915df69f376c06fc39762
Author: Matteo Frigo <athena@fftw.org>
Date:   Thu Dec 10 06:54:31 2020 -0500

    Updated NEWS for fftw-3.3.9

commit a67409c50acd19180cc9b8f61c67354d392a9e66
Author: Steven G. Johnson <stevenj@mit.edu>
Date:   Tue Oct 20 12:20:45 2020 -0400

    undo inadvertent change in cdb950a60c8a5b723f25ec24639a824e021b780d

commit 16164a7bf3257376f22ddeda0842805d1c456b01
Author: Galen Lynch <glynch@mit.edu>
Date:   Thu Aug 20 13:22:23 2020 -0400

    First attempt at adding planner_nthreads (#205)
    
    * First attempt at adding planner_nthreads
    
    While you can currently set the maximum number of threads used by the planner,
    there is no way to check that number. This simply adds a new function,
    `planner_nthreads`, that provides this information, as was suggested by
    @stevengj.
    
    * Add basic testing of planner_nthreads
    
    In an attempt to verify that planner_nthreads works as intended, I have added an
    assertion in `fftw-bench.c` that `planner_nthreads` returns the nthreads just
    passed as an argument to `plan_with_nthreads`.

commit 8266ecd946bebf3214c3b13880c8c2110f0600a4
Author: Robin Lu <19875776+Lqlsoftware@users.noreply.github.com>
Date:   Thu Aug 13 22:45:16 2020 +0800

    Misspell: imlementation to implementation (#207)

commit 10e2040af822a08ed49d2f6a1db45a7a3ad50582
Author: Steven G. Johnson <stevenj@mit.edu>
Date:   Wed Aug 5 14:44:41 2020 -0400

    -no-gcc seems to have not been required with icc for years now, and is starting to cause problems with system headers on other platforms (fixes #184)

commit 78e01190450398d44c7ba7ac69d3e720b6af1f16
Author: Steven G. Johnson <stevenj@mit.edu>
Date:   Wed Jul 1 08:24:32 2020 -0400

    tag upper bound is 0x7fff, not 0xffff (fixes #206)

commit fe55435ee880569b85446ff9ba6640a7db53a025
Author: Holy Wu <holywu@gmail.com>
Date:   Wed Jul 1 06:04:27 2020 +0800

    Fix x86 compilation in MSVC (#198)

commit d832ca0e2f286650278563c6887c4f235785e606
Author: Matteo Frigo <athena@fftw.org>
Date:   Sat Jun 13 13:10:44 2020 -0400

    Fix incorrect math in 128-bit generic SIMD
    
    It looks like simd-generic128.h:VTW1 was copied&pasted from
    the equivalent SSE code, but the consumer of that structure
    (BYTW1) was assuming a different format.

commit ecba4071a7ece5c2fa6d93a21468a52dbb0522f5
Author: Matteo Frigo <athena@fftw.org>
Date:   Sat Jun 6 07:25:34 2020 -0400

    Update MIT contact address

commit 516116615362334c2051a16ec1658a888573ab63
Merge: 3a103f42 83707fdf
Author: Matteo Frigo <athena@fftw.org>
Date:   Fri May 1 16:57:58 2020 -0400

    Merge pull request #201 from muxator/patch-1
    
    README.md: link to README

commit 83707fdf9118b10fd88f67b206e5a2d2b69764c1
Author: muxator <muxator@users.noreply.github.com>
Date:   Fri May 1 20:21:53 2020 +0200

    README.md: link to README
    
    README.md refers the user to the text-only README, which contains - among other
    things, build instructions. Since the two files have a very similar name, this
    may lead to confusion for first-time users.
    
    With this commit, a relative hyperlink pointing to README is added in README.md,
    in order to make it explicit what file is being referenced.

commit 3a103f4258d2a2090aa9038503aae7ca56c50bea
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Apr 14 20:35:45 2020 -0400

    Add explicit cast for C++ compatibility

commit ef15637f3241f8d2cc8fcefc2bb9e536de98d692
Author: Matteo Frigo <athena@fftw.org>
Date:   Fri Apr 3 12:56:06 2020 -0400

    Fix Makefile rules under -j N
    
    For some reason, given this Makefile:
    
    a: b c
    
    b c:
           COMMANDS
    
    invoking "make -j 2 c" runs COMMANDS in parallel twice, which fails if
    COMMANDS modify some global state.
    
    Hack around this quirk.

commit db8b77525089448206b453279360b752f476d1cf
Author: Matteo Frigo <athena@fftw.org>
Date:   Fri Apr 3 12:38:18 2020 -0400

    Style Police

commit 2a0f32012aaf3714ea4c4eccad5b4f053e85fb39
Author: Matteo Frigo <athena@fftw.org>
Date:   Fri Apr 3 12:22:55 2020 -0400

    Replace deprecated Sort.list with List.sort

commit c69d6c3c7512a814efe229d15e51dda0c1590ee6
Author: Matteo Frigo <athena@fftw.org>
Date:   Mon Jan 20 10:41:38 2020 -0500

    Report mflops as %.8g (was %.5g)
    
    I got tired of seeing things like 1.15e5, prefer 115000.
    
    The drawback is that now bench reports things like 6839.6357 mflops,
    where the 8-digit precision implies much more accuracy than we
    actually have.

commit cdb950a60c8a5b723f25ec24639a824e021b780d
Author: Steven G. Johnson <stevenj@mit.edu>
Date:   Fri Jan 17 11:11:48 2020 -0500

    fix compilation w/o threads

commit 8588d74f24c7d98dcc66466bb364210330639f69
Author: Steven G. Johnson <stevenj@alum.mit.edu>
Date:   Tue Sep 17 18:44:32 2019 -0400

    soversion bump for API change

commit 4a74466adfc93ca8748c4661de47cd9fa5c6bb46
Author: Steven G. Johnson <stevenj@mit.edu>
Date:   Tue Sep 17 17:53:50 2019 -0400

    enable avx512 on clang (#177)

commit 9126411654e6ac9c94202ceeb5a5af849ecac12c
Author: Steven G. Johnson <stevenj@mit.edu>
Date:   Tue Sep 17 14:44:29 2019 -0400

    update 3.3.9 NEWS

commit ec98679b6535a7a75a4348c697b8b7daaae53b64
Author: Steven G. Johnson <stevenj@mit.edu>
Date:   Tue Sep 17 14:41:30 2019 -0400

    indentation

commit ca3c9c7e56c608bf05f42a6e92a46cb01c0ffe46
Author: Steven G. Johnson <stevenj@mit.edu>
Date:   Tue Sep 17 14:40:23 2019 -0400

    document fftw_threads_set_callback

commit 4093e4b58528459afdb6ba9e373d5d7a2a3a22b0
Author: Steven G. Johnson <stevenj@mit.edu>
Date:   Tue Sep 17 14:23:53 2019 -0400

    add test for fftw_threads_set_callback

commit 8a9236c494f680e550c536eeb6aa7102ecfad2ca
Author: Steven G. Johnson <stevenj@mit.edu>
Date:   Mon Sep 16 15:48:40 2019 -0400

    export threads_set_callback function properly, support in openmp as well as threads backend

commit ffd28fd35b4ea6b29194ca2ef73994398fa9ee46
Author: Steven G. Johnson <stevenj@alum.mit.edu>
Date:   Wed Sep 4 21:14:52 2019 -0400

    silence more generated code in .gitignore

commit c5c85fe618a93bf6e41489bb65b6bf4e27224ff1
Author: Matteo Frigo <athena@fftw.org>
Date:   Sat Aug 10 08:41:09 2019 -0400

    README: note dependency on the Ocaml Num library.
    
    genfft needs the Ocaml Num library, which has been part of Ocaml for
    more than twenty years but was suddenly removed in ocaml-4.06:
    
      * #1178: remove the Num library for arbitrary-precision arithmetic.
        It now lives as a separate project https://github.com/ocaml/num
        with an OPAM package called "num".
        (Xavier Leroy)
    
    For now, note in README that Num is necessary, until I come up with a
    better long-term plan.  Debian/ubuntu seem to have ocaml-4.05.  Fedora
    30 has ocaml-4.07, but installing the ocaml-num-devel package seems to
    be good enough.  I'll worry about this problem once more distibutions
    upgrade ocaml.

commit f1ad19cdac52f9f8d27c1e2fea55a16215408fd3
Author: Steven G. Johnson <stevenj@alum.mit.edu>
Date:   Fri Jul 26 16:01:18 2019 -0400

    add internal fftw_threads_set_callback, closes #175

commit d8bafdad0b460543fed9ff964f0de1c73cde249b
Author: Matteo Frigo <athena@fftw.org>
Date:   Wed Jul 3 17:39:58 2019 -0400

    fftw3.texi: use @finalout
    
    Avoid the \overfullrule black boxes when TeX cannot wrap long lines of
    code.

commit 9fcdd122574259f263ba5afa939e1a6d28581bb3
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue May 28 15:08:56 2019 -0400

    make bigcheck: validate wisdom with multiple threads too

commit 0062a1b23d035b44954fbfa8e05460a4bcddbe59
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue May 28 15:01:22 2019 -0400

    make bigcheck: validate that problems can be solved in -owisdom-only mode

commit ccdf1cdfed8f2cf863dd4a1e4ac7be8ef4df152f
Author: Matteo Frigo <athena@fftw.org>
Date:   Thu May 16 15:58:54 2019 -0400

    configure.ac: update version to fftw-3.3.9

commit b43eba5ef5f1f6402b617b78e11b8e08d57988a6
Author: Matteo Frigo <athena@fftw.org>
Date:   Thu May 16 15:55:25 2019 -0400

    update NEWS

commit ebde7c4e4607afb6bbba7e6609fae56ff0fda01b
Author: Matteo Frigo <athena@fftw.org>
Date:   Thu May 16 15:49:28 2019 -0400

    Fix alignment requirements for avx512
    
    The avx512 alignment requirement was set to 64 bytes, but this is
    wrong.  Alignment requirements are a property of the platform (e.g.,
    x86) and not of the instruction set (e.g., AVX).  Among other things,
    this broke wisdom with avx512.
    
    Good thing that avx512 was marked as experimental.  It's still
    experimental, because I have no hardware to test it.
    
    Thanks Tom Epperly for the bug report and debugging assistance.

commit 77a2efdded4dceef1e6045313ae06e27265807ec
Author: Matteo Frigo <athena@fftw.org>
Date:   Fri May 3 10:10:20 2019 -0400

    CMakeLists: install fftw3.pc, not fftw.pc
    
    This resolves the discrepancy between "make" and "cmake".

commit 4754dfd3f3149275c64896b78fbf3e8a36b7cc6c
Merge: c6bebdb8 80a8d61e
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Dec 2 16:52:16 2018 -0500

    Merge pull request #158 from katterjohn/typo-fix
    
    Fix the incorrect comment about Util.interval

commit 80a8d61e8e25d75c58cfa3c02b7137dc5e930b97
Author: Kris Katterjohn <katterjohn@gmail.com>
Date:   Sun Dec 2 14:16:41 2018 -0600

    Fix an incorrect comment

commit c6bebdb84fafdfb1de8462f69276bd6a305f0154
Author: José Mª Escartín <jme52@cam.ac.uk>
Date:   Mon Oct 8 22:27:26 2018 +0200

    Fix typo in Fortran quadruple-precision doc. (#155)
    
    The use of quadruple-precision with Fortran does not require
    the inclusion of file fftw3l.f03, but it requires the inclusion
    of file fftw3.f03.

commit d59abdaaeb31af8a7d7f2d2ffa92931efd344e6c
Author: Mario Emmenlauer <mario@emmenlauer.de>
Date:   Fri Jun 15 03:31:40 2018 +0200

    CMakeLists.txt: disable /bigobj on MSVC Intel compiler because its not required and not supported (#139)

commit 700745cdbb34e964e1abda86183809fd8dd95796
Author: Matteo Frigo <athena@fftw.org>
Date:   Thu May 24 08:00:45 2018 -0400

    Bump FFTW_MINOR_VERSION for fftw-3.3.8

commit 902d0982522cdf6f0acd60f01f59203824e8e6f3
Author: Matteo Frigo <athena@fftw.org>
Date:   Thu May 24 07:43:02 2018 -0400

    update NEWS

commit 41b0d9eff394891ba3327b9062811d48677bb411
Author: Matteo Frigo <athena@fftw.org>
Date:   Thu May 24 07:35:36 2018 -0400

    CFLAGS: don't use -ffast-math
    
    -ffast-math is a relic from 1999 when it was kind of necessary for
    full use of FMA on powerpc.  Nowadays it is just a liability.  For
    example, 'gcc-8 -ffast-math' ignores the disctintion between +0 and
    -0, thus breaking the avx and avx2 implementations in fftw-3.7.

commit 19eeeca592f63413698f23dd02b9961f22581803
Author: Matteo Frigo <athena@fftw.org>
Date:   Thu May 24 07:29:00 2018 -0400

    Fixes for gcc-8
    
    It looks like 'gcc-8 -ffast-math' does honor the distinction between
    +0.0 and -0.0 in floating-point constants.  I suppose that technically
    -ffast-math has the right to do so.
    
    For good measure, this patch encodes such constants as their explicit
    binary representation.  A separate patch will disable -ffast-math.

commit bf478afbf2367df0f38c77f31d1f912aeeb82585
Author: Miklos Espak <miklos.espak@motilent.co.uk>
Date:   Thu Apr 26 18:31:57 2018 +0100

    Define include directory for installed targets (#141)

commit ab888adf510338c03ea8ac49b4aab91fb57f1479
Author: Steven G. Johnson <stevenj@mit.edu>
Date:   Sat Apr 14 11:40:39 2018 -0400

    don't need both identifier and name fields

commit 2b999c600c58c78b8acb78c3352b02d9df6f6e60
Author: Steven G. Johnson <stevenj@alum.mit.edu>
Date:   Fri Apr 13 08:43:35 2018 -0400

    JSON doesn't like trailing commas

commit 92eee8bbc4252c871aa870d2dce88eb98d0c7d18
Author: Steven G. Johnson <stevenj@alum.mit.edu>
Date:   Fri Apr 13 08:38:50 2018 -0400

    list both C and OCaml (as explained in codemeta/codemeta#181)

commit 35e5609f17e212bf1c40da9b2ebe66784ad37052
Author: Steven G. Johnson <stevenj@alum.mit.edu>
Date:   Thu Apr 12 12:01:15 2018 -0400

    add codemeta file

commit eba07c46b5d2f7824d293ab59aa5c29a25034963
Author: Matteo Frigo <athena@fftw.org>
Date:   Mon Feb 19 09:30:29 2018 -0500

    Call _mm256_zeroupper() when leaving avx512 code
    
    Carsten Steger says:
    
       simd-avx512.h defines VLEAVE as nothing in FFTW 3.3.7.  However, the
       current Intel® 64 and IA-32 Architectures Optimization Reference Manual,
       chapter 15.18, recommends the following:
       - When you have to mix group B instructions with Intel SSE instructions,
         or you suspect that such a mixture might occur, use the VZEROUPPER
         instruction whenever a transition is expected.
       - Add VZEROUPPER after group B instructions were executed and before any
         function call that might lead to Intel SSE instruction execution.
       - Add VZEROUPPER at the end of any function that uses group B instructions.
       - Add VZEROUPPER before thread creation if not already in a clean state
         so that the thread does not inherit Dirty Upper State.
       (Group B are instruction types that modify bits 128-511 of vector
       registers 0-15.)
    
       Therefore, I believe it would be prudent to define VLEAVE as
       _mm256_zeroupper in simd-avx512.h (see the attached patch).
    
    At https://software.intel.com/en-us/forums/intel-isa-extensions/topic/704023
    Mark Charney says:
    
       To be clear, we very much still recommend using VZEROUPPER on
       Skylake. Even though it does not have the same penalties as earlier
       designs in that family for mixing AVX and SSE code, we definitely
       recommend using VZEROUPPER on Skylake.
    
       Yes it would obviously be better if there were one solution.  For
       code that has to run on both families, the "common code" solution
       is to use the Xeon guidelines.
    
    If Mark Charney recommends VZEROUPPER, that's good enough for me.

commit b267008613d082975b108252ed596ba0916ffa31
Author: Matteo Frigo <athena@fftw.org>
Date:   Wed Nov 22 12:54:18 2017 -0500

    fftw3-mpi.f03 should be regenerated when Makefile changes

commit 708b202fd593cf1002cf97dce0863e2a438e3720
Merge: 2e0cfdda 8ba34c40
Author: Matteo Frigo <athena@fftw.org>
Date:   Mon Nov 20 09:37:17 2017 -0500

    Merge pull request #113 from xantares/mingw
    
    CMake enhancements

commit 2e0cfddacacccc8a1e6e679c5e3fa81fb0219bda
Author: Matteo Frigo <athena@fftw.org>
Date:   Mon Nov 20 07:07:30 2017 -0500

    Attempt to strengthen language in README.md

commit 8ba34c40fef38f661c9c413781990a7c021ba22b
Author: Michel Zou <xantares09@hotmail.com>
Date:   Thu Nov 9 22:33:51 2017 +0100

    Preliminary Fortran support

commit bd753a7679ecca2799640e7c8ced6f1f784f1b51
Author: Michel Zou <xantares09@hotmail.com>
Date:   Mon Nov 6 23:00:29 2017 +0100

    CMake MinGW fixes
    
    Mostly fixes the SSE2 macro in config.h, otherwise minor detection fixes

commit da5372a175bcb09578359960869c76da74c9fda3
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Oct 31 20:21:17 2017 -0400

    EXTRA_DIST += README-perfcnt.md

commit 1b64d9269254e9d0a0f0b088e5eceb0db92d531f
Merge: b5ccc557 2be183c3
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Oct 31 20:19:13 2017 -0400

    Merge pull request #112 from alexeicolin/PR--armv7-pmccntr-counter-and-docs
    
    Pr  armv7 pmccntr counter and docs

commit 2be183c3a44d58aaa11909ba8882310fb44d598c
Author: Alexei Colin <ac@alexeicolin.com>
Date:   Tue Oct 31 23:34:38 2017 +0000

    perf counters: name ARMv8 PMCCNTR_EL0 explicitly
    
    For consistency with the rest.

commit 504ece7f8ffc60c2a03b28d977e9825230052d48
Author: Alexei Colin <ac@alexeicolin.com>
Date:   Tue Oct 31 23:28:48 2017 +0000

    perf counters: add PMCCNTR for ARMv7 and add docs
    
    The existing armv7 counter (CNTVCT) does need enabling from kernel mode (so
    updated the configure help), and the enable bit is different from the PMU
    enable bit (described in the new docs).
    
    Tested on XU4: printed the returned counter values and they look reasonable.

commit b5ccc557fd2e57bfc955f0db9b5182e92f9cb55c
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Oct 29 08:13:04 2017 -0400

    fftw-mpi.h should include <fftw3.h>, not "fftw3.h"

commit 9e3f8da20e65f1e34e677768e550086b06d77f16
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Oct 29 08:09:35 2017 -0400

    NEWS: warn that cmake support is experimental and not well tested

commit 9616fb9ff1c2694f5cfa2c4a59efa96094ae6812
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Oct 29 07:48:43 2017 -0400

    Update NEWS for upcoming fftw-3.3.7

commit 62edb203fc09c8c8ac2c2d5ac3299ea8d4dc7838
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Oct 10 18:58:37 2017 -0400

    Ditch --enable-debug-malloc and --enable-debug-alignment
    
    We wrote DEBUG_MALLOC in 1997 to debug memory leaks.  Nowadays
    DEBUG_MALLOC is just confusing.  Better tools are available, and
    DEBUG_MALLOC is not thread-safe and it does not respect SIMD
    alignment.  It confused at least one user.
    
    In the gcc-2.SOMETHING days, gcc would allocate doubles on the stack
    at 4-byte boundary (vs. 8) reducing performance by a factor of 3.
    That's when we introduced --enable-debug-alignment, which is totally
    obsolete by now.

commit 6ed4297e85e5ef24a18ce428b18e020d8e48413a
Author: Matteo Frigo <athena@fftw.org>
Date:   Fri Sep 29 19:27:43 2017 -0400

    Use armv7a cycle counter unconditionally if HAVE_ARMV7A_CNTVCT
    
    It looks like __ARM_ARCH_7A__ is not always defined.  If the
    user says HAVE_ARMV7A_CNTVCT, trust the user.

commit 2dd77382319ceb99c32b38418716783eec8adad4
Merge: 04590cb1 e09ab8ca
Author: Matteo Frigo <athena@fftw.org>
Date:   Thu Sep 21 22:42:38 2017 -0400

    Merge pull request #110 from junghans/cmake
    
    Minor cmake fixes

commit e09ab8cac98c0f206968bbd962a6f76cf26e7437
Merge: 890dac59 76427f30
Author: Christoph Junghans <junghans@votca.org>
Date:   Thu Sep 21 16:13:43 2017 -0600

    Merge commit 'refs/pull/109/head' of github.com:FFTW/fftw3 into cmake

commit 04590cb11baa11bbfdebe101fa90186bbf48423c
Author: Matteo Frigo <athena@fftw.org>
Date:   Thu Sep 21 18:00:58 2017 -0400

    simd-vsx.h: don't use vpermxor
    
    It seems like gcc-6 generates incorrect code when using vpermxor
    (tested with qemu emulator, so there is a chance that gcc is right and
    qemu is wrong).  Disable the use of vpermxor and do the simple thing
    (one multiplication + one permutation).

commit 76427f30080e2cab3ca5047193ce8ffe6110f047
Author: Michel Zou <xantares09@hotmail.com>
Date:   Thu Sep 21 23:44:15 2017 +0200

    No need to list includes

commit e47e9a81c41454e5e128cd68505b38152ad60500
Author: Matteo Frigo <athena@fftw.org>
Date:   Thu Sep 21 17:13:14 2017 -0400

    Remove AC_FUNC_{MALLOC,REALLOC,MMAP}
    
    They don't do what I thought.  E.g., AC_FUNC_MALLOC checks that
    malloc(0) returns NULL, and defines malloc to be rpl_malloc otherwise.
    We don't support rpl_malloc() and we don't care about malloc(0).

commit 5aebc02ff30af12d2dc3be6c762e821a38f56595
Author: Matteo Frigo <athena@fftw.org>
Date:   Thu Sep 21 10:09:02 2017 -0400

    Dead-Code Police

commit d97394a17250d71d6a722ae64dcc3123130cf08f
Author: Matteo Frigo <athena@fftw.org>
Date:   Thu Sep 21 09:54:36 2017 -0400

    Fixup fftw3-mpi.h
    
    fftw3-mpi.h must include "fftw3.h", not "api/fftw3.h", because both
    fftw3-mpi.h and fftw3.h will ultimately be installed in /usr/include.
    
    Thus, as a special exception, mpi/Makefile.am must specify the include
    path -I $(top_srcdir)/api.

commit 890dac59aca4c153e7e22add0a8de00766227670
Merge: 4ebda892 106582aa
Author: Christoph Junghans <junghans@votca.org>
Date:   Wed Sep 20 14:44:04 2017 -0600

    Merge commit 'refs/pull/109/head' of github.com:FFTW/fftw3 into cmake

commit 4ebda89297b6b38632c3d91bd5a673a1bee4ffff
Author: Christoph Junghans <junghans@votca.org>
Date:   Wed Sep 20 14:05:13 2017 -0600

    autotools: fix install of FFTW3ConfigVersion.cmake

commit e9a66d5f748037f9cb9c0f5b8d824d73c0425042
Author: Christoph Junghans <junghans@votca.org>
Date:   Wed Sep 20 13:29:29 2017 -0600

    cmake: use GNUInstallDirs

commit 4fbb72ad294e2070d64a83b24f89a601d4f624c6
Author: Matteo Frigo <athena@fftw.org>
Date:   Wed Sep 20 13:11:55 2017 -0400

    Generate codlist.c only when MAINTAINER_MODE
    
    The user is not supposed to regenerate .c files.  In addition, the
    generation rule is subtly nonportable (it depends on whether or not
    '#' can be escaped in Makefiles, an issue that does not appear
    settled.)

commit f243f8ce48be61952527d43da222096296fdd2f9
Author: Matteo Frigo <athena@fftw.org>
Date:   Wed Sep 20 11:54:13 2017 -0400

    Generate {dft,rdft}/simd/{sse,sse2,avx,...}/*.c only when MAINTAINER_MODE
    
    Users are not supposed to generate them.  Apart from that, the
    generation rule uses '$*' in an explicit make rule, which is
    technically a GNU extension.  (Works with {open,free}bsd, but breaks
    Solaris.)

commit 106582aa8f97257f53730cbac81f98e8659b084c
Author: Michel Zou <xantares09@hotmail.com>
Date:   Wed Sep 20 15:46:51 2017 +0200

    Fix includes, export target

commit 1a24e67165ba56447f814bcdc12b9d6e083f1670
Author: Matteo Frigo <athena@fftw.org>
Date:   Wed Sep 20 07:24:58 2017 -0400

    Restore the ability to build out of tree.
    
    Before 1f3704b9, we had "-I $(top_srcdir)/foo -I $(top_srcdir)/bar".
    After 1f3704b9, we had no -I specification at all, but automake wants
    an explicit -I $(top_srcdir) in order to build out of tree.

commit 919b795940d1e86a948a4430193dbd0853f47272
Merge: 6076339a f7a64365
Author: Matteo Frigo <athena@fftw.org>
Date:   Wed Sep 20 06:41:50 2017 -0400

    Merge pull request #107 from xantares/config-mode
    
    Config mode

commit f7a6436509d324297783eb77df54010320b062f8
Author: Michel Zou <xantares09@hotmail.com>
Date:   Wed Sep 20 11:46:05 2017 +0200

    Build bench according to BUILD_TESTS

commit 82cec28b7e14280ad11878978e23a3680bb0e983
Author: Michel Zou <xantares09@hotmail.com>
Date:   Wed Sep 20 11:41:20 2017 +0200

    Use cmake config mode
    
    Installs FFTW3Config.cmake instead of a FindFFTW3.cmake
    Also configures the pkgconfig file from cmake

commit 6076339a342b12b0d0cfd9f6d967bfa9fbf6b1b2
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Sep 19 23:38:27 2017 -0400

    Fix performance regression with gcc-3.3

commit f4c37657cb32b2552c5e86f0540c0308d4f451ef
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Sep 19 23:24:08 2017 -0400

    get rid of the sse2-nonportable.c hack
    
    It was necessary to support some broken compiler 15 years ago.
    Remove it and see if anybody complains.

commit 362ae5c7b8a9df76b5ec0de4433131db33bae0ae
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Sep 19 21:44:13 2017 -0400

    configure.ac Police
    
    Remove some obsolete AC_CHECK_HEADERS, add new checks suggested by
    autoscan.

commit a56b5b4b149e56fce43778172a56f77d30352833
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Sep 19 21:43:45 2017 -0400

    Include Police
    
    fftw-wisdom.c was including <fftw3.h> instead of "api/fftw3.h"

commit 1f3704b9eff4b7e80ef7d775fb13f5bb8de0a5f1
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Sep 19 21:12:22 2017 -0400

    Do not set include path ("-I") in Makefile.am
    
    .[ch] files should specify their own paths explicitly.  Setting paths
    in the Makefile was always a bad idea, but it is totally untenable if
    we are supporting cmake.

commit 6e0ae04bad14a7dd9b4928f22d7a01e887dfdc03
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Sep 19 19:31:55 2017 -0400

    Fix OpenBSD build
    
    Using $< in a non-suffix rule context is a GNUmake idiom and OpenBSD
    doesn't like it.

commit 31a53789197f90d6bf349dd230ab86023e5fb83c
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Sep 19 19:24:34 2017 -0400

    EXTRA_DIST += FindFFTW3.cmake.in

commit ae1a764ce88166e8e1f05a25888f105ec8f1939d
Merge: 5fdca1d9 97b273d8
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Sep 19 17:13:58 2017 -0400

    Merge pull request #69 from junghans/cmake
    
    Build und install cmake module

commit 5fdca1d9b0a0b2e6491c98f63873dcf600355e09
Merge: b521e530 66506470
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Sep 19 15:57:59 2017 -0400

    Merge pull request #92 from tklauser/armv7a-cycle-counter
    
    Fix ARMV7-A cycle counter detection

commit b521e5305a7317c1c0f1d454beb6580eaf4de1db
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Sep 19 15:51:03 2017 -0400

    cmake: don't check for dlfcn.h
    
    We don't use it

commit fc852fcdfa80fab30eac2284249686853efa2e4b
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Sep 19 15:43:02 2017 -0400

    Remove ancient paranoia
    
    In the '90s we used to run autoconf three times, just in case
    (because it really didn't work the first time).  "Three" was modeled
    after the "sync; sync; sync; reboot" incantation of the '80s.
    
    Hopefully we are past this by now.

commit 34738e7f669882c6abc12c2744c8acc347c91719
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Sep 19 15:32:39 2017 -0400

    Flip boolean in a way that makes more sense to me

commit a2bfd859d9ad08490d02252d8a80c5994dd82747
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Sep 19 15:28:56 2017 -0400

    Various CMakeLists.txt fixes
    
    * AVX2 codelets require -mfma
    
    * --enable-avx2 automatically enables the 128-bit avx2 codelets in
      *dft/simd/avx2-128
    
    * bump FFTW_VERSION to 3.3.7, SOVERSION to 3.5.7
    
    * build bench always, irrespective of Threads_FOUND

commit 93ac6e1075e73c0275a9e0006fe9161c3b6fae38
Merge: a71f3dd3 d3a8d13f
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Sep 19 14:31:03 2017 -0400

    Merge pull request #103 from xantares/cmake
    
    Add user cmake support
    
    Still needs work, but let's move forward and move this contribution into the official repository

commit d3a8d13f74361a7ffc4c48c229181a86b35e9a7d
Author: Michel Zou <xantares09@hotmail.com>
Date:   Tue Jul 18 12:16:43 2017 +0200

    Add user cmake infrastructure

commit a71f3dd355f802dc362a52674a977ff81daadf9d
Author: Matteo Frigo <athena@fftw.org>
Date:   Wed Jul 5 06:33:40 2017 -0400

    Disable ISA_EXTENSION_PREFERS_FMA for now
    
    I still don't understand whether or not avx2 should use FMA codelets.
    Ryzen is faster with the non-FMA version.  Haswell prefers the FMA
    version.
    
    However, I suspect that Haswell prefers FMA because of a quirk of the
    micro-architecture.  Haswell has two floating-point "ports".  You can
    issue an addition only through one "port", but you can issue two FMA
    in parallel on both ports, so FMA appears to be faster.  Skylake
    apparently restores balance (but I haven't tried yet).  Suspend
    judgment for now until I gather more data.

commit f82b8c94596868897987b71a648eaa664590602a
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Jul 4 20:06:57 2017 -0400

    Rationalize HAVE_FMA
    
    Distinguish ARCH_PREFERS_FMA, for architectures that "naturally"
    prefer FMA (e.g., powerpc), from ISA_EXTENSION_PREFERS_FMA, for
    instruction-set extensions that favor FMA where the base architecture
    does not (e.g., avx2 on x86).
    
    Previously, --enable-avx2 would use FMA code for scalar and avx
    codelets, which is wrong.
    
    This change improves performance by a few percent on Ryzen (where FMA
    doesn't really do anything), and is a wash on Haswell.

commit 0869f4e51b8b0aeb7da1b21b2683c30cd4e10a5e
Author: Steven G. Johnson <stevenj@mit.edu>
Date:   Tue May 9 09:14:37 2017 -0400

    document that howmany ≥ 0 (closes #95)

commit 665064700b26c01c0836e4c12a5ee0eab3923858
Author: Tobias Klauser <tklauser@distanz.ch>
Date:   Wed Mar 29 16:15:45 2017 +0200

    Fix ARMV7-A cycle counter detection
    
    Check for the correct pre-processor define HAVE_ARMV7A_CNTVCT from
    config.h (instead of ARMV7A_HAS_CNTVCT) to fix the detection of the
    cycle counter for ARMv7-A in the configure script (and actually use it
    in the built library).
    
    Without this fix, even the following ./configure call:
    
      ./configure --enable-neon --enable-single --enable-armv7a-cntvct \
      --host=arm-linux-gnueabihf --disable-fortran \
      CC="arm-linux-gnueabihf-gcc -march=armv7-a"
    
    will emit the warning:
    
      checking whether a cycle counter is available... no
      ***************************************************************
      WARNING: No cycle counter found.  FFTW will use ESTIMATE mode
               for all plans.  See the manual for more information.
      ***************************************************************
    
    With this fix applied, ./configure will correctly detect the cycle
    counter register:
    
      ...
      checking whether a cycle counter is available... yes
      ...

commit cc5fc8ce7ffd77f467740554f649aab4d3f71344
Merge: 102f2fd0 950b1539
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Mar 14 07:21:45 2017 -0400

    Merge pull request #91 from fornwall/android-clock-gettime
    
    Avoid trying to use CLOCK_SGI_CYCLE on Android

commit 950b153910f7f0dde9cc20cddeee5dc9048d25b7
Author: Fredrik Fornwall <fredrik@fornwall.net>
Date:   Mon Mar 13 23:41:35 2017 +0100

    Avoid trying to use CLOCK_SGI_CYCLE on Android
    
    The Android headers defines CLOCK_SGI_CYCLE but the call fails at
    runtime as it's not implemented. Combined with getticks() not
    checking the return value of clock_gettime() this causes bogus
    values to be returned from getticks().

commit 102f2fd0249dca301d195b4df1b94e7b339b8c60
Author: Matteo Frigo <athena@fftw.org>
Date:   Wed Feb 22 14:59:30 2017 -0500

    Compute mflops() in 64 bit precision
    
    Old code was overflowing for N>2^32

commit 2b63fc2eaae645a5c2ef4a97c384beb2adefd58d
Author: Matteo Frigo <athena@fftw.org>
Date:   Fri Jan 27 16:06:27 2017 -0500

    Update NEWS for 3.3.6-pl2

commit d2ca54234956ad8be82ba050305ccf979fd631a7
Author: Matteo Frigo <athena@fftw.org>
Date:   Fri Jan 27 16:01:42 2017 -0500

    Get ready for fftw-3.3.6-pl2

commit 83092f8efbf872aefe7cfc6ee8fa43412f8e167a
Author: Matteo Frigo <athena@fftw.org>
Date:   Fri Jan 27 15:52:18 2017 -0500

    Fix scrips that generate the MPI F03 interface
    
    It turns out that the scripts were using fftw3.h from /usr/include,
    not ../api, and were failing silently if fftw3.h was not installed.
    This bug led to a fftw-3.3.6pl1 release with incomplete mpi/f03 header
    files.

commit ab402b00f9a003daa10863b9bcdbe0810b26f541
Author: Steven G. Johnson <stevenj@mit.edu>
Date:   Wed Jan 25 13:03:15 2017 -0500

    mention mkdist.sh and summarize the build process in README.md (closes #85)

commit fa9f00b3831177f0a9582092f21efb14e3d4601f
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Jan 22 14:51:44 2017 -0500

    add __cdecl decorators to fftw3.h functions on Windows
    
    This patch re-does 1f19d597 in a more disciplined way.
    
    Also, Whitespace Police.

commit 42c0036e839b78a7af651d5504add62ed57f9961
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Jan 22 14:32:32 2017 -0500

    Revert "add __cdecl decorators to fftw3.h functions on Windows, in case someone compiles with a non-default calling convention, as discussed in #80"
    
    This reverts commit 1f19d59793eb629dd8228e8a41f4f8618c20a246.
    
    The chosen syntax
    
       FFTW_EXTRN(T) X(name)
    
    is improper because __cdecl appertains to the declarator
    and not to the return type.  (As is clear, e.g., in
    void (__cdecl *foo)(void)).
    
    This forces monstrosities such as
    
       FFTW_EXTRN(R *) X(name)
    
    that contradict the C declaration syntax.
    
    I'll redo the patch in a way that looks like C:
    
       FFTW_EXTERN R *FFTW_CDECL X(name)

commit 1f19d59793eb629dd8228e8a41f4f8618c20a246
Author: Steven G. Johnson <stevenj@alum.mit.edu>
Date:   Thu Jan 19 23:09:23 2017 -0500

    add __cdecl decorators to fftw3.h functions on Windows, in case someone compiles with a non-default calling convention, as discussed in #80

commit 596b924b86340456771fb75559016ec2cc1b44c4
Author: Matteo Frigo <athena@fftw.org>
Date:   Mon Jan 16 10:25:37 2017 -0500

    Assert that CURRENT-AGE=3
    
    This is an attempt to prevent the 3.3.6 version screwup from occurring
    again.
    
    In any reasonable universe, libraries would have a version H and they
    would specify a L such that the library is compatible with all
    versions in [L..H].  Any sensible programmer would never change L, as
    this breaks backward compatibility and screws users.  A new version
    would increase H and be done.  Instead, libtool wants CURRENT=H and
    AGE=H-L (a new version change two variables).  Furthermore, the name
    of the library in the file system is a combination of L and H-L.  The
    two changes of basis arent't even orthogonal.  Pure madness.
    
    This change attempts to impose sanity by asserting that that the
    implied L is 3, since we never intend to break backward compatibility
    with fftw-3.3, which was version L=3.

commit 6fb9cd7b6359f29ce488a5802793139971d59c6c
Author: Matteo Frigo <athena@fftw.org>
Date:   Mon Jan 16 09:06:06 2017 -0500

    Release 3.3.6-pl1

commit 18b7e53c54727303703db29373e61a35fb8d5db8
Author: Matteo Frigo <athena@fftw.org>
Date:   Mon Jan 16 08:56:53 2017 -0500

    Fix #82: FFTW3 3.3.6 shared version rollback

commit 64a5a288e56c6ff4462b69531f4f34d740fdc12c
Author: Matteo Frigo <athena@fftw.org>
Date:   Mon Jan 16 08:42:01 2017 -0500

    Improve documentation of fftw_make_planner_thread_safe
    
    Specifically, tell people not to use it unless they must.

commit 811a672bdaedec4363272d9f7ed5fae56086aeb1
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Jan 15 17:40:37 2017 -0500

    rm obsolete simd/ directory
    
    We switched to simd-support/ many years ago, not sure why
    it is still in git.
    
    This was not a problem when the repository was private, but
    the directory probably confuses people on github.

commit 5c9bead1ea35b3a21fb33f17011d6802722ba44b
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Jan 15 07:25:40 2017 -0500

    Warnings Police
    
    * suppress dead code in genfft/simd.ml
    * fix on size_t/int confusion
    * fix one float*/double* confusion (should have been void* because
      we only check the alignment of the pointer, not its type).

commit 41b191ee128fefe28a228ab706dfdfb65d32c2e1
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Jan 15 07:02:40 2017 -0500

    Update configure.ac, NEWS for 3.3.6

commit fc3ada6e6bd790341fb5d91c6775b8afd686bad7
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Jan 15 06:40:23 2017 -0500

    Ansi C Police
    
    fftw is supposed to compile with c89/c90.  Restore this property
    so that I can test with gcc -ansi.
    
    This change may seem needlessly reactionary, but in the last release I
    accidentally inserted an assertion before a declaration and I broke
    the Visual Studio build, so we must be careful not to use C99
    constructs.
    
    There are a few non-ANSI function calls in tests, e.g. isnan(),
    drand48(), snprintf().  Since nobody has complained about those in
    years, I am leaving them alone.

commit 50dacdaba79694c873965ab23d11c8ca3b94d436
Author: Matteo Frigo <athena@fftw.org>
Date:   Sat Jan 7 09:01:47 2017 -0500

    Revert simd-avx.h changes from b606e3191
    
    They didn't improve performance at all as far as I can tell,
    and they ended up breaking the PGI compiler.
    
    It is always tempting to use the fancy addsub instructions in FFTW to
    do complex multiplications, but the reality is that FFTW is designed
    to avoid complex multiplications in most cases (we started in the SSE
    days), and thus they don't make any difference.  We are better off
    using the minimal possible set of AVX instructions to minimize the
    chance of triggering compiler bugs.
    
    The same statement holds for _mm256_shuffle_pd() versus
    _mm256_permute_pd(): in theory the latter is better, in practice
    either one is rarely used.  However, SHUFFLE is older (since the SSE
    days) and has a higher chance of working.

commit 5fa55dc130e18cc4b3f4d88b8a159307eecf51d0
Merge: 1637e8aa aa00ba84
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Nov 13 05:49:09 2016 -0500

    Merge pull request #77 from rolandschulz/master
    
    Fix AVX512 load+store

commit aa00ba84079a272637666c9ae941821087f712b8
Author: Roland Schulz <roland.schulz@intel.com>
Date:   Sat Nov 12 20:52:49 2016 -0800

    Fix AVX512 load+store
    
    FFTW alignment is only 16 bytes. AVX512 requires 64 bytes.
    Thus unaligned load/store is required. AVX256 does the same.

commit 1637e8aace6e91d67837901b5a4cbbc87c42aca9
Merge: 3e7ee221 a538bf2c
Author: Matteo Frigo <athena@fftw.org>
Date:   Thu Nov 3 11:24:44 2016 -0400

    Merge pull request #76 from forandom/patch-2
    
    Update simd-vsx.h to support building with IBM XLC

commit a538bf2c4a17ec509f2cec37bffe48874702c671
Author: forandom <forandom@gmail.com>
Date:   Thu Nov 3 23:06:17 2016 +0800

    Update simd-vsx.h to support building with IBM XLC
    
    defined(__POWER8_VECTOR__) && defined(__GNUC__) && defined(__LITTLE_ENDIAN__) is true for IBM XLC compiler for which we should use the intrinsic __vpermxor instead of __builtin_crypto_vpermxor.

commit 3e7ee2211ae1bd5e76901bbe1bcca67b31f84ccb
Author: Matteo Frigo <athena@fftw.org>
Date:   Sat Sep 24 06:39:01 2016 -0400

    Do not run programs at configure time, ever.
    
    configure was running a program to detect the ARM cycle counter,
    thus preventing cross-compiling.  Sorry about that.

commit fee0f966b2d3fae18019dd03a9bae338b4108d42
Merge: 3a3173b0 cca0c6e5
Author: Matteo Frigo <athena@fftw.org>
Date:   Fri Sep 9 06:49:23 2016 -0400

    Merge pull request #72 from tkelman/patch-1
    
    #include <intrin.h> in threads.c for windows build

commit cca0c6e5a8c717df10f380411709f3360ceea6e9
Author: Tony Kelman <tony@kelman.net>
Date:   Fri Sep 9 03:24:30 2016 -0700

    #include <intrin.h> in threads.c for windows build
    
    otherwise an i686-w64-mingw32 cross compile is giving
    ```
    libtool: link: i686-w64-mingw32-gcc -march=pentium4 -m32  -std=gnu99 -shared  -Wl,--whole-archive kernel/.libs/libkernel.a dft/.libs/libdft.a dft/scalar/.libs/libdft_scalar.a dft/scalar/codelets/.libs/libdft_scalar_codelets.a rdft/.libs/librdft.a rdft/scalar/.libs/librdft_scalar.a rdft/scalar/r2cf/.libs/librdft_scalar_r2cf.a rdft/scalar/r2cb/.libs/librdft_scalar_r2cb.a rdft/scalar/r2r/.libs/librdft_scalar_r2r.a reodft/.libs/libreodft.a api/.libs/libapi.a simd-support/.libs/libsimd_support.a simd-support/.libs/libsimd_sse2_nonportable.a dft/simd/avx/.libs/libdft_avx_codelets.a rdft/simd/avx/.libs/librdft_avx_codelets.a threads/.libs/libfftw3f_threads.a -Wl,--no-whole-archive   -march=pentium4 -m32 -O3 -mtune=native -malign-double -Wl,--stack -Wl,8388608   -o .libs/libfftw3f-3.dll -Wl,--enable-auto-image-base -Xlinker --out-implib -Xlinker .libs/libfftw3f.dll.a
    libtool: link: i686-w64-mingw32-gcc -march=pentium4 -m32  -std=gnu99 -shared  -Wl,--whole-archive kernel/.libs/libkernel.a dft/.libs/libdft.a dft/scalar/.libs/libdft_scalar.a dft/scalar/codelets/.libs/libdft_scalar_codelets.a rdft/.libs/librdft.a rdft/scalar/.libs/librdft_scalar.a rdft/scalar/r2cf/.libs/librdft_scalar_r2cf.a rdft/scalar/r2cb/.libs/librdft_scalar_r2cb.a rdft/scalar/r2r/.libs/librdft_scalar_r2r.a reodft/.libs/libreodft.a api/.libs/libapi.a simd-support/.libs/libsimd_support.a simd-support/.libs/libsimd_sse2_nonportable.a dft/simd/avx/.libs/libdft_avx_codelets.a rdft/simd/avx/.libs/librdft_avx_codelets.a threads/.libs/libfftw3_threads.a -Wl,--no-whole-archive   -march=pentium4 -m32 -O3 -mtune=native -malign-double -Wl,--stack -Wl,8388608   -o .libs/libfftw3-3.dll -Wl,--enable-auto-image-base -Xlinker --out-implib -Xlinker .libs/libfftw3.dll.a
    threads/.libs/libfftw3_threads.a(libfftw3_threads_la-threads.o):threads.c:(.text+0x121): undefined reference to `_mm_pause'
    threads/.libs/libfftw3_threads.a(libfftw3_threads_la-threads.o):threads.c:(.text+0x581): undefined reference to `_mm_pause'
    collect2: error: ld returned 1 exit status
    threads/.libs/libfftw3f_threads.a(libfftw3f_threads_la-threads.o):threads.c:(.text+0x121): undefined reference to `_mm_pause'
    threads/.libs/libfftw3f_threads.a(libfftw3f_threads_la-threads.o):threads.c:(.text+0x581): undefined reference to `_mm_pause'
    collect2: error: ld returned 1 exit status
    make[4]: *** [Makefile:627: libfftw3f.la] Error 1
    make[4]: *** [Makefile:627: libfftw3.la] Error 1
    make[3]: *** [Makefile:672: all-recursive] Error 1
    make[2]: *** [Makefile:536: all] Error 2
    make[3]: *** [Makefile:672: all-recursive] Error 1
    make[1]: *** [/home/Tony/julia32/deps/fftw.mk:46: scratch/fftw-3.3.5-single/build-compiled] Error 2
    make[1]: *** Waiting for unfinished jobs....
    make[2]: *** [Makefile:536: all] Error 2
    make[1]: *** [/home/Tony/julia32/deps/fftw.mk:46: scratch/fftw-3.3.5-double/build-compiled] Error 2
    make: *** [Makefile:81: julia-deps] Error 2
    ```

commit 97b273d87dcc797e688709e207f119dd4dfca015
Author: Christoph Junghans <junghans@votca.org>
Date:   Wed Aug 31 14:24:05 2016 -0600

    Build und install cmake module

commit 3a3173b018f30d03df5f3166d459888f2669fe25
Author: Matteo Frigo <athena@fftw.org>
Date:   Wed Aug 31 06:14:51 2016 -0400

    C++ compatibility
    
    Although FFTW is a C program, we try to make it compilable by a C++
    compiler as well.  Implicit cast void * ==> double * is not allowed
    in C++.

commit 5fd9609eaed60360ce84d98add5d9548093e0bdc
Author: Matteo Frigo <athena@fftw.org>
Date:   Fri Aug 12 04:24:52 2016 -0400

    Updated NEWS

commit 402d2508fe970770d9316d9c83f21d6fc268ba12
Author: Matteo Frigo <athena@fftw.org>
Date:   Fri Aug 12 04:21:33 2016 -0400

    Fix race condition when destroying a plan.
    
    More generally, this patch calls the planner hooks when destroying a
    plan.  The intended usage is that the hooks do in fact acquire a lock.

commit 432835f2cd37d2cb8b9528ac8ef983b3b38738f2
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Aug 9 05:29:39 2016 -0400

    MSVC fixes by Carsten Steger
    
    * don't mix declarations and statements, stick to ANSI C
    
    * suppress some warnings with Intel cc
    
    * undefined variable in x86-cpuid.h when
      (_MSC_VER > 1500) || (_MSC_VER == 1500 & _MSC_FULL_VER >= 150030729)

commit c018cbe430fd6b2af31d594c27a0aaf711292567
Author: Matteo Frigo <athena@fftw.org>
Date:   Thu Aug 4 06:36:29 2016 -0400

    Fix SIMD autodetection on amd64 when (_MSC_VER > 1500)

commit d5055c9ae2e60f191f6cc2e8b5200fd06dbdb6be
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Jul 31 13:42:00 2016 -0400

    revise README.md language

commit 0af8d8b9eea0750add8be0e6dec18841ee61424e
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Jul 31 13:39:49 2016 -0400

    revise README.md language

commit 0d026e09f9b514cb86bbc7977ad0a03b664b95de
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Jul 31 13:37:09 2016 -0400

    Attempt to tell users to download official tarballs from fftw.org instead of github

commit b405994456f9a87f2170ba19536d4c4d8278682f
Author: Matteo Frigo <athena@fftw.org>
Date:   Sat Jul 30 16:33:22 2016 -0400

    update AUTHORS

commit 4d0c1894fb37c61b0f0a42b50afd435d226f6b9e
Author: Matteo Frigo <athena@fftw.org>
Date:   Sat Jul 30 15:18:06 2016 -0400

    Fixes for Windows cross-compilation
    
    These days mingw by default produces binaries that depend on
    libgcc-sjlj-1.dll, which defeats the whole historical point of mingw
    (produce vanilla win32 binaries with no GNU stuff).
    
    Add a hack to link with -static-libgcc, which avoids the problem.

commit a17d44eeb3100780ba106a22f497d47a43be7642
Author: Matteo Frigo <athena@fftw.org>
Date:   Sat Jul 30 11:39:09 2016 -0400

    Misc fixes.
    
    * sed s/avx[_- ]128[-_ ]fma/avx-128-fma
    * avoid some signed/unsigned casts

commit f3688be112ed0099b4c57970db74c08373f3604d
Author: Matteo Frigo <athena@fftw.org>
Date:   Sat Jul 30 10:52:53 2016 -0400

    Fix SIMD autodetection
    
    * AVX was not testing for OSXSAVE support
    
    * AVX2 was broken (issuing XGETBV without checking for its presence---failing
      on atom)
    
    * AVX512 was broken in the same way as AVX2, I have guessed a fix but
      I have no way to test it.

commit 7fce2ae37f8338bd7e021b1a406c75b213c31c77
Author: Matteo Frigo <athena@fftw.org>
Date:   Fri Jul 29 07:48:10 2016 -0400

    document fftw_make_planner_thread_safe()

commit 6167b92e3362f2d116274daa561c0d788fb670d4
Author: Matteo Frigo <athena@fftw.org>
Date:   Fri Jul 29 07:28:03 2016 -0400

    rm README-bench
    
    It appears in tests/README

commit cc9640cbbaa70e6645a0ea46be0508268905c2ba
Author: Matteo Frigo <athena@fftw.org>
Date:   Fri Jul 29 07:27:25 2016 -0400

    Add README-bench

commit d82fe4f3e06bdbf92b09324e36f4d477bc5fe376
Author: Matteo Frigo <athena@fftw.org>
Date:   Fri Jul 29 07:25:00 2016 -0400

    Do not enable avx128-fma unless the user asks for it.
    
    Adding SIMD instruction sets automatically is user-hostile behavior.
    
    Also, update the manual to reflect the new SIMD support

commit dc32329871d304de8d95ad290973844dfbc6101f
Author: Matteo Frigo <athena@fftw.org>
Date:   Fri Jul 29 07:00:55 2016 -0400

    Update NEWS for 3.3.5

commit 2ed010c62b1bc8ca6b23bfda2e09b8c28e1e8bcc
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Jun 5 07:07:15 2016 -0400

    Clean up some int<->size_t confusion

commit ea86c49ac7470a646d1e6a4fa007ecbda6ab56c4
Author: Matteo Frigo <athena@fftw.org>
Date:   Sat Jun 4 20:33:15 2016 -0400

    Unused Variable Police

commit d9a3f48343bda0a88c8a87cab329d95426ddfcb9
Author: Matteo Frigo <athena@fftw.org>
Date:   Sat Jun 4 20:30:12 2016 -0400

    Integral Type Police
    
    clear some int/unsigned/size_t confusions

commit 29cee6cc95d434321292d013d6a7be4c55379a49
Author: Matteo Frigo <athena@fftw.org>
Date:   Sat Jun 4 19:50:10 2016 -0400

    Cast Police
    
    Eliminate some useless (but harmless) int<->size_t conversions.

commit d7c566eb98523c7c0bafae734c7894a5a3595771
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Mar 13 17:50:45 2016 -0400

    Clarify ambiguous/wrong documentation of halfcomplex output format.

commit 6543818e3091ea788a1aac41d06ca343e672f103
Author: Matteo Frigo <athena@fftw.org>
Date:   Wed Jan 20 18:18:14 2016 -0500

    Cleanup
    
    Rewrite Unique.make in more idiomatic caml style,
    strongly typed.

commit 4965e33c6c98484b66787f1891cfe4f689becee5
Merge: 119aa4c4 f8a73593
Author: Matteo Frigo <athena@fftw.org>
Date:   Wed Jan 20 15:14:32 2016 -0800

    Merge pull request #53 from artemkin/master
    
    Fixed unique token generation in genfft

commit f8a73593a499efc751103460ff2f07d8b1e2ff0c
Author: Stanislav Artemkin <artemkin@gmail.com>
Date:   Thu Jan 21 01:17:30 2016 +0400

    Fixed unique token generation in genfft
    
    Unique token generation was based on the assumption that OCaml compiler
    won't inline a given piece of code. Starting from 4.02.0 it does more
    aggressive inlining and breaks this functionality.

commit 119aa4c4a893f32dfd837a84fac9453b6dae6680
Merge: 8c7a7af1 e41df2c3
Author: Matteo Frigo <athena@fftw.org>
Date:   Wed Sep 30 15:38:00 2015 -0400

    Merge pull request #48 from rleonid/master
    
    Replace depracted usage of Pervasives or.

commit e41df2c3cac7c3e69586c07f80f1bb0a24dccd5a
Author: Leonid Rozenberg <leonidr@gmail.com>
Date:   Wed Sep 30 15:22:16 2015 -0400

    Replace depracted usage of Pervasives or.

commit 8c7a7af184a63064325fa542a8d1d7f4e3b4b8aa
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Sep 8 10:35:18 2015 -0400

    Clarify how to bootstrap fftw from the git repository

commit a0cbff67eae9ab66f6f2b4cf2ea79de6c95d7d61
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Sep 8 10:28:49 2015 -0400

    Clarify that ocamlbuild is necessary for --enable-maintainer-mode

commit f6339eadef8a62432ea2f2017ce0b4a1954ea738
Author: Steven G. Johnson <stevenj@mit.edu>
Date:   Wed Aug 5 11:11:26 2015 -0400

    fix LaTeX typo, thanks to Gael Lorieul

commit 8cd9bfa347289143a00fa0d5eea30f4766192d46
Author: Erik Lindahl <erik@kth.se>
Date:   Wed May 27 00:15:57 2015 +0200

    Update VSX SIMD to avoid inline assembly
    
    Thanks to some help from Michael Gschwind of
    IBM, this removes the remaining inline assembly
    calls and replace the with vector functions. This
    avoid interfering with the optimizer both on GCC
    and XLC, and gets us another 3-10% of performance
    when using VSX SIMD. Tested with GCC-4.9, XLC-13.1
    in single and double on little-endian power 8.

commit 579cec9a64cc177e673f006eb112d488be21b230
Author: Erik Lindahl <erik@kth.se>
Date:   Tue May 26 19:27:58 2015 +0200

    Enable SSE2 automatically with AVX,AVX2, or AVX512.
    
    256-bit AVX can be significantly slower than
    128-bit SIMD. Despite recommendations many
    distributions appear to only enable AVX, but not
    SSE. This fixes the problem by also enabling
    SSE when we use the wider SIMD instructions.

commit dd80210ec433938876575e2435e12d7e630872e7
Author: Erik Lindahl <erik@kth.se>
Date:   Tue May 26 19:09:40 2015 +0200

    Turn AVX-128 into AMD-specific AVX-128-FMA
    
    The only platform where AVX-128 really matters
    is AMD (since the compute units can execute a
    single 256-bit or two 128-bit SIMD instructions),
    so now we only use it there which means we can
    also enable FMA instructions.

commit b3105ed9529846ca8dd9267e46d7bcd2ebb12ff6
Author: Matteo Frigo <athena@fftw.org>
Date:   Mon May 25 17:33:15 2015 -0400

    Fix broken avx/32-bit compilation

commit d3442a8395e1fc6e77490c3f34c868b1998e4e96
Author: Matteo Frigo <athena@fftw.org>
Date:   Mon May 25 17:27:31 2015 -0400

    rm hooks api's, add fftw_make_planner_thread_safe() api
    
    fftw_make_planner_thread_safe() installs a lock around the planner.
    It is guaranteed to be atomic and idempotent.
    
    I wrote an emulation of pthread mutex initializers on Windows, but I
    haven't even compiled the Windows code yet.

commit 842596fe6bfb277effc8f8f8db7e1c4008bb59e1
Author: Matteo Frigo <athena@fftw.org>
Date:   Mon May 25 11:11:58 2015 -0400

    Add TODO's

commit eff7dfcd526e90539f169cfff2374ceb2fd2dd0e
Author: Matteo Frigo <athena@fftw.org>
Date:   Mon May 25 10:50:21 2015 -0400

    add TODOs

commit 0e53e3e9d2640a895a69c5aff4a676c156271141
Author: Matteo Frigo <athena@fftw.org>
Date:   Mon May 25 10:48:03 2015 -0400

    Add argument to planner hooks

commit 94ef591d61c8e78e87c65f9779eb003fc7f1ba6b
Author: Matteo Frigo <athena@fftw.org>
Date:   Mon May 25 10:37:24 2015 -0400

    Update shared-version-info
    
    We added an API (planner hooks), so the shared version info
    needs to be bumped.

commit 9ef9ec85588c026e6a80b1475df24ba20d098e8e
Author: Matteo Frigo <athena@fftw.org>
Date:   Mon May 25 10:27:25 2015 -0400

    Bump version to 3.3.5

commit 593d55932959366918e209fbbd2f4719d39d448c
Author: Romain Dolbeau <romain@dolbeau.org>
Date:   Wed May 13 16:42:23 2015 +0200

    Typo ; Fixes #41

commit cd2b27d1600d80ba719f1b70094886e39cf145a3
Author: Erik Lindahl <erik@kth.se>
Date:   Thu May 7 17:45:43 2015 +0200

    Separate routines to query 128-bit AVX support
    
    This also disables 256-bit AVX for current AMD processors
    that work better with 128-bit AVX. Note that this is not
    detected by the timing routines since the effect is only
    apparent when using multiple cores.

commit a1cf4158dd829853bd9f6b8c4c4951d7495c9e64
Merge: b6135085 0331b39c
Author: Romain Dolbeau <romain@dolbeau.org>
Date:   Mon Apr 20 22:01:15 2015 +0200

    Merge branch 'master' of github.com:FFTW/fftw3

commit 0331b39cd3641a8ac89be27dbde3e41204fd1888
Merge: 38b93ccf d2ea399c
Author: Erik Lindahl <erik@kth.se>
Date:   Mon Apr 20 21:09:44 2015 +0200

    Merge branch 'experimental-simd'
    
    Merged in new SIMD architectures from separate branch.

commit d2ea399c46174db45838ca6a3b917cf880970921
Author: Romain Dolbeau <romain@dolbeau.org>
Date:   Thu Apr 16 08:54:58 2015 +0200

    Fix stack alignment (alloca) for generic256.

commit b6135085bd1ee2e2c6c82b06e78d492e4f242cca
Author: Romain Dolbeau <romain@dolbeau.org>
Date:   Tue Apr 14 10:17:38 2015 +0200

    Add a configure option to disable building the documentation in doc/. This is useful if some documentation tools are missing on the host (i.e. fig2dev in maintainer mode).

commit 38b93ccfc3786d1c23726dc939de558f4dd2a2d3
Author: Romain Dolbeau <romain@dolbeau.org>
Date:   Mon Apr 13 14:16:28 2015 +0200

    In maintainer mode, detect whether 'indent' is available and is GNU indent.
    
    BSD 'indent' in e.g. MacOSX doesn't support -kr, which is the default style in FFTW3.
    Fallback to 'indent' with no option for non-GNU 'indent', or 'cat' if 'indent' is not available.
    This should fix GitHub issue #13.

commit 96eb0ad31c8d0c226a6aeb95e68bda90dd7e6f6a
Author: Romain Dolbeau <romain@dolbeau.org>
Date:   Sun Apr 12 13:49:39 2015 +0200

    missing AC_ARG_ENABLE for --enable-fma

commit 24ff943f4e99458d41db543305a2c945ba2ba429
Author: Romain Dolbeau <romain@dolbeau.org>
Date:   Sun Apr 12 13:47:24 2015 +0200

    Revert "reinstate --enable-fma ; not enabled by default for AVX2 & AVX-512 (will ad a warning later)"
    
    This reverts commit 40691a49eea40d305405fe527e174e8067606dae. A different fix is needed.

commit 37a0dbc10f0199fd431f0b5d8b42143cc2a2a88d
Author: Romain Dolbeau <romain@dolbeau.org>
Date:   Sun Apr 12 13:39:28 2015 +0200

    Add sanity check & warning in AVX2 & AVX-512

commit 40691a49eea40d305405fe527e174e8067606dae
Author: Romain Dolbeau <romain@dolbeau.org>
Date:   Sun Apr 12 13:38:29 2015 +0200

    reinstate --enable-fma ; not enabled by default for AVX2 & AVX-512 (will ad a warning later)

commit 7960d08a3fe74b38d8dfdd20917efb52d141d53a
Author: Erik Lindahl <erik@kth.se>
Date:   Wed Apr 8 22:55:28 2015 +0200

    Improved compiler flags for OS X
    
    Separate detection for AVX/AVX2 on gcc and clang.
    Clang works for AVX, but AVX2 leads to a compiler
    crash. Issue 20471870 has been filed with Apple.
    When using gcc, we now request to use the external
    system assembler, or the AVX/AVX2 instructions will
    cause errors.

commit 91928338b767b84742e8ec86da6b4864381ed889
Author: Erik Lindahl <erik@kth.se>
Date:   Wed Apr 8 22:54:41 2015 +0200

    Fix alignments for generic simd.

commit eaaec9b6ea9dc0f0656d953639c325855cb3bbee
Author: Erik Lindahl <erik@kth.se>
Date:   Wed Apr 8 21:16:13 2015 +0200

    Made api versions more verbose for 128-bit AVX.

commit 4b3dbf7009b020bffe7c9c96a5b24c87496fd058
Author: Erik Lindahl <erik@kth.se>
Date:   Wed Apr 8 21:09:50 2015 +0200

    Make 128/256 bit generic simd separate options
    
    These will only be used on esoteric and/or new
    architectures, which likely also miss cycle counters.
    In this case the widest simd would be picked automatically
    based on flops estimates, so to give the user more
    control it is better to provide separate options
    to enable/disable these two choices.

commit cbe2a4a64064d12b9b817235906d61a996c00be1
Author: Romain Dolbeau <romain@dolbeau.org>
Date:   Mon Mar 30 13:35:47 2015 +0200

    AVX-512: minor fix(sp)&improvement(dp) to VDUPL/VDUPH

commit 5379243044ea4113b9cbde25fd097195817b3653
Author: Romain Dolbeau <romain@dolbeau.org>
Date:   Sun Mar 29 14:17:13 2015 +0200

    AVX-512: fix typo; fix shuffle parameter in SP; _mm512_set1 exists now.

commit 90f9610ee6708efc11c848b5e078dd92997ffa25
Author: Romain Dolbeau <romain@dolbeau.org>
Date:   Sun Mar 29 14:14:02 2015 +0200

    Fix typo in KCvi

commit 2b44c9213a11816506b1bd3d6b7316ed1ed65a15
Merge: 5c5bed23 1f28d2d3
Author: Romain Dolbeau <romain@dolbeau.org>
Date:   Sun Mar 29 10:49:42 2015 +0200

    Merge branch 'experimental-simd' of github.com:FFTW/fftw3 into experimental-simd

commit 5c5bed2365693b5f57503f6aad35264a3b3d86b9
Author: Romain Dolbeau <romain@dolbeau.org>
Date:   Sun Mar 29 10:48:13 2015 +0200

    typo for AVX-512

commit 1f28d2d3693bd919c674e08dc76726cf56d3648f
Author: Romain Dolbeau <romain@dolbeau.org>
Date:   Sun Mar 29 10:48:13 2015 +0200

    typo

commit a8845007ecb07fd0cc91994c574b1008c64708e0
Author: Romain Dolbeau <romain@dolbeau.org>
Date:   Thu Mar 19 19:22:44 2015 +0100

    Generic SIMD support for gcc
    
    While not as optimized as the specific SIMD ports, this
    enables the usage of gcc's generic vector representation,
    which usually gets implemented with SIMD instructions on
    most hardware. Double precision implementations for 256
    and 128 bits by Romain Dolbeau, merged into a single
    generic SIMD implementation and single precision added
    by Erik Lindahl. The option --enable-generic-simd will
    turn on both 128 and 256 bit versions, and the timers will
    choose the fastest codelets.

commit 56bbdbab2f03ebae92fd2c52b9509fb3b8ffe226
Author: Erik Lindahl <erik@kth.se>
Date:   Tue Mar 24 19:35:31 2015 +0100

    Added Power8 VSX SIMD support
    
    Power8 is a descendent of Power7, but the switch to little endian
    means the old altivec SIMD will not work due to shifts on load
    and store, and the new VSX instructions are much improved.
    This adds support for both single and double precision VSX SIMD,
    using either gcc (tested with version 4.9) or IBM xlC (tested with
    version 13.1.2, slower than gcc). Clang from llvm-3.7 is still too
    buggy to compile VSX code correctly, but flags and detection has
    been added so it will work with a correct clang.

commit 8aa91763af07767f3ebb71a9836a69e3b3385cab
Author: Romain Dolbeau <romain@dolbeau.org>
Date:   Tue Feb 24 09:27:07 2015 +0100

    Double precision Neon SIMD for aarch64
    
    --enable-neon now works in double precision for 64-bit Arm.
    Support added for the generic timer virtual counter in armv7a
    (optional, available in A15 & A7) & armv8. They are privileged, but
    should be made user-readable in recent linux (> 3.19.1 for v7a,
    most for v8).
    Architecture Reference Manual ARMv7-A and ARMv7-R edition:
    E.7.16 CNTVCT, Virtual Count register, system level
    Architecture Reference Manual ARMv8, for ARMv8-A architecture
    profile Beta: D7.5.17 CNTVCT_EL0, Counter-timer Virtual Count register

commit aa26395250c9c4d6831e8e5017650ea70af56a28
Author: Romain Dolbeau <romain@dolbeau.org>
Date:   Thu Sep 5 10:53:42 2013 +0200

    AVX-512 SIMD support
    
    New configure flag --enable-avx512

commit de81bfdb66b9bc867e389bbaf67b56490ca2e2cd
Author: Erik Lindahl <erik@kth.se>
Date:   Wed Mar 25 15:49:33 2015 +0100

    128-bit AVX2 SIMD support
    
    Add 128 bit support for AVX2. Similar to AVX-128, this
    improves slightly on SSE2 due to more efficient instructions,
    and the shorter SIMD width is beneficial in some cases. Both
    128- and 256-bit flavors will be built automatically with
    --enable-avx2, and the timing routines will chose the best one
    automatically.

commit da988fa4c53fb63fafe2eeff3da4abad93e7d014
Author: Erik Lindahl <erik@kth.se>
Date:   Sat Mar 28 12:52:52 2015 +0100

    AVX2 kernels and CPUID support
    
    Initial AVX2 code from Romain Dolbeau. Modifications,
    cpuid and more compiler flags from Erik Lindahl.
    New --enable-avx2 configure flag supported.

commit d7d9b9d2b71bd93bc4d4fa82d46a9c013291b7fe
Author: Romain Dolbeau <romain@dolbeau.org>
Date:   Tue Sep 3 10:02:53 2013 +0200

    KCvi [Knight Corner Vector Instructions] SIMD support
    
    This adds SIMD support for the first generation of Xeon Phi.

commit b606e3191e5b65e2e13f67ef7dad5b1e7c40206c
Author: Erik Lindahl <erik@kth.se>
Date:   Wed Mar 25 01:44:17 2015 +0100

    Improved AVX SIMD
    
    Previously, some kernels were actually faster with the old SSE2
    SIMD, which made it necessary to compile with both sse2 and avx
    for good performance. This adds 128-bit AVX kernels which are
    enabled together with the standard AVX kernels. Apart from
    being encoded with AVX rather than SSE instructions
    (depending on compiler flags), it also uses a couple of new
    instructions only available with AVX that use fewer micro-ops.
    These instructions have also been added to the 256-bit AVX SIMD
    implementation. No new configure flags needed, it is just faster.

commit 131027afcd3ed5d7c0185611036431c1035a734a
Merge: 0ea3051f 56af330f
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Mar 22 16:24:29 2015 -0400

    Merge pull request #37 from maxlevesque/patch-1
    
    add indent to requirements

commit 56af330fc1600a856241968482ecd443bc2c26aa
Author: Maximilien Levesque <maximilien.levesque@gmail.com>
Date:   Sat Mar 21 22:41:26 2015 +0100

    add indent to requirements
    
    Without indent, `make` reports errors in somewhere in a directory called codelets.
    It also reports "/bin/bash: indent: command not found" not far away.
    
    For my Ubuntu 14.04 flavor, a simple `sudo apt-get install indent` made `make` work as expected.

commit 0ea3051f99f2931a46a66aef8862517cd9c5f3c7
Merge: 506c1634 69a82a6c
Author: Matteo Frigo <athena@fftw.org>
Date:   Mon Feb 16 06:36:46 2015 -0500

    Merge pull request #32 from psteinb/2d_mem_layout_complying_to_text
    
    changed ny to n1 and nx to n0 so that the labels match the text

commit 69a82a6c5ff4d2169a7f8a0afda9f3c68f24eb2a
Author: Peter Steinbach <steinbach@scionics.de>
Date:   Mon Feb 16 09:10:23 2015 +0100

    changed ny to n1 and nx to n0 so that the labels match the text, it's quite confusing otherwise

commit 506c16346f9fc57444b179e542e88225e3c3e923
Author: Steven G. Johnson <stevenj@alum.mit.edu>
Date:   Fri Jan 30 15:02:17 2015 -0500

    fix #29

commit d94666815b9a0073e4ac8cc48f88e18ac931bd45
Merge: ded00512 9831bbd1
Author: Steven G. Johnson <stevenj@mit.edu>
Date:   Sun Dec 7 16:39:15 2014 -0500

    Merge pull request #27 from mpip/master
    
    avoid segfaults due to double free

commit 9831bbd14ca5b963ad1dba260c86151c94e000ee
Author: Michael Pippig <michael.pippig@mathematik.tu-chemnitz.de>
Date:   Sat Dec 6 15:03:33 2014 +0100

    avoid segfaults due to double free
    
    If fftw_mpi_mkplans_posttranspose() fails, the plans cld3, cld2rest,
    and cld2 are destroyed at nada and must be set to NULL. Otherwise,
    a second destroy at nada in mkplan() will cause a segfault.

commit ded0051238f129fb65846e822191706c9b1f5221
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Nov 16 09:45:16 2014 -0500

    Conciseness Police

commit 113e1086966fdff4c172672753cc880e6bc74d3d
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Nov 16 09:41:05 2014 -0500

    add {before,after}_planner_hooks
    
    FFTW now calls fftw_before_planner_hook() before creating a plan, and
    fftw_after_planner_hook() afterwards.  This allows users, e.g., to
    grab a lock.
    
    TBD: add arguments.

commit 28635e1d5f0a0079af3e7d00cd0678c4745e2c2b
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Nov 16 09:22:47 2014 -0500

    avoid multiple declarations of fftw_alignment_of()
    
    fftw_alignment_of() was declared both in the API header file fftw3.h
    and in the internal header file ifftw.h.  While there is nothing wrong
    with this, it breaks the property that all exported symbols are
    defined in the API directory.  E.g., I am not sure what happens on
    windows without the proper DLLEXPORT nonsense.
    
    To avoid any issues, rename the internal routine to
    fftw_ialignment_of(), and define an API wrapper.

commit 36597576e4c3c5dc3efd7d8b57a1bbad505715aa
Author: Steven G. Johnson <stevenj@alum.mit.edu>
Date:   Tue Aug 12 12:29:50 2014 -0400

    fix #21 (don't use float128 on Portland compilers, which pretend to be gcc)

commit cde4559ba9b822166cb88a84a0994fdb83a2061c
Author: Matteo Frigo <athena@fftw.org>
Date:   Sat Jul 26 20:09:38 2014 -0400

    Avoid transforming uninitalized data.
    
    In r2c/c2r transforms when using 4-way SIMD, sometimes FFTW uses the
    following hack: to transform an odd number of inputs, it copies the
    input into a buffer that holds space for one extra input; it
    transforms the buffer (now comprising an even number of inputs, as
    required by SIMD); it copies back the odd number of transformed
    inputs, ignoring the padding element.
    
    The extra input was uninitialized until now.  This is ok because we
    ignore the transform of the uninitialized input.  Transforming
    uninitialized data may cause floating-point exceptions, an effect that
    is observable.  This patch initializes the additional elements to
    zero, thus avoiding the problem.
    
    This patch also includes a test, but the test is disabled by default
    because it is nonportable.  To observe the FP exception, one must use
    feenableexcept(), which appears to be a GNU-ism.

commit 2493129c332197c5195ecb6796cfeb5e8d92e09a
Author: Steven G. Johnson <stevenj@alum.mit.edu>
Date:   Thu Jul 10 10:41:38 2014 -0400

    fix #19: missing Fortran interface for fftwq_alloc_real

commit 07ef78dc1b273a40fb4f7db1797d12d3423b1f40
Author: Steven G. Johnson <stevenj@alum.mit.edu>
Date:   Tue Jul 8 11:14:15 2014 -0400

    fix #18 (disable float128 for CUDACC)

commit 2fd372f31ab7c6417de0634199bcd5b7765df926
Author: Matteo Frigo <athena@fftw.org>
Date:   Sat Jun 28 17:17:19 2014 -0400

    git rm *~

commit 203e0d610ec1e413bb426a7d60fd5e2a206a2830
Author: Matteo Frigo <athena@fftw.org>
Date:   Thu Apr 3 15:46:19 2014 -0400

    Fix wrong boolean precedence in hppa cycle counter.
    
    Thanks Jens Keiner for the bug report.  For some reason nobody noticed
    this in years.

commit f8048af3e30cb3f65befd0aa2f3d16de3eeb5583
Author: Steven G. Johnson <stevenj@alum.mit.edu>
Date:   Tue Mar 4 15:23:11 2014 -0500

    more .gitignore additions

commit 5a51b3fe98509cc7e7ba5d3e17a3381777ad4731
Author: Steven G. Johnson <stevenj@alum.mit.edu>
Date:   Tue Mar 4 15:21:31 2014 -0500

    some fixes for make distcheck

commit 836af27f5d780970c87e436da882c9928e09c0f0
Author: Steven G. Johnson <stevenj@alum.mit.edu>
Date:   Tue Mar 4 13:42:02 2014 -0500

    copyright year update

commit 853f9f7cad1a8d3e92e6767562e4cd2d336164d2
Author: Steven G. Johnson <stevenj@alum.mit.edu>
Date:   Tue Mar 4 13:39:18 2014 -0500

    updates for 3.3.4

commit bf30f5aeea1c2927b302b13dc7579acf9f2adc12
Author: Steven G. Johnson <stevenj@alum.mit.edu>
Date:   Tue Mar 4 13:30:00 2014 -0500

    another file in .gitignore

commit c82b4fd61796715b1043982b1d4af49047f90238
Author: Steven G. Johnson <stevenj@alum.mit.edu>
Date:   Tue Mar 4 10:39:09 2014 -0500

    add .gitignore

commit 146fa8d61fca4a06a85c70d7167ac925575df02b
Author: Steven G. Johnson <stevenj@alum.mit.edu>
Date:   Thu Jan 16 10:47:40 2014 -0500

    added fftw_sprint_plan to output plan info to a string (so that the caller can be more flexible about how it is displayed)

commit 53e1fdbc07133b53ffbbd51c56b57a89880c0b21
Author: Steven G. Johnson <stevenj@alum.mit.edu>
Date:   Thu Jan 16 10:26:48 2014 -0500

    document fftw_alignment_of (since I found it useful in Julia, other people may too)

commit 7dbc7067e99477312acae30a9001c0dffa9bb428
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Nov 19 19:08:44 2013 -0500

    group together AC_CHECK_DECLS for functions in stdlib.h

commit fb70e413bddca578b2b72e0cac281d5c9a3c4101
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Nov 19 07:33:59 2013 -0500

    Be more careful in detecting sinl(), cos(), memalign(), posix_memalign()

commit 40f59a1d0f9bf384826595c499b0e7fe99aa1df5
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Nov 19 06:20:43 2013 -0500

    Fix autodetection of cosl(), sinl()
    
    Autoconf must have changed since we last looked.  Thanks
    Åke Sandgren for the fix.

commit 7e66dc5a495edc855dc9e156767172eaeabee335
Author: Matteo Frigo <athena@fftw.org>
Date:   Sat Oct 26 17:31:00 2013 -0400

    Fix wrong example in fftw-wisdom-to-conf.1
    
    Thanks Julian Taylor for the bug report.

commit dd3283ac7d2e916bdeccb7229a669fcc2ef7ff83
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Oct 1 07:03:51 2013 -0400

    Use "bench$(EXEEXT)" instead of "bench"
    
    Seems to be necessary on Windows.

commit c6acf03f53d217c9041eae3d381ad41b942dc9d9
Author: Steven G. Johnson <stevenj@alum.mit.edu>
Date:   Fri Sep 20 09:26:08 2013 -0400

    fix typo

commit f230f8cf903f1e2bb1261ed2f8657a99ac12a9ca
Author: Matteo Frigo <athena@fftw.org>
Date:   Thu Jul 11 19:28:50 2013 -0400

    Fix fftw-wisdom-to-conf
    
    Apparently we broke fftw-wisdom-to-conf many years ago and nobody
    noticed.  Thanks Florian Oppermann for the bug report.

commit c74775bff0c164611377b29d95b3f6a6e8192005
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Jun 4 10:31:33 2013 -0400

    Somehow the NEWS entries for fftw-3.1.[23] were missing from the trunk.

commit c87bdc8bfd7cbf753bbe0635ea82613bc271220d
Author: Matteo Frigo <athena@fftw.org>
Date:   Mon Jun 3 06:59:35 2013 -0400

    note fixes for texinfo-5

commit ed390e3a385832e1faa452032f170510be6ed280
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Jun 2 09:10:01 2013 -0400

    version.texi should not be in git

commit aff23d05642705f738f788648c060085bdc476d6
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Jun 2 09:05:50 2013 -0400

    Fix the manual to work with both texinfo-4 and texinfo-5.
    
    Texinfo has been stable for the first 15 years of FFTW's history.
    Then some genius, with too much time in his hands and on a mission to
    deliver the world from the evil of the C language, decided to rewrite
    makeinfo in Perl, the old C version of makeinfo being, as I said,
    evil.  The official excuse for the rewrite was that now I can have my
    manual in XML format, as if XML were a feature.
    
    The result of this stroke of genius is that texinfo-5 has different
    rules for macro expansion than texinfo-4 does, specifically regarding
    whether or not spaces after a macro are ignored.  Texinfo-4 had weird
    rules, but at least they were constant and internally more or less
    consistent.  Texinfo-5 has different rules, and even worse the rules
    in texinfo-5 are inconsistent between the TeX and HTML output
    processors.  This situation makes it almost impossible for us to
    produce a manual that works with both texinfo 4 and 5 in all modes
    (TeX, info, and html).  The @noindent/@refill hack is my best shot at
    patching this situation.

commit b0308275bb63a9cb3edb5847fa130f901deaf47e
Author: Matteo Frigo <athena@fftw.org>
Date:   Fri May 17 11:39:05 2013 -0400

    fftw_wisdom.1.in: document the --threads option.

commit 7eb9af0354f7663fa89daa56163d5bc5865bcec1
Author: Matteo Frigo <athena@fftw.org>
Date:   Wed Mar 27 13:12:15 2013 -0400

    Define the version number as M4 macros, so that it is defined only once.
    
    We used to have two version strings: the package number FFTW-X.Y.Z and
    the libtool number CURRENT:REVISION:AGE with the invariant that
    REVISION==Z.  Unfortunately in the fftw-3.3.3 release we forgot to
    change REVISION, with the result that fftw-3.3.3 and fftw-3.3.2 have
    the same REVISION number.
    
    Hopefully this patch will prevent similar screwups in the future.

commit e67d16ed0b81b0e01124c7cdee2320bfea2fd6e4
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Mar 17 19:47:57 2013 -0400

    note that these scripts are not meant for normal users

commit b892c705c7051bcd27c0939070e515fe85f68bb2
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Mar 17 19:45:52 2013 -0400

    add README.md for github's convenience

commit 029db460f692ea9fefc7d0efdf8e11b5d51215b0
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Mar 17 19:44:00 2013 -0400

    Update README for people who download the git repository.

commit 128e9ddbde76a63c7f255b258ff02bd6766cbaa4
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Mar 17 19:37:40 2013 -0400

    Remove reference to obsolete mailing list.

commit 4b1d3b63d64a01216c023389565e40ca03d6be2f
Author: Matteo Frigo <athena@fftw.org>
Date:   Sat Mar 16 09:47:59 2013 -0400

    mkdist.sh: use git instead of darcs
    
    Use git instead of darcs to generate the ChangeLog.  Also, refuse to
    create a distribution if git HEAD does not have a tag, to prevent a
    common mistake.

commit fe84f5d9eeef9f773b0785ba91032ab5b7677461
Author: Matteo Frigo <athena@fftw.org>
Date:   Sat Mar 16 09:26:03 2013 -0400

    remove some junk '*~' files created by the darcs->git conversion

commit 2f9d0a41eec86def6fe9160dac1be172bb241eba
Author: stevenj <stevenj@fftw.org>
Date:   Thu Feb 7 14:22:12 2013 -0500

    use Win32 threads, not pthreads, if both are present (it's not clear why Windows users would ever want the latter); see also https://github.com/JuliaLang/julia/issues/2015

commit b8623189967ed7eb1ca50e80f2b5ee2d6f3ca0ad
Author: stevenj <stevenj@fftw.org>
Date:   Thu Feb 7 14:13:40 2013 -0500

    I found it useful in the Julia interface to call fftw_alignment_of (in order to check plan applicability), in which case we need to IFFTW_EXTERN it for Windows; might be worth considering documenting this function

commit 23b1bf3e19198d2c4575bf6f305cd41ebc17124c
Author: athena <athena@fftw.org>
Date:   Sat Jan 12 15:35:46 2013 -0500

    Increase timing interval to 5000 cycles on x86_64

commit 6e615417da7e1c7cba49b1a73c9edcc15d938cf9
Author: athena <athena@fftw.org>
Date:   Tue Dec 4 15:58:22 2012 -0500

    make -lm a private library in fftw.pc.in
    
    Julian Taylor says:
    
      Make -lm a private library, libfftw is linked against it so clients
      don't need it.  You can use pkg-configs --static flag for static
      linking.  this works on all systems where indirect linking works,
      probably on all others pkg-config is not supported anyway (wild
      guess).

commit 553849f32bcc82a17de11c76cfa9b2f672bfb89e
Author: athena <athena@fftw.org>
Date:   Tue Dec 4 15:54:58 2012 -0500

    Escape minus signs in man pages
    
    http://lintian.debian.org/tags/hyphen-used-as-minus-sign.html says:
    
      By default, "-" chars are interpreted as hyphens (U+2010) by groff,
      not as minus signs (U+002D). Since options to programs use minus
      signs (U+002D), this means for example in UTF-8 locales that you
      cannot cut and paste options, nor search for them easily.
    
    Thanks Julian Taylor for the patch.

commit 715c7ea8347a5dad7d97a0c5d81a87801e826ada
Author: athena <athena@fftw.org>
Date:   Tue Dec 4 15:53:28 2012 -0500

    Change texinfo category to Development

commit 01810ba2a427ee086a4a5323e991dd19e2d715be
Author: stevenj <stevenj@fftw.org>
Date:   Sat Nov 24 22:37:54 2012 -0500

    fixed deadlock bug caused by bogosity flag getting out of synch between processes; thanks to Michael Pippig for the bug report

commit 69aa82642e26a8eb5292a8a7b83250e8df619065
Author: athena <athena@fftw.org>
Date:   Wed Nov 21 18:34:29 2012 -0500

    Updated NEWS

commit e98f888b9457ce5855491279c6c0ef72e23a374c
Author: athena <athena@fftw.org>
Date:   Wed Nov 21 18:33:15 2012 -0500

    use 2x2 AVX transposition instead of individual stores.
    
    This seems to improve single-precision AVX on Sandy Bridge machines.

commit 466f579cb8856a0709da1e6c6b5ca03360bc61a0
Author: stevenj <stevenj@fftw.org>
Date:   Tue Nov 20 12:18:00 2012 -0500

    revert part of Taylor patch to acx_mpi.m4: do not link -lmpi if mpicc works without libraries, as -lmpi may be some completely different MPI implementation

commit 610460226f6d5d2d7c4c53896b5aff9b1f108e4b
Author: stevenj <stevenj@fftw.org>
Date:   Tue Nov 20 11:44:57 2012 -0500

    fix deadlock bug (thanks to Michael Pippig for the bug report and patch, and to Graham Dennis for the bug report) in which some processes called MPI_Alltoall and some called MPI_Alltoallv

commit 512d8d783d6af373fca8376f79255b794df5bd31
Author: athena <athena@fftw.org>
Date:   Mon Oct 29 15:20:01 2012 -0400

    fix texinfo quirk

commit ff329890540002506c47717ebbc3959de30e5066
Author: athena <athena@fftw.org>
Date:   Mon Oct 29 09:16:43 2012 -0400

    clarify that padding only applies to in-place transforms

commit 905ded711f93fa3c94faa7623a5093525338fdeb
Author: athena <athena@fftw.org>
Date:   Sun Oct 28 18:42:48 2012 -0400

    make the index-computation logic less paranoid
    
    The problem is that for each K and for each expression of the form P[I
    + STRIDE * K] in a loop, most compilers will try to lift an induction
    variable PK := &P[I + STRIDE * K].  In large codelets we have many
    such values of K.  For example, a codelet of size 32 with 4 input
    pointers will generate O(128) induction variables, which will likely
    overflow the register set, which is likely worse than doing the index
    computation in the first place.
    
    In the past we (wisely and correctly) assumed that compilers will do
    the wrong thing, and consequently we disabled the induction-variable
    "optimization" altogether by setting STRIDE ^= ZERO, where ZERO is a
    value guaranteed to be 0.  Since the compiler does not know that
    ZERO=0, it cannot perform its "optimization" and it is forced to
    behave sensibly.
    
    With this patch, FFTW is a little bit less paranoid.  FFTW now
    disables the induction-variable optimization" only when we estimate
    that the codelet uses more than ESTIMATED_AVAILABLE_INDEX_REGISTERS
    induction variables.
    
    Currently we set ESTIMATED_AVAILABLE_INDEX_REGISTERS=16.  16 registers ought
    to be enough for anybody (or so the amd64 and ARM ISA's seem to imply).

commit 1dacef5bde5cb6599f9d98e42495f7897f109787
Author: athena <athena@fftw.org>
Date:   Sun Oct 28 18:33:24 2012 -0400

    silence warnings

commit fb08724b27a05ca890c1da062c8d0385c22c02eb
Author: athena <athena@fftw.org>
Date:   Sat Oct 27 09:58:49 2012 -0400

    bump version to 3.3.3

commit c4d6abbc1c80eb612b2abccce728a06189780a69
Author: athena <athena@fftw.org>
Date:   Sat Oct 27 09:55:15 2012 -0400

    evaluate plans for >1ms when using gettimeofday()
    
    The previous limit 10ms was too paranoid, and it made life difficult
    on machines without an "official" cycle counter, such as ARM.

commit 172dd3def821c0898822a5ca72c3f5391553536c
Author: athena <athena@fftw.org>
Date:   Sat Oct 27 09:46:04 2012 -0400

    use 4-way NEON SIMD instead of 2-way
    
    Kai-Uwe Bloem tried to warn me a year ago that 128-bit NEON was better
    than 64-bit NEON even on machines with a 64-bit pipe, but I foolishly
    did not listen.  Now that 128-bit NEON pipes are starting to appear on
    the market it is definitely time to switch.

commit 1c9c469f8727ab1780533226283746e7e9098694
Author: athena <athena@fftw.org>
Date:   Wed Sep 26 14:21:12 2012 -0400

    Note that fftw-3.3 includes MPI support

commit 2de12d67e5f4e34d39119f2e730e9d70e4df0c4e
Author: athena <athena@fftw.org>
Date:   Wed Jul 18 11:25:40 2012 -0400

    remove obsolete unused function

commit 6bc94ae7db56490e35c256bd4840608eea6ec150
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 29 15:57:14 2012 -0400

    whoops, call omp_get_max_threads; thanks to Hanno Rein for the bug report

commit 747ece1503281aad7beb32448af9a7cad05eba52
Author: athena <athena@fftw.org>
Date:   Sat Apr 28 10:55:09 2012 -0400

    Fix libfftw3/libfftw3_threads chicken-egg problem
    
    On most systems we want to build libfftw3 first, so that
    libfftw3_threads can depend upon libfftw3.  When producing a single
    combined-thread library (e.g. on Windows) we want the opposite,
    so that libfftw3 can include libfftw3_threads.

commit 4bcfb67da7211171d5f4b80a90845770bbd2e147
Author: athena <athena@fftw.org>
Date:   Sat Apr 28 10:11:28 2012 -0400

    updated NEWS for 3.3.2

commit cb553a8315ae9a700558956a190aac4658064b83
Author: athena <athena@fftw.org>
Date:   Thu Apr 26 19:36:11 2012 -0400

    change revision to 3.3.2

commit 98229b0d7673cfa15a8c339d305b09367b97d670
Author: athena <athena@fftw.org>
Date:   Thu Apr 26 19:31:02 2012 -0400

    Remove old aligned_main() hack.
    
    On i386, in our benchmark program we used to manually aligned the
    stack to 16-byte boundary via asm trickery.  This was a good idea in
    1999 (and it was actually necessary to make things work) but the hack
    is now obsolete and it seems to break gcc-4.7.  So the hack is now
    gone.

commit 4e4c680e7497ee8bb87bb31451d10d71b8c205e2
Author: athena <athena@fftw.org>
Date:   Thu Mar 29 16:26:16 2012 -0400

    Bugfix: a couple of uninitialized values in the benchmark program

commit 229d864bde7f95f45ee23608b756926a3a20ddd0
Author: athena <athena@fftw.org>
Date:   Tue Mar 20 19:03:47 2012 -0400

    make libfftw{threads,mpi} depend upon libfftw for libtool purposes
    
    Thanks Julian Taylor for the patch

commit f9a05701f2027906b68ff913713166310e18c8cc
Author: stevenj <stevenj@fftw.org>
Date:   Tue Mar 6 04:44:00 2012 -0500

    formatting tweak

commit cec6c01b2647796f5909cfe2d90ce040380da5c5
Author: athena <athena@fftw.org>
Date:   Mon Mar 5 21:05:27 2012 -0500

    destroying => overwriting

commit ad79a0ae3baf83548bc5c9597b0aae94e5226073
Author: stevenj <stevenj@fftw.org>
Date:   Fri Mar 2 10:31:20 2012 -0500

    note that WISDOM_ONLY is a documented flag

commit adf4cdab68e50778689170eb91270bb189aea1ac
Author: stevenj <stevenj@fftw.org>
Date:   Fri Mar 2 10:27:08 2012 -0500

    check for icc pretending to be gcc before including quad-precision decls; thanks to Michael Anselmi for the bug report

commit 99aeb386978a56c1a33f6fe7c9b7942421cf550e
Author: stevenj <stevenj@fftw.org>
Date:   Fri Mar 2 10:23:19 2012 -0500

    foo_CFLAGS needs to manually include AM_CFLAGS; thanks to Henry Gomersall for the Windows bug report

commit 6060dbccef23e01e603f44d42ab602ab89a9442e
Author: athena <athena@fftw.org>
Date:   Sat Feb 25 15:21:39 2012 -0500

    update for latest mingw

commit 06fff6523418bd7ee2478c081cec418eb73adee5
Author: stevenj <stevenj@fftw.org>
Date:   Mon Feb 20 23:06:13 2012 -0500

    added Fortran NEWS

commit 51e33866a2c0cc189954b8197e5053b3275fc564
Author: stevenj <stevenj@fftw.org>
Date:   Mon Feb 20 23:00:13 2012 -0500

    move non-portable extended/quad precision F03 interfaces into separate .f03 files (while keeping double/single in fftw3.f03 for minimal ABI breakage)

commit 545c90a1db20c5cd50f30d0f31d2334ec10cf8ac
Author: athena <athena@fftw.org>
Date:   Mon Feb 20 11:21:57 2012 -0500

    rm mpi/fftw3-mpi.f03 at make clean time; thanks Tyler Luchko for the bug report.

commit b7c0fcdee76b9f2efe194ec13d3b1ca97fadf376
Author: athena <athena@fftw.org>
Date:   Mon Feb 20 11:18:24 2012 -0500

    Disable a Visual Studion warning that was obnoxious enough for Sebastian Schuberth to send us a patch.

commit 4a0de08f4d1f026454fba2e053bd0573afb984d2
Author: athena <athena@fftw.org>
Date:   Mon Feb 20 11:18:06 2012 -0500

    Change version to 3.3.1

commit 49783f83e58d9bc7dc3ea7f1822fefe961361935
Author: athena <athena@fftw.org>
Date:   Mon Feb 20 11:03:15 2012 -0500

    Integrated Visual Studio AVX patches by Carsten Steger

commit bc9dc18402445ce9b357dea5ff2b20720773ddc5
Author: stevenj <stevenj@fftw.org>
Date:   Wed Nov 9 10:13:32 2011 -0500

    typo

commit 659e85e6065429fc6a6e4a005bc5f5068f707fb3
Author: stevenj <stevenj@fftw.org>
Date:   Tue Nov 8 22:45:09 2011 -0500

    add missing F77 set_timelimit function; thanks to Martin Diehl for the bug repory

commit cf1a5563a691fd0c25c67910926adb2ef936cbb7
Author: athena <athena@fftw.org>
Date:   Sun Sep 25 10:54:56 2011 -0400

    note requirement of /machine:x64 in windows x64 README

commit cb216e1fd71ab751f2de5e083bc0237cc98535c9
Author: athena <athena@fftw.org>
Date:   Sun Sep 18 09:28:20 2011 -0400

    AVX detection for MSVC

commit 8acf60e9e0c6417a91d9a21dddb1467feb4fd23e
Author: athena <athena@fftw.org>
Date:   Tue Sep 13 14:58:29 2011 -0400

    compile with C89

commit f3edf46ebdda4a632ccb0ece6c5fa0559014d24e
Author: athena <athena@fftw.org>
Date:   Sat Sep 3 16:25:50 2011 -0400

    use the same search pruning heuristics for threaded plans as for nonthreaded plans

commit f004d764307d0e1815c2f936a9a398825d367f2c
Author: athena <athena@fftw.org>
Date:   Sat Sep 3 16:12:11 2011 -0400

    shorten ESTIMATE planning time for certain weird sizes
    
    FFTW includes a collection of "solvers" that apply to a subset of
    "problems".  Assume for simplicity that a "problem" is a single 1D
    complex transform of size N, even though real "problems" are much more
    general than that.  FFTW includes three "prime" solvers called
    "generic", "bluestein", and "rader", which implement different
    algorithms for prime sizes.
    
    Now, for a "problem" of size 13 (say) FFTW also includes special code
    that handles that size at high speed.  It would be a waste of time to
    measure the execution time of the prime solvers, since we know that
    the special code is way faster.  However, FFTW is modular and one may
    or may not include the special code for size 13, in which case we must
    resort to one of the "prime" solvers.  To address this issue, the
    "prime" solvers (and others) are proclaimed to be SLOW".  When
    planning, FFTW first tries to produce a plan ignoring all the SLOW
    solvers, and if this fails FFTW tries again allowing SLOW solvers.
    
    This heuristic works ok unless the sizes are too large.  For example
    for 1044000=2*2*2*2*2*3*3*5*5*5*29 FFTW explores a huge search tree of
    all zillion factorizations of 1044000/29, failing every time because
    29 is SLOW; then it finally allows SLOW solvers and finds a solution
    immediately.
    
    This patch proclaims solvers to be SLOW only for small values of N.
    For example, the "generic" solver implements an O(n^2) DFT algorithm;
    we say that it is SLOW only for N<=16.
    
    The side effects of this choice are as follows.  If one modifies FFTW to
    include a fast solver of size 17, then planning for N=17*K will be
    slower than today, because FFTW till try both the fast solver and the
    generic solver (which is SLOW today and therefore not tried, but is no
    longer SLOW after the patch).  If one removes a fast solver, of size say
    13, then he may still fall into the current exponential-search behavior
    for "problems" of size 13*HIGHLY_FACTORIZABLE_N.
    
    If somebody had compleined about transforms of size 1044000 ten years
    ago, "don't do that" would have been an acceptable answer.  I guess the
    bar is higher today, so I am going to include this patch in our 3.3.1
    release despite their side-effects for people who want to modify FFTW.

commit 610f7976d8d31f385e2bce4fd8da0a5c770fb877
Author: athena <athena@fftw.org>
Date:   Sat Aug 27 13:55:24 2011 -0400

    Fix typo fftw_execute_dft_r2r => fftw_execute_r2r
    
    Thanks KIU Shueng Chuan for the bug report.

commit 76f7c5558bb5eedb80ff3e67db798b4e493a5872
Author: athena <athena@fftw.org>
Date:   Fri Aug 26 06:13:55 2011 -0400

    In Rader's algorithm, compute the generator lazily.
    
    The planner was spending a lot of time computing generators for
    plans that were immediately discarded.  Now we compute generators
    only when absolutely needed.

commit e1b527d72aad02ddea04f266f6831fb13768fbc3
Author: athena <athena@fftw.org>
Date:   Sun Aug 21 16:16:38 2011 -0400

    Release notes for 3.3.1-beta1

commit 7079b5216c27e2320215f1eb10f6c6554a6c1ac1
Author: stevenj <stevenj@alum.mit.edu>
Date:   Fri Aug 19 19:59:17 2011 -0400

    make fftw_mpi_block routine 10x faster, since it is being called zillions of times (thanks to Tom Vacek for the profiling)

commit e5c7931a01f350aa1f756bfa76307b317e2208e1
Author: athena <athena@fftw.org>
Date:   Thu Aug 18 14:19:36 2011 -0400

    Implement autodetection of NEON extensions

commit 16600d97d52a81152e4ef9ac140c336a5a1ca126
Author: athena <athena@fftw.org>
Date:   Sun Aug 14 14:12:29 2011 -0400

    Update the FSF address.
    
    The FSF moved downtown.

commit 8609b388c7872e1b39baa6d72349dbbb476ade97
Author: stevenj <stevenj@fftw.org>
Date:   Thu Aug 11 14:54:38 2011 -0400

    allow specifying TRANSPOSE_{IN/OUT} transpose plans, since libbench does not canonicalize rnk=1 n=1 plans as rnk=0

commit 341d3e142ea250096b5c76778f77fba4bf6de622
Author: stevenj <stevenj@fftw.org>
Date:   Thu Aug 11 14:17:24 2011 -0400

    check.pl should occasionally check DESTROY_INPUT problems too (especially since those enable slightly different algorithms in MPI)

commit 2845a3c0be7059c93b704b624cc482f9e4778188
Author: stevenj <stevenj@fftw.org>
Date:   Thu Aug 11 12:37:51 2011 -0400

    unify post-MPI transpose handling in pairwise and alltoall solvers; should make the former faster in the destroy-input out-of-place case, and the latter more widely applicable

commit f02c57b267809e16e0e29ae8f7c1301323eda1cb
Author: athena <athena@fftw.org>
Date:   Mon Aug 8 10:06:14 2011 -0400

    Add support for ARM NEON

commit 8ec2b52144bcf72a028cb84c273719b0ecc7730e
Author: stevenj <stevenj@fftw.org>
Date:   Fri Aug 5 17:25:32 2011 -0400

    more C++ paranoia

commit 6047a7079ad3a55d982e68e03cbe158c5e476ee0
Author: stevenj <stevenj@fftw.org>
Date:   Fri Aug 5 17:02:00 2011 -0400

    tentative version bump for 3.3.1

commit 6fbb0639cf17563d4603c6d545e9335d19e3ac43
Author: stevenj <stevenj@fftw.org>
Date:   Fri Aug 5 16:52:28 2011 -0400

    fixes so that MPI code compiles when MPICC is a C++ compiler, even if the serial code is compiled with a C compiler; thanks to Kyle Spyksma for the bug report

commit d7feb2daba8f23e5bca6c4e4e3f4177ad9a49e87
Author: stevenj <stevenj@fftw.org>
Date:   Fri Aug 5 16:04:06 2011 -0400

    use correct precision in f03-wrap.c, avoiding a (harmless) implicit pointer cast that prevented compilation under C++; thanks to Kyle Spyksma for the bug report

commit 50d12441bd0b3410c799d11784717e76147b5474
Author: stevenj <stevenj@fftw.org>
Date:   Fri Aug 5 14:04:32 2011 -0400

    manual typo

commit 9e45ff08aca4e28ec61c947284188a01aed45fe6
Author: athena <athena@fftw.org>
Date:   Tue Jul 26 20:55:45 2011 -0400

    Honor WITH_OUR_MALLOC in libbench2

commit 2cfcd40d46731a41a400ed4a4d2eeeb954422568
Author: athena <athena@fftw.org>
Date:   Tue Jul 26 20:27:28 2011 -0400

    fixed typo: incorrect name of combined threads library on Windows

commit a81ea0083c5cc32c9acecfd5f57f38d0e4f07bb5
Author: stevenj <stevenj@fftw.org>
Date:   Mon Jul 25 14:38:20 2011 -0400

    3.3 version bump & NEWS

commit df2116046636b6ed6b989fa8b706f3e9db53e17e
Author: stevenj <stevenj@fftw.org>
Date:   Mon Jul 25 14:37:48 2011 -0400

    use int(..., C_SIZE_T) rather than declaring another variable in the Fortran examples

commit 19ebb38d4180b0a70f4579d37dedfd6e678edecd
Author: stevenj <stevenj@fftw.org>
Date:   Wed Jul 13 05:02:32 2011 -0400

    typo, thanks to Rhys Ulerich for the comment

commit a221f0e99a9206e1edaa8016e04f891261cc5196
Author: athena <athena@fftw.org>
Date:   Mon Jul 11 14:39:52 2011 -0400

    Fix bug in bubblesort
    
    Bubblesort was not sorting.  This was a bug in the benchmark library
    (not in FFTW per se), and it impacted the benchmark program
    with --report-time and --report-mflops causing it to output
    an incorrect value for the median.  (The minimum, maximum, and
    average value were correct.)  Thanks Dima Baksheev of Intel for
    reporting this bug.

commit d33f4f7b648b658d0d232f8561c85fd9b007c105
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jul 8 13:35:59 2011 -0400

    small manual typos

commit 047c6636b6cbbdde2d8f4e5a62e26013336fd3e7
Author: athena <athena@fftw.org>
Date:   Wed Jul 6 10:49:40 2011 -0400

    Detection of altivec.h requires $ALTIVEC_CFLAGS

commit 8cb56c732d86e26edca3ea53e63440756a434031
Author: athena <athena@fftw.org>
Date:   Tue Jul 5 19:58:47 2011 -0400

    Introduce fake dependency so that my-getopt.c is recompiled
    
    my-getopt.c does not depend on anything, and so it is not rebuilt when
    reconfiguring for a different ISA (e.g., CC="gcc -m32" vs CC="gcc
    -m64").  Add a fake dependency on <config.h> so that the file is
    recompiled.

commit e50fbe175fe6b482d4eabf554a9d923fe1cb727a
Author: stevenj <stevenj@fftw.org>
Date:   Tue Jul 5 18:53:36 2011 -0400

    support compiling/installing --enable-threads --enable-openmp at the same time, although in this case the test program only uses the threads variety.  Update documentation accordingly, and in general expand the documentation of the OpenMP support

commit 1b13a7673c31c9f98151186ab5ad96952f0c8cc2
Author: stevenj <stevenj@fftw.org>
Date:   Tue Jul 5 16:04:03 2011 -0400

    call omp_set_num_threads in fftw-bench so that the number of OpenMP threads corresponds with the number of FFTW threads

commit fcd3d63bce6f23ca8274e739ca83a0fcb8b63a99
Author: stevenj <stevenj@fftw.org>
Date:   Tue Jul 5 16:03:06 2011 -0400

    when --enable-openmp, install as fftw3_omp rather than fftw3_threads, so that both the POSIX threads and OpenMP variants of FFTW can be installed at once

commit 4c8bae967265bf7b4c9705d6efe87cf7e9151fce
Author: stevenj <stevenj@fftw.org>
Date:   Sat Jul 2 02:21:22 2011 -0400

    don't even declare an fftw_execute interface in Fortran, since it is unsafe and we recommend against it anyway; thanks to Arjen Markus for the suggestion

commit b1741fcc12ccd46d1ce538398c78ca8da98b2448
Author: athena <athena@fftw.org>
Date:   Fri Jul 1 14:35:44 2011 -0400

    consistently use the order single, double, long double

commit 02d76b0f908814ec69eb9f4edf423e6794d63720
Author: athena <athena@fftw.org>
Date:   Wed Jun 29 17:27:06 2011 -0400

    MSVC AVX 64-bit detection does not work, punt for now.

commit 5a057b2b67c6eac3cb59c5dd555e1e4093d0ce8e
Author: stevenj <stevenj@fftw.org>
Date:   Wed Jun 29 15:52:27 2011 -0400

    fixed typo, added note on transposed flags for r2c/c2r; thanks to Rhys Ulerich for the suggestions
    [empty commit message]

commit 21db43d01a6a55f3bce9bbb3bd01fc968a8fb4ac
Author: athena <athena@fftw.org>
Date:   Wed Jun 29 09:41:39 2011 -0400

    fixes for compiling with MSVC (untested)

commit dcbc5ebfe7dd814f3ef8ee85fb5b2ccb4a3671f0
Author: athena <athena@fftw.org>
Date:   Tue Jun 28 16:48:36 2011 -0400

    comment

commit f71799bf38f03deaeea50a8b4178757e826854c0
Author: stevenj <stevenj@fftw.org>
Date:   Mon Jun 27 21:01:56 2011 -0400

    rm extraneous line break in HTML output ... I hate texinfo
    [empty commit message]

commit 9ae9c2b534eb9064d8153f235e6d013a4c8b50c1
Author: stevenj <stevenj@fftw.org>
Date:   Mon Jun 27 00:47:33 2011 -0400

    maintainer-clean should delete html directory (otherwwise we keep obsolete HTML files in the dist tarball, sigh)
    [empty commit message]

commit f66d29622c87134e4a790fdab1e25413fac8d33d
Author: stevenj <stevenj@fftw.org>
Date:   Sun Jun 26 23:36:32 2011 -0400

    update copyright year in manual
    [empty commit message]

commit 3799446cb5d30354dc69a36f07e8bdf87ed5cb34
Author: stevenj <stevenj@fftw.org>
Date:   Sun Jun 26 22:52:54 2011 -0400

    whoops, don't dist .f03 headers, since those are built by the user's Makefile
    [empty commit message]

commit 8c336f8396e94752233e91433a0e64a72e137599
Author: stevenj <stevenj@fftw.org>
Date:   Sun Jun 26 22:43:49 2011 -0400

    fix embarrassing deadlock/crashing bug in my previous nowisdom_hook fix -- I forgot to handle the case where one process has wisdom and another one doesn't, requiring a nowisdom_hook in the latter case; this should only affect MPI transforms since otherwise these hook functions are NULL
    [empty commit message]

commit e32aa9704f9a6e0811638809bbf764dc748116fb
Author: stevenj <stevenj@fftw.org>
Date:   Sun Jun 26 21:02:15 2011 -0400

    subsubheadings, MPI transpose reference
    [empty commit message]

commit e2759a2102797af24072573371a9d94d4943f1ff
Author: stevenj <stevenj@fftw.org>
Date:   Sun Jun 26 20:48:53 2011 -0400

    add MPI plan reference
    [empty commit message]

commit 5fd0d86ab1801a09997624a79a56029f76e4c718
Author: stevenj <stevenj@fftw.org>
Date:   Sun Jun 26 17:07:21 2011 -0400

    portions of MPI reference docs; tweaks to NEWS
    [empty commit message]

commit b280b47c049bc941297a69b5d668a7fdf4a81977
Author: stevenj <stevenj@fftw.org>
Date:   Sun Jun 26 12:40:43 2011 -0400

    use $(CHECK_PL_OPTS) more consistently
    [empty commit message]

commit f78b49c77e0442702bb0bb3b1e52b82795c36358
Author: athena <athena@fftw.org>
Date:   Sun Jun 26 10:04:54 2011 -0400

    accept \r\n as well as \n.  Grrr...

commit 4449361639ee599d5221557c1b7021c85954c2d9
Author: athena <athena@fftw.org>
Date:   Sun Jun 26 09:52:11 2011 -0400

    new configure option --with-incoming-stack-boundary=N
    
    This option selects CFLAGS to align the stack at all externally-callable
    functions.  This currently comprises api/* and threads/*

commit 44191f4b3b5109c9e1befb9a3eefb1f34a1fd63e
Author: athena <athena@fftw.org>
Date:   Sun Jun 26 09:51:37 2011 -0400

    add -fomit-frame-pointer back
    
    Somehow -O3 does not imply -fomit-frame-pointer on ia32

commit 94f1e0517794a91b91b81bc46695d0bcf5d23ca9
Author: athena <athena@fftw.org>
Date:   Sun Jun 26 07:20:27 2011 -0400

    Note that removal of mips-ps is temporary.

commit 6ec5e833bf16b843f2893e894f786a67721cf647
Author: stevenj <stevenj@fftw.org>
Date:   Sat Jun 25 23:15:03 2011 -0400

    update copyright year
    [empty commit message]

commit 27117ddc70e191d20cc88be0a2285f454a1409cd
Author: stevenj <stevenj@fftw.org>
Date:   Sat Jun 25 21:33:13 2011 -0400

    updated NEWS
    [empty commit message]

commit 2e1f81718cf9d9073a65e907c6aecebc1333a4a1
Author: stevenj <stevenj@fftw.org>
Date:   Sat Jun 25 20:29:55 2011 -0400

    fixes to Fortran interface and docs
    [empty commit message]

commit 32e0027e573cbfcae6c39e535a1a3549f602b97a
Author: stevenj <stevenj@fftw.org>
Date:   Sat Jun 25 17:43:31 2011 -0400

    initial stab at MPI Fortran docs
    [empty commit message]

commit f1b33feb4669f8b92467a448172c0c0734c5ac48
Author: stevenj <stevenj@fftw.org>
Date:   Sat Jun 25 16:43:31 2011 -0400

    correct description of what MPI standard says about I/O (I can't believe this crap)
    [empty commit message]

commit 0329701daca6ace6a4167366fda97a86d7d3b6f4
Author: stevenj <stevenj@fftw.org>
Date:   Sat Jun 25 15:14:07 2011 -0400

    more MPI documentation; mention `fftw_alloc' functions earlier in the manual
    [empty commit message]

commit c4a68ffe9d9332bc0fc9e9db4f41a7c0728ec663
Author: stevenj <stevenj@fftw.org>
Date:   Sat Jun 25 13:40:19 2011 -0400

    clarification about --enable-sse2
    [empty commit message]

commit cbf6b823ec85dfecab28d071db39d5f92cdcb561
Author: athena <athena@fftw.org>
Date:   Sat Jun 25 13:31:25 2011 -0400

    Update mingw build scripts for fftw-3.3

commit 1c97317e9689ac1376ba51c408adde1514475140
Author: athena <athena@fftw.org>
Date:   Sat Jun 25 08:52:13 2011 -0400

    Fix typo: EXTRADIST => EXTRA_DIST

commit 0ab873d4daf2a047ec04e273f0a8046f8919961c
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 24 23:52:19 2011 -0400

    finished draft "modern fortran" chapter
    [empty commit message]

commit 35f278113d2e2b4532514f40b44fe468b5c7d729
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 24 20:47:49 2011 -0400

    include FFTW_EXTERN prototypes for wrappers, so that they are properly exported to DLLs on Windows (sigh)
    [empty commit message]

commit d2a1f24513b42464d64fa4fea5b97326f4251646
Author: athena <athena@fftw.org>
Date:   Fri Jun 24 16:52:30 2011 -0400

    use malloc() instead of alloca() for large buffers
    
    The proximate cause for this patch is that OpenBSD/i386 reserves 256KB
    stack size per thread.  We were allocating a buffer of size
    128*130*sizeof(fftw_complex) that exceeds the stack.
    
    While 128*130*sizeof(fftw_complex) = 260KiB is the worst case for
    normal configurations, it is a good idea to limit stack allocation
    just in case.  Also, the generic solver might in principle generate
    unbounded buffers, even though it is normally disabled for n > 137.
    
    So, as an added precaution, we now never stack-allocate buffers larger
    than 64KiB, which ought to be enough for anybody.

commit 3b1c71b8e61a7fbfa88589ddf418d494a672ed78
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 24 16:32:30 2011 -0400

    don't imply that AVX is available on Pentium III; note that MIPS Paired Single is currently only in FFTW 3.2.x
    [empty commit message]

commit 02153f462b97b2733b47d298a3fc5cc57b45ba86
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 24 16:05:27 2011 -0400

    silence annoying gfortran warnings
    [empty commit message]

commit dff007f6cc14bdd1ea710466aa3f6fb3a5408c0a
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 24 14:59:30 2011 -0400

    a couple MPI Fortran 2003 fixes; changed MPI flags to not use 1<<31 since Fortran (not having unsigned integers) does not allow us to declare that constant in a portable way
    [empty commit message]

commit ff330ebfa25ed56b29ea61ea99bf293cec079dde
Author: athena <athena@fftw.org>
Date:   Fri Jun 24 15:05:05 2011 -0400

    Fix libtool shared version info.
    
    FFTW-3.3.x should be a direct drop-in replacement for all FFTW-3.x.y
    versions.

commit 6c3c5cd3040d318a184fc0e6ee6ee4e3429ef8ce
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 24 14:38:47 2011 -0400

    add MPI Fortran API and wrappers
    [empty commit message]

commit 02d3e72585a1254f2685014f5f8de5c7730b8ec5
Author: athena <athena@fftw.org>
Date:   Fri Jun 24 14:51:12 2011 -0400

    Do not require fig2dev on the user's machine
    
    Distribute the manual's figures in PDF/PS/PNG form instead.

commit 5169fc22863b9b6ea7bfbaafc0ca523e82114ee1
Author: athena <athena@fftw.org>
Date:   Fri Jun 24 11:52:44 2011 -0400

    Remove --enable-portable-binary, --with-gcc-arch from documentation.

commit f6d1274e5c9cc173d07c58df0a3535c9f4767e48
Author: athena <athena@fftw.org>
Date:   Fri Jun 24 11:48:48 2011 -0400

    Forget about specifying nonportable CFLAGS.  Let the user do it if he wants.

commit 74872e79034a2379c537c23a7c29d0b6f43d2437
Author: athena <athena@fftw.org>
Date:   Fri Jun 24 11:48:25 2011 -0400

    Add "-avx" to version string when appropriate.

commit 2d6800ac3b8070da86d6d825d89fea05fbd44b78
Author: athena <athena@fftw.org>
Date:   Fri Jun 24 10:26:38 2011 -0400

    change 3.3-alpha => 3.3-beta1

commit 97a4d17f30831d71b4075eec8b7f4b7c12deedb7
Author: athena <athena@fftw.org>
Date:   Fri Jun 24 09:25:49 2011 -0400

    Extend OUR_MALLOC16 to larger alignments
    
    Make it work for 32-byte alignment and beyond, as needed by AVX.
    Rename --with-our-malloc16 to --with-our-malloc.  Keep old --with-our-malloc16
    flag for compatibility.

commit fd31e415cd0731c428daafe791386d79ff34b8ca
Author: athena <athena@fftw.org>
Date:   Fri Jun 24 09:19:38 2011 -0400

    Fix typo

commit 4f8a370b687860b92a93c49fed128218e6fb9f9b
Author: athena <athena@fftw.org>
Date:   Fri Jun 24 09:10:26 2011 -0400

    One pass over the manual.

commit ba838fa07395a4f365eb16aa8ba1bb108f533dd5
Author: athena <athena@fftw.org>
Date:   Fri Jun 24 08:19:03 2011 -0400

    eliminate the WITH_ALIGNED_STACK hack
    
    This is 2011 and I have no system with incorrect stack alignment.

commit 7e32fb649dcd2a78a3b2d216140fc218cb69c334
Author: athena <athena@fftw.org>
Date:   Fri Jun 24 07:49:47 2011 -0400

    enable both threaded and unthreaded wisdom in tools/fftw-wisdom

commit 7543b3029bce4fc595c5efc7e0d31a71b4ec5cce
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 24 02:40:04 2011 -0400

    clarification
    [empty commit message]

commit 81589ce427090a8aea9f4362a9b7f9ba7e76e111
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 24 02:24:01 2011 -0400

    check for error code in example
    [empty commit message]

commit 3c57716a6525c37f0f485e925c7df8f9819c66fd
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 24 02:22:18 2011 -0400

    cleanup - since NATIVE_MALLOC is always malloc, delete this #define
    [empty commit message]

commit 644b3ee0d54eb80e78a35710d2b8027f3104fbe6
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 24 02:19:44 2011 -0400

    document wisdom string import/export in Fortran
    [empty commit message]

commit bee8d24fa16cd40bba5612938edc915399526c03
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 24 02:11:40 2011 -0400

    bug fix - NATIVE_MALLOC should always be plain malloc, even in debug_malloc mode, because it is used in the API to return things that should be deallocated with free(); correspondingly, be sure to use free() ansd not X(free) with this
    [empty commit message]

commit 119eb3d276de6b3178c5436fd0cee98a35f0aabf
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 24 01:35:27 2011 -0400

    declaration style
    [empty commit message]

commit 8916c213d4b3121e65af9ee4989ed8ae0fc21db9
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 24 01:25:36 2011 -0400

    document wisdom file export/import from Fortran; add export/import_to/from_filename functions for convenience
    [empty commit message]

commit 9fb007e826ee94927e9ff4a9de14c6b80ec06e69
Author: stevenj <stevenj@fftw.org>
Date:   Thu Jun 23 19:19:43 2011 -0400

    more fortran docs
    [empty commit message]

commit 3f0d26b4fd7e8e501fbd2f6ff24337ff0ad3c97c
Author: stevenj <stevenj@fftw.org>
Date:   Thu Jun 23 17:50:30 2011 -0400

    enforce 132-character line-length limit that is the default in Fortran
    [empty commit message]

commit 6e69de25872aed3a4eb13523a43bcfdf9a4f731c
Author: stevenj <stevenj@fftw.org>
Date:   Wed Jun 22 23:27:31 2011 -0400

    the F03 standard is ambiguous about whether types can be assigned to wider types as formal parameters with VALUE attributes, and e.g. gfortran interprets it to disallow this code
    [empty commit message]

commit a91a52952fb6d32423f351afdda8de2d04b71e38
Author: athena <athena@fftw.org>
Date:   Thu Jun 23 18:12:10 2011 -0400

    Add md5 hash of fftw's configuration to wisdom file
    
    People were already confused by threaded vs unthreaded wisdom, and now
    things will be even worse because we enable/disable AVX codelets at
    runtime.  Accept incoming wisdom only if it was produced by the same
    configuration (modulo MD5).

commit 0de6ca5c7f7720457124d7b7a3ca35153d06f761
Author: athena <athena@fftw.org>
Date:   Thu Jun 23 09:01:27 2011 -0400

    distribute fftw3.f03.in

commit 6422ed65a6cfb1704c1b428f37a6034baeba212c
Author: stevenj <stevenj@fftw.org>
Date:   Wed Jun 22 22:02:18 2011 -0400

    more Fortran documentation
    [empty commit message]

commit 9c1e1d48f0f97b49b62e5ee42e92673964e7d7cf
Author: stevenj <stevenj@fftw.org>
Date:   Wed Jun 22 20:10:39 2011 -0400

    correct comment
    [empty commit message]

commit ce8bb23e571efe5595d6d9578a45769e48bad7fe
Author: athena <athena@fftw.org>
Date:   Wed Jun 22 20:26:18 2011 -0400

    Use "sh FOO.sh" instead of "./FOO.sh" to avoid chmod +x.

commit 660905636ebbefe3338d405d4a6fb30b89e07912
Author: stevenj <stevenj@fftw.org>
Date:   Wed Jun 22 19:19:05 2011 -0400

    document fftw_alloc_real/complex ... should we switch to using these in the tutorial examples?
    [empty commit message]

commit ea8c9f7fedc0ca183449b70bee978a4251f552e1
Author: stevenj <stevenj@fftw.org>
Date:   Wed Jun 22 19:07:49 2011 -0400

    whoops, added missing file
    [empty commit message]

commit 6caf08feba78084741e749e022c8c2e523c7ab44
Author: athena <athena@fftw.org>
Date:   Wed Jun 22 18:46:01 2011 -0400

    Note addition of AVX.

commit a17b6a6a493d19c93fd3a6b8eaacef8174033cd7
Author: athena <athena@fftw.org>
Date:   Wed Jun 22 18:43:43 2011 -0400

    In SSE2, AVX: use FMA macros when applicable.
    
    Makes it easier to play with fma4 and fma3 when it comes out.

commit d4dfffc05a4f9c3f7aa7c2c2ef9fa416f9257a5f
Author: stevenj <stevenj@fftw.org>
Date:   Wed Jun 22 18:16:45 2011 -0400

    all modern Fortran compilers can call FFTW's C interfface directly -- support this, and in particular generate a Fortran 2003 interface file from fftw3.h so that Fortran code calling FFTW can be typechecked ((addressing the source of a lot of Fortran-user problems)
    [empty commit message]

commit 10a9a86ddf3d94750c57ca8b20c0fca39cea6541
Author: athena <athena@fftw.org>
Date:   Wed Jun 22 13:10:02 2011 -0400

    some cleanup of SSE2 macros

commit f301a0adb53b56a2e4fd74ef61cf29d66b745286
Author: athena <athena@fftw.org>
Date:   Wed Jun 22 07:38:18 2011 -0400

    don't use -xHost on ICC
    
    -xHost with ICC is problematic.  On icc-12.0.0, "-mavx -xHost"
    overrides -mavx with -xHost, generating SSE2 code instead of AVX code.
    ICC does not seem to support -mtune=host or equivalent non-ABI
    changing flag.

commit 9e7758ff431947863cec44354413c27067f0fda8
Author: athena <athena@fftw.org>
Date:   Tue Jun 21 20:35:36 2011 -0400

    Complete AVX implementation for split codelets

commit a547e3d5dba38863f6e2c9acb45ffb94351fe3a5
Author: stevenj <stevenj@fftw.org>
Date:   Tue Jun 21 19:37:14 2011 -0400

    whoops, missing altivec conf patches
    [empty commit message]

commit 9dc6263714fa685f384fb61ed08d398b38b26329
Author: stevenj <stevenj@fftw.org>
Date:   Tue Jun 21 19:12:45 2011 -0400

    some BSD ar versions (e.g. on MacOS X) give an error if there are no object files, so we cannot build empty libraries
    [empty commit message]

commit 32dcba1b5d68cf9e33ec3f81e0405f2f909389dd
Author: stevenj <stevenj@fftw.org>
Date:   Tue Jun 21 19:12:12 2011 -0400

    re-insertion of Altivec code
    [empty commit message]

commit 931617ee1ba9f9257117ad8e1df38dfe055f9cee
Author: athena <athena@fftw.org>
Date:   Tue Jun 21 16:26:09 2011 -0400

    Implement faster AVX loads/stores.

commit f76d6c1d278b34b2ccac7cff57522cab7ec90864
Author: athena <athena@fftw.org>
Date:   Tue Jun 21 16:03:24 2011 -0400

    Initial AVX256/single implementation
    
    This should be correct but slow.  I need to figure out how to implement
    noncontiguous loads/stores efficiently.

commit 164cc4c8fa9bfdf2b02d9cb9364c8f3f36e420e7
Author: athena <athena@fftw.org>
Date:   Tue Jun 21 14:13:57 2011 -0400

    fix AVX alignment

commit c277833627164aeb649d187ba0409a3fdca9166d
Author: athena <athena@fftw.org>
Date:   Tue Jun 21 14:07:28 2011 -0400

    rename avx256d -> avx
    
    AVX will work in both double and single precision, like SSE2.

commit f97162a135eee43630825fccaa29b735ee284fff
Author: athena <athena@fftw.org>
Date:   Tue Jun 21 13:52:20 2011 -0400

    remove CODELET_OPTIM
    
    In the old 32-bit gcc-3.x days we used to play games with gcc to force
    it to produce decent code.  Now gcc has gotten smarter and it produces
    indecent code no matter what we do, so it is safe to remove these hacks.

commit 57baa1a6761a441c6aa47b0b63503bfd5270d9a9
Author: athena <athena@fftw.org>
Date:   Tue Jun 21 09:57:31 2011 -0400

    work around gcc/icc quirks

commit deeea8205c4cf4511b41a8a7cd85195b1e4eb7f6
Author: athena <athena@fftw.org>
Date:   Tue Jun 21 09:56:07 2011 -0400

    Add remarks in places where we work around gcc quirks

commit b357b3a90ba2060915fa03d888f0b2306be1f17a
Author: stevenj <stevenj@fftw.org>
Date:   Mon Jun 20 21:17:59 2011 -0400

    remove the libbench directory (which we have kept lingering in the repository for years due to CVS's inability to remove directories)
    [empty commit message]

commit 1ff7bbcc3b0dcfa3bd8f16ec1c672e5671cc0f99
Author: stevenj <stevenj@fftw.org>
Date:   Mon Jun 20 21:17:14 2011 -0400

    update URLs
    [empty commit message]

commit ddcac323fe11f273f8e983836edaec002237a3ca
Author: stevenj <stevenj@fftw.org>
Date:   Mon Jun 20 20:53:31 2011 -0400

    whoops, forgot to check in alignment change
    [empty commit message]

commit 5eac5571d61bf5515946dab5750f5db82632cd54
Author: athena <athena@fftw.org>
Date:   Mon Jun 20 20:22:23 2011 -0400

    "test X = Y" requires spaces around "="

commit 60d4535475d937207b8fd0c6ebef966d95601154
Author: stevenj <stevenj@fftw.org>
Date:   Mon Jun 20 19:18:52 2011 -0400

    indenting
    [empty commit message]

commit 22cdbb3e3f35d6c289f4c250fbeba696090c6cc9
Author: stevenj <stevenj@fftw.org>
Date:   Mon Jun 20 18:57:10 2011 -0400

    merge back in SSE support, now combined with SSE2; --enable-sse2 now works in both single and double precision, and simd-sse2.h contains both the double- and single-precision code (which overlap a lot); in single precision it is still compiled for SSE-only (SSE2 is only required for double)
    [empty commit message]

commit 2d767316e1ba0cf9fd4f5eb3134c6341b2d87a29
Author: athena <athena@fftw.org>
Date:   Mon Jun 20 16:02:07 2011 -0400

    Implement AVX autodetection (gcc-only so far)

commit 1ed535ea5c0ae847edb64b1696c7c40ea6022fbd
Author: athena <athena@fftw.org>
Date:   Mon Jun 20 14:25:54 2011 -0400

    Add VZEROUPPER at the end of AVX codelets
    
    If the Intel Optimization Manual is to be believed, we need to wave a
    dead chicken before transitioning from AVX code to SSE code.  I am
    supposed to believe that there is a transition penalty for doing so,
    unless one uses a magic VZEROUPPER instruction that apparently has
    zero cost.  Whatever.

commit 1b26ff69ef0065d12689cd77ae65a7a049a37150
Author: athena <athena@fftw.org>
Date:   Mon Jun 20 10:21:25 2011 -0400

    Move RDFT to new simd scheme

commit 02b63c9ba5acf94a24d0b948436026df702681a9
Author: athena <athena@fftw.org>
Date:   Mon Jun 20 09:23:38 2011 -0400

    New SIMD build system
    
    We now support multiple SIMD extensions in the same binary, e.g.
    --enable-sse2 --enable-avx.  This patch adds the necessary
    infrastructure for SSE2/AVX and complex DFT.  Later patches will add
    RDFT and SSE/ALTIVEC/etc.

commit 3409ea120286bc180d314be65f949ecb62f954cb
Author: stevenj <stevenj@fftw.org>
Date:   Sun Jun 19 12:29:27 2011 -0400

    italicize Latin quote
    [empty commit message]

commit 760f9aec6ca8c45219a357605b8216fef71ff04f
Author: stevenj <stevenj@fftw.org>
Date:   Sun Jun 19 12:26:34 2011 -0400

    work around incredibly annoying makeinfo bug -- for HTML output, in any paragraph ending with an @index command, two blank lines are needed to create a paragraph break  ... our HTML output has apparently been screwed up for years
    [empty commit message]

commit f7a34a1e53ec9e1b7c263d6c8a4cf8020c1de89e
Author: stevenj <stevenj@fftw.org>
Date:   Sun Jun 19 12:01:39 2011 -0400

    conjugate-pair algorithm turns out not to be due to djb, but it was pointed out to us by djb
    [empty commit message]

commit 34e740878c4a449ef31a6df2f538a67387504b57
Author: stevenj <stevenj@fftw.org>
Date:   Sun Jun 19 11:59:21 2011 -0400

    new-array execute functions are *not* the same for MPI, since the problems are different
    [empty commit message]

commit a0b07a03fd52e6192dd0023054cc6359dd651554
Author: stevenj <stevenj@fftw.org>
Date:   Sun Jun 19 11:57:52 2011 -0400

    tweaks to MPI manual
    [empty commit message]

commit 9fa05d4bcd100d5ed0ade53a1c28f00a01cd89fc
Author: stevenj <stevenj@fftw.org>
Date:   Sun Jun 19 00:47:23 2011 -0400

    only call MPI_Init_thread for MPI version >= 2
    [empty commit message]

commit e2f3cf7c8965653eb94a03c25ab7ce8f4f09ed8e
Author: stevenj <stevenj@fftw.org>
Date:   Sun Jun 19 00:35:44 2011 -0400

    document quad precision in Fortran
    [empty commit message]

commit f5dd231509aa0a32aa1d0fa1024adf8ebba30aa9
Author: stevenj <stevenj@fftw.org>
Date:   Sun Jun 19 00:16:10 2011 -0400

    use -lquadmath for quad-precision library in pkgconfig file
    [empty commit message]

commit d0775d11f358dc46f0f2925be4830b3127564ab4
Author: stevenj <stevenj@fftw.org>
Date:   Sun Jun 19 00:10:33 2011 -0400

    document quad precision
    [empty commit message]

commit a6142f7e745906e6b392369e5ffc5bf83f57d573
Author: stevenj <stevenj@fftw.org>
Date:   Sat Jun 18 21:26:24 2011 -0400

    there is currently no standard quad-precision type in MPI, so don't allow MPI support to be compiled with --enable-quad-precision
    [empty commit message]

commit 34067999298aa71f65b2ac33386693f03bebd725
Author: stevenj <stevenj@fftw.org>
Date:   Sat Jun 18 21:25:51 2011 -0400

    make quad-precision library libfftwq
    [empty commit message]

commit 28db5c98edf2ce5508cc8a91118b41ede6476183
Author: stevenj <stevenj@fftw.org>
Date:   Sat Jun 18 21:19:50 2011 -0400

    use --estimate in check script with --enable-random-estimator
    [empty commit message]

commit e16e119568222dd95a717242b191a4adf72ec2de
Author: stevenj <stevenj@fftw.org>
Date:   Sat Jun 18 20:36:51 2011 -0400

    bug fix - correct crashing interaction between threads and debug-malloc
    [empty commit message]

commit 25a1b5252eb203919634a13d0c5deb8f8ddad940
Author: stevenj <stevenj@fftw.org>
Date:   Sat Jun 18 18:41:48 2011 -0400

    whoops, typo
    [empty commit message]

commit 2d8b12a9624e30de0054d035d35474c57d115f49
Author: stevenj <stevenj@fftw.org>
Date:   Sat Jun 18 18:35:14 2011 -0400

    clarification of when fftw_cost may return 0
    [empty commit message]

commit 9d7a9545df20eb5b0c4ea6535161108225abce21
Author: stevenj <stevenj@fftw.org>
Date:   Sat Jun 18 18:31:26 2011 -0400

    corrected manual and test program for proper interaction of MPI and threads
    [empty commit message]

commit a950b94a168ed22d850db5394fd633eee3309ebf
Author: stevenj <stevenj@fftw.org>
Date:   Sat Jun 18 17:13:52 2011 -0400

    need --mpi restriction in mpi+threads check
    [empty commit message]

commit 7a8106a510a8147ce2f8f986a0ea6f1fc935b419
Author: stevenj <stevenj@fftw.org>
Date:   Sat Jun 18 12:09:04 2011 -0400

    split fftw3.texi into multiple files for ease of editing
    [empty commit message]

commit cb26916dace1d5d264f7561b760a89d5ee972d3b
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 17 17:26:50 2011 -0400

    merge recent Cell deletion with MPI branch
    [empty commit message]

commit 1595e9847b428d6b439d7f908d3d6f06b6746d1f
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 17 01:52:59 2011 -0400

    whoops, incorrect assertion
    [empty commit message]

commit 158a22057fd700263ff39e20dafbf506982bad25
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 17 01:52:51 2011 -0400

    comment fix
    [empty commit message]

commit e0d118305f05ad4f429fda2879547b9285c362ea
Author: stevenj <stevenj@fftw.org>
Date:   Thu Jun 16 23:30:27 2011 -0400

    check if pln creation failed (e.g. for split input) bbefore calling setup_gather_scatter, to prevent crashes
    [empty commit message]

commit b2254795d8d3f65d1205053f39d5e837bec6e4d0
Author: stevenj <stevenj@fftw.org>
Date:   Thu Jun 16 23:26:48 2011 -0400

    bug fix -- transpose-recurse is only applicable if subtransposes fit in the same space (unless I change the allocation routine, but this would seem to require looking at all possible recursive invocations of transpose-recurse)
    [empty commit message]

commit 25faa34d32d8b7577ad1107769f3e87e7c87cef0
Author: stevenj <stevenj@fftw.org>
Date:   Mon Apr 11 17:58:03 2011 -0400

    yikes, any_true check on subplan creation should be in comm, not comm2, so that all processes know if failure occurred
    [empty commit message]

commit c0b90d9331fbcc167f07c04a3ce1298cc8d88593
Author: stevenj <stevenj@fftw.org>
Date:   Mon Apr 11 17:00:46 2011 -0400

    add wisdom_ok_hook to enforce wisdom synchronization on MPI problems, apparently fixing a longstanding deadlock/crash bug
    [empty commit message]

commit 651a2f59b8fdeecf79246c3f65b776be567b2ddb
Author: stevenj <stevenj@fftw.org>
Date:   Mon Apr 11 15:10:22 2011 -0400

    add a check (in DEBUG mode only) that all processes produce the same hash of MPI problems; don't include alignment in MPI problem hash because it may differ between processes for unaligned malloc
    [empty commit message]

commit 23bb1cb665dc571a773eb5125371b1079e0a4243
Author: stevenj <stevenj@fftw.org>
Date:   Fri Apr 8 18:46:54 2011 -0400

    use cost_hook in random_estimate
    [empty commit message]

commit 21229fc46c88d7ca15c9ba06c1f731d01eecd77a
Author: stevenj <stevenj@fftw.org>
Date:   Sun Mar 6 23:33:53 2011 -0500

    added mpi new-array execute functions; thanks to Guo Luo for the bug report
    [empty commit message]

commit 7335ef11cd5e2e9962dbc41c42e5c14e156e6f82
Author: stevenj <stevenj@fftw.org>
Date:   Wed Feb 9 21:29:17 2011 -0500

    MPI may not support tags > 2^15-1 (e.g. Cray MPI requires tags < 2^24); thanks to Jonathan Bentz for the bug report.
    [empty commit message]

commit 155887d9e173f2a72cb63cf5b7b36ff49bf52356
Author: stevenj <stevenj@fftw.org>
Date:   Wed Feb 2 12:21:30 2011 -0500

    fix merge conflicts
    [empty commit message]

commit 56c3bf01ecfcc23f2d76efed77dac234a59b9234
Author: stevenj <stevenj@fftw.org>
Date:   Sat Nov 15 20:33:33 2008 -0500

    version bump for 3.3alpha1
    [empty commit message]

commit 136cf63d2cdcb5889a38163c4ccf9b1198e47e04
Author: stevenj <stevenj@fftw.org>
Date:   Sun Oct 26 22:47:07 2008 -0400

    re-added mpi/Makefile
    [empty commit message]

commit 3bfab1285c5390285e734dc910b728a328d9f7fd
Author: stevenj <stevenj@fftw.org>
Date:   Sat Oct 25 17:14:42 2008 -0400

    re-add MPI to dist
    [empty commit message]

commit b2470178928b190c6b50d3bef353925061db3d08
Author: athena <athena@fftw.org>
Date:   Sat Jun 18 08:50:13 2011 -0400

    remove obsolete Cell code

commit 38bfc62ffa5051da294faa46a8ab29fc7225a97b
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 17 23:31:33 2011 -0400

    bug fix in accuracy test, which prevented us from consiistently determining accuracy in > double precision
    [empty commit message]

commit 7356645134bcb66286da0c00ad3d993e90e425af
Author: athena <athena@fftw.org>
Date:   Fri Jun 17 20:05:13 2011 -0400

    do not check for gcc version before checking for gcc

commit d94f234b00d3ced13ccfc3551e0a20cd66645922
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 17 18:56:37 2011 -0400

    require gcc 4.6.0 or later for --enable-quad-precision, to match fftw3.h header file; no need to mark this as EXPERIMENTAL (make check passes, and support in gcc 4.6 seems reasonably complete)
    [empty commit message]

commit 28ebf4da08a1fc607b0ea41ed24ea3707a256548
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 17 18:51:41 2011 -0400

    need ugly __attribute__ to use __float128 with _Complex, ugh
    [empty commit message]

commit b00cf20a5c45b953d2e6d954570543727b72cf9a
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 17 18:23:05 2011 -0400

    --verify tolerance in quad precision changed to 1e-29
    [empty commit message]

commit 015e365952344e8395a0516c9fe0e3c736550b9e
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 17 18:22:38 2011 -0400

    quad-precision F77 api should use "qfftw" prefix
    [empty commit message]

commit af4a1c37d8eb5e14678449741fd185cb65c4c10b
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 17 18:22:27 2011 -0400

    rm extraneous space from fftw3.h
    [empty commit message]

commit 654e73b0cfe2079498eadaf15b19361f71ef18ab
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 17 18:05:10 2011 -0400

    use cosq etcetera with libquadmath in libbench2, so that --verify correctly gives ~33 decimal places in shift test
    [empty commit message]

commit 00bac1ae1e651e5e85c507294c3e215dde1bb85b
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 17 17:52:51 2011 -0400

    libquadmath ships with gcc 4.6.0, so we should require this library for sinq/cosq with --enable-quad-precision; also, include the __float128 FFTW functions in the header file for gcc >= 4.6 on i86/x86_64/ia64
    [empty commit message]

commit a17a0720767ca177a799d685a5ac7b63331dd559
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 17 16:54:01 2011 -0400

    typo in manual for fftw_cost
    [empty commit message]

commit 4aab5d51dbc8b798c25f857cfa07ce7f25f9360d
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jun 17 16:48:24 2011 -0400

    fix fftw_cost function: pcost needs to be saved in mkapiplan, since the plan is re-created from wisdom
    [empty commit message]

commit c031d561c14a97b9a04197ba07c19cbf769648f9
Author: athena <athena@fftw.org>
Date:   Fri Jun 17 16:42:25 2011 -0400

    removed support for the Cell Broadband Engine

commit 34f5ad2eaae86075973d26ee5adcc7ceb04f4924
Author: athena <athena@fftw.org>
Date:   Tue May 24 06:51:07 2011 -0400

    Undo previous change; the typo was not a typo after all.

commit b9b72d1a42b162f74dfe9dc073ce5f5fc873113b
Author: athena <athena@fftw.org>
Date:   Mon May 23 05:08:05 2011 -0400

    Fix typo in manual

commit f41fb798be412eff5c26c539e07385dbbc6ac56a
Author: athena <athena@fftw.org>
Date:   Sat May 21 17:37:50 2011 -0400

    clarify intent about canonicalization of tensor in tensor_compress_contiguous()

commit 438c3b46f428023ce986422a697c9d33687ae9c1
Author: athena <athena@fftw.org>
Date:   Sat May 21 17:30:31 2011 -0400

    avoid useless canonicalization in tensor_compress_contiguous()

commit 8fbf77ca71756bd32bb5c71e709ec717e388451e
Author: athena <athena@fftw.org>
Date:   Sat May 21 17:24:57 2011 -0400

    Fix tensor_compress_contiguous
    
    tensor_compress_contiguous() was supposed to sort dimensions by
    descending istride, and then compress adjacent dimensions.  This
    property was lost once we changed the canonical order of strides to be
    sorted by descending min{istride,ostride}.
    
    Change tensor_compress_contiguous() to sort by descending istride
    again, which is necessary for its correctness, and then canonicalize
    at the end.

commit 5ad70bf5c1bdeadefcaac86cc3e9a76b31f75724
Author: athena <athena@fftw.org>
Date:   Sun May 8 18:47:26 2011 -0400

    Don't distribute obsolete .depend

commit c48d28bc5b7fb54ea8e037579cb0af3fae339543
Author: athena <athena@fftw.org>
Date:   Sun May 8 18:05:36 2011 -0400

    Use ocamlbuild for building genfft
    
    Remove the old Makefile cruft to support ocaml, and use ocamlbuild
    instead.

commit d183b35663d030b1ad789795fa441941961472c0
Author: athena <athena@fftw.org>
Date:   Sun May 8 18:03:07 2011 -0400

    Do not use __float128 unless BENCHFFT_QUAD is defined
    
    Otherwise, compilation fails on compilers that do not support
    __float128.

commit 833ec738fe3c3234382a3fc160c8fe54060dc860
Author: stevenj <stevenj@fftw.org>
Date:   Fri Apr 8 13:15:54 2011 -0400

    fix configure --help string for --disable-alloca (since default is enabled)
    [empty commit message]

commit 68538e1ffa84d206cae95558c636d9fa490888bd
Author: stevenj <stevenj@fftw.org>
Date:   Fri Apr 8 13:09:56 2011 -0400

    add "random estimator" for debugging purposes; note  that this is best used with ESTIMATE_PATIENT mode
    [empty commit message]

commit 56d274a97c1868b43a2294bab6a4d6d245849608
Author: stevenj <stevenj@fftw.org>
Date:   Tue Apr 5 14:47:56 2011 -0400

    add AC_CHECK_DECLS for srand48; thanks to Ralf Wildenhues for the bug report
    [empty commit message]

commit 50465ef2118b72f9f868e9ec53ee7e53bb050259
Author: stevenj <stevenj@fftw.org>
Date:   Sat Feb 5 17:00:40 2011 -0500

    experimental support for gcc's __float128 quad-precision type
    [empty commit message]

commit 2471f34097daef93ae593743403cf40820a0673a
Author: athena <athena@fftw.org>
Date:   Sun Oct 24 14:33:59 2010 -0400

    guarantee that "timelimit < 0" means "no timeout"
    
    "timelimit < 0" was always meant to be equivalent to
    "timelimit = HUGENUM", but this was not true in all cases,
    causing some obscure wisdom behavior.
    
    Thanks William Andrew Burnson for the bug report.

commit c16bc87b770bb0757dead223c13dc1966e3c2e3e
Author: athena <athena@fftw.org>
Date:   Sun Oct 24 14:32:20 2010 -0400

    compile with --enable-fma and SSE, SSE2
    
    Allow compilation with --enable-fma and --enable-sse, --enable-sse2.
    This is a bad idea performance-wise, but people will try anyway.

commit eb34fdf7b5233e8f8a5b44c7f275e0c950ead3e7
Author: athena <athena@fftw.org>
Date:   Sun Jul 11 13:34:06 2010 -0400

    Make threads.c compiler with c++

commit a80ce9ee8210615480efcaf03989278540ad900e
Author: athena <athena@fftw.org>
Date:   Sun Jul 11 10:05:05 2010 -0400

    Attempt at clarifying the advanced interface doc.

commit 537372cf3446b014e53ad2b2bfd636748abfe44f
Author: athena <athena@fftw.org>
Date:   Sun Jul 11 07:37:27 2010 -0400

    rename rfftwnd html picture
    
    It turns out that texinfo with pdf output reads .png
    files in preference to .pdf files (when did this change?).
    I renamed the .png figure to avoid producing an ugly pdf file.

commit 7be5dbd77b2c719b804b53731ffc9e27100b48f6
Author: stevenj <stevenj@fftw.org>
Date:   Tue Mar 30 19:43:22 2010 -0400

    added fftw_cost function; this is the second time people have asked for this, and there is a reasonable use for it in comparing e.g. oout-of-place vs. in-place plans
    [empty commit message]

commit 101fc17a6dbc1feb1e5cc7625a251068fac7c202
Author: stevenj <stevenj@fftw.org>
Date:   Tue Mar 2 18:55:49 2010 -0500

    documented that --enable-debug-malloc causes fftw_execute to be thread-unsafe (thanks to Alexis Rohou for the problem report)
    [empty commit message]

commit e9b894f0a2b7d65d559d8fded2d7298bdfc90694
Author: athena <athena@fftw.org>
Date:   Fri Jan 22 19:42:08 2010 -0500

    Added FAQ about how to transpose matrices using FFTW.
    [empty commit message]

commit 18462a4c21b99482fcb9b2dc7338b83f8bbd790b
Author: stevenj <stevenj@fftw.org>
Date:   Thu Jan 7 20:16:57 2010 -0500

    catch FMS (instead of generating FMA(_,_,NEG(_)) with h -generic-arith option
    [empty commit message]

commit 90015026798cd3bad02d8c4144f527dfdc5f1ca7
Author: athena <athena@fftw.org>
Date:   Fri Dec 11 07:01:26 2009 -0500

    note future wisdom enhancements.
    [empty commit message]

commit 03747c3de44cda09224d08e8d580483cc23b6687
Author: athena <athena@fftw.org>
Date:   Mon Oct 19 20:21:05 2009 -0400

    Use SIMD flags when checking for xmmintrin.h
    
    This prevents an obnoxious warning from configure.

commit 9211b77226bd67a674d5be4b26843b466a24d377
Author: athena <athena@fftw.org>
Date:   Sat Aug 29 20:47:56 2009 -0400

    new bug
    [empty commit message]

commit 4d7817c4b3f6476892515b47aca61d2830ba2e5c
Author: stevenj <stevenj@fftw.org>
Date:   Sun Jul 26 00:40:11 2009 -0400

    typo (s/man1/many)
    [empty commit message]

commit 4de43b59f0ef8a445810e2b96e746d95a63b39b1
Author: stevenj <stevenj@fftw.org>
Date:   Tue Jul 14 14:19:08 2009 -0400

    BUILD-MINGW32 script, updated Windows README
    [empty commit message]

commit fe7ce32f22a1cfe7049d095ecbea5024915e93ac
Author: fftw <fftw@fftw.org>
Date:   Mon Jul 13 09:40:38 2009 -0400

    cleanup BUILD-MINGW64.sh

commit 18ddd3f4d23697d8f6dcbf9c122ca281ed17bdde
Author: athena <athena@fftw.org>
Date:   Sun Jul 12 06:34:46 2009 -0400

    Update NEWS, version number for 3.2.2 release.

commit 54f4ad016522892f54c2955ecaa5dc06dbff260a
Author: athena <athena@fftw.org>
Date:   Sat Jul 11 22:28:38 2009 -0400

    Reintroduce the pruning heuristic in ESTIMATE mode for r2r problems.
    
    Somehow, we lost this feature between fftw-3.1.3 and fftw-3.2.

commit 18e2d0a785627f6360e756d1cd93c78a8f7b6ba3
Author: athena <athena@fftw.org>
Date:   Thu Jun 25 07:39:04 2009 -0400

    don't use pshared=1 in sem_init
    
    pshared is really not necessary, and it is not supported on
    GNU/kFreeBSD.  Thanks Petr Salinger for the bug report.

commit e58f95716b84021e2175673ccbbd4fe1bc180ad3
Author: fftw <fftw@fftw.org>
Date:   Thu Jun 11 19:35:40 2009 -0400

    Add mingw64 build file so that we can track it.

commit 03c7f0e0ade24de0e4d08bc6899f78db917ffaca
Author: fftw <fftw@fftw.org>
Date:   Wed Jun 10 12:10:58 2009 -0400

    note 3.2.2 NEWS

commit ddd2281898dca1a30c48cff89c42c2d9c631faa3
Author: fftw <fftw@fftw.org>
Date:   Wed Jun 10 12:04:54 2009 -0400

    add --disable-alloca to configure
    
    It looks like alloca() is broken on mingw64, and thus
    we need to disable it explicitly.

commit 902651afe12f9de0efb131bffa42db8189516595
Author: athena <athena@fftw.org>
Date:   Sun Apr 26 16:33:10 2009 -0400

    Note in FAQ that --enable-k7 has been discontinued.

commit 0d50e05674406773adea157318c85b8f9c94d9c0
Author: athena <athena@fftw.org>
Date:   Tue Mar 24 09:16:18 2009 -0400

    clarified small confusion in fftw_cleanup documentation

commit bea8d6909782b15db9d6a591c8344e8179444746
Author: stevenj <stevenj@fftw.org>
Date:   Thu Mar 19 13:18:06 2009 -0400

    fix documentation of dfftw_init_threads to indicate thaat it takes an argument (since the C version returns a value); thanks t Hans Johnnston for the bug report
    [empty commit message]

commit d6eaf145d2cc51db18fd69b49ef24cf628313c01
Author: fftw <fftw@fftw.org>
Date:   Thu Mar 12 13:12:13 2009 -0400

    if possible, use a 128-bit type for copy

commit b1d732a8e58c303b9f3be4feb082f5b5ac27628c
Author: fftw <fftw@fftw.org>
Date:   Tue Mar 10 12:49:51 2009 -0400

    add size-128 simd codelets
    
    It's about time

commit d1f4ac081fe3fa267db692b6da4da3b2023e2e8a
Author: athena <athena@fftw.org>
Date:   Mon Mar 9 20:29:16 2009 -0400

    copy two floats as a double when possible
    
    Resurrect the old hack of copying two floats as a double,
    which makes some difference in these days of 64 bit boxes.

commit aa6865bac3cfb4050d6f662ddf744c86c8324393
Author: athena <athena@fftw.org>
Date:   Sun Mar 8 18:08:04 2009 -0400

    fixed (harmless) confusion of strides
    
    RS and VS were swapped in dftw-direct.c.  This is a bug, but
    it is harmless unless one uses fixed-stride codelets, which we
    do not.

commit f34f1f3fee5d0bd112c8e55c9292d47bd643552f
Author: athena <athena@fftw.org>
Date:   Sun Mar 8 10:29:49 2009 -0400

    oops, I checked in debug code accidentally.

commit d5a07965857012694d310ac28800d47741abccfd
Author: athena <athena@fftw.org>
Date:   Sat Feb 14 19:01:00 2009 -0500

    Change TLO email address since Magdalen is no longer there.
    [empty commit message]

commit 8418ed8d856c8c50e6463828e015c9d80be1285d
Author: stevenj <stevenj@fftw.org>
Date:   Sat Feb 14 18:18:45 2009 -0500

    quote arguments to bench in test script on the off-chance that '*' would be expanded by the shell into a valid filename, and also to avoid shell confusion on Cygwin that "//" begins the name of a Windows network mountpoint
    [empty commit message]

commit 55f747d248139ddffad00ede4d649fc6eb612839
Author: athena <athena@fftw.org>
Date:   Sun Mar 8 10:02:59 2009 -0400

    stricter conditions for Cooley-Tukey being ugly
    
    It turns out that m=2 in the leaf of Cooley-Tukey may be
    advantageous in certain cases, eg. i512v512 on AMD Shanghai:
    
    (dft-buffered-512-x128/512-6
      (dft-ct-dit/4
        (dftw-direct-4/24-x128 "t2fv_4")
        (dft-vrank>=1-x4/1
          (dft-ct-dit/64
            (dftw-direct-64/504-x128 "t2fv_64")
            (dft-vrank>=1-x64/1
              (dft-direct-2-x128 "n2fv_2")))))
      (dft-r2hc-1
        (rdft-rank0-tiled/2-x128-x512))
      (dft-nop))
    
    Presumably this works around the 2 way associativity of the L1 cache.

commit b2acc4c668acebf2ded61cc3a939606bbc73a3e0
Author: stevenj <stevenj@fftw.org>
Date:   Mon Feb 9 19:46:00 2009 -0500

    disable Windows QueryPerformanceCounter code, since it requires us to pull in windows.h in ifftw.h and causes namespace conflicts; gettimeofday seems to work well enough and has had few complaints
    [empty commit message]

commit 1b3884da38a34cbc1c8f33f78394eeca588f0786
Author: stevenj <stevenj@fftw.org>
Date:   Wed Feb 4 22:55:54 2009 -0500

    version bump for 3.2.1, updated NEWS
    [empty commit message]

commit e12e5cb04667aa089cf606fb163ce788247d1c2b
Author: stevenj <stevenj@fftw.org>
Date:   Wed Feb 4 22:27:28 2009 -0500

    recommend that users avoid fftw_execute in Fortran, instead using dfftw_execute_dft and friends so that the compiler knows that the input/output arrays are used
    [empty commit message]

commit db43aa9ae291dd66fc542c13afc2dd577750ef75
Author: stevenj <stevenj@fftw.org>
Date:   Wed Jan 21 16:02:08 2009 -0500

    prefer windows queryperformancecounter to gettimeofday on Windows, thanks to David Price for the suggestion
    [empty commit message]

commit 338b5272f6924179a0b345e70f44fd1e5edafc23
Author: athena <athena@fftw.org>
Date:   Sun Feb 1 14:34:49 2009 -0500

    compilation fixes in case snprintf() is defined as a macro.
    [empty commit message]

commit 321141568010f66f31c36912a230005ab10d54d3
Author: athena <athena@fftw.org>
Date:   Wed Jan 28 20:19:04 2009 -0500

    Automake does not like continuation lines beginning with a comment.
    [empty commit message]

commit 618225923a36a2ef96214e2f2a0c6c12b0fb89be
Author: athena <athena@fftw.org>
Date:   Wed Jan 28 18:24:39 2009 -0500

    Add r2cb_2.c
    
    r2cb_2.c is needed for problem rb2, which is not equivalent to
    rf2 (unlike kb2, which is equivalent to kf2).
    
    This change would not matter much except that rb2 is generated
    when reducing backward rdft2 to dft, and the absence of the codelet was
    preventing radix 2 from being employed at all in this case.

commit dc4c6cb9e1ae4df2be85e77c3fea172f24e1523b
Author: athena <athena@fftw.org>
Date:   Sat Jan 10 06:47:22 2009 -0500

    handle the case vecsz->rnk == 0 correctly.
    [empty commit message]

commit 3ca4f694d0b27bb0b1e84ea028e3dadcfdf5b236
Author: stevenj <stevenj@fftw.org>
Date:   Fri Dec 19 15:20:36 2008 -0500

    Macs are no longer ppc-based; thanks to Charles Collicutt for the FAQ update
    [empty commit message]

commit bbfa5e2c5102a5f923eed3b31d37ec7b75616edd
Author: stevenj <stevenj@fftw.org>
Date:   Mon Dec 8 18:08:33 2008 -0500

    use new multiple-nbuf code in rdft/buffered, like for dft/buffered
    [empty commit message]

commit 679ab9ffd5738b9df115adfb64f72fd015fe7d6b
Author: stevenj <stevenj@fftw.org>
Date:   Sat Dec 6 16:34:36 2008 -0500

    make x86_cpuid macro work on x86_64
    [empty commit message]

commit 9771718d2e4e57450b03c89bb0c06663c59242c8
Author: athena <athena@fftw.org>
Date:   Sat Dec 6 09:20:37 2008 -0500

    Allow automatic choice of buffer size in dft/buffered.c
    
    Try a couple of different buffer sizes in buffered transforms,
    since this seems to make a difference on some Core2 models.

commit c4888a4f4fb2961e0f067c55489989da8f3223f5
Author: athena <athena@fftw.org>
Date:   Tue Dec 2 19:18:30 2008 -0500

    libbench2: do not assume that split-complex arrays are stride-1
    [empty commit message]

commit e05f9234129ed82f1f5094465788742c271d1f4b
Author: stevenj <stevenj@fftw.org>
Date:   Tue Dec 2 18:39:43 2008 -0500

    updated NEWS
    [empty commit message]

commit 3cfe589fdc4393ff549c1bacbeb2b23c27562339
Author: stevenj <stevenj@fftw.org>
Date:   Tue Dec 2 18:30:00 2008 -0500

    date fix
    [empty commit message]

commit 81326cf16c11ddc12f3d3c1fda7861853abba308
Author: stevenj <stevenj@fftw.org>
Date:   Tue Dec 2 18:29:06 2008 -0500

    updated icc flags -- now prefer -xHost (-xN etc. seem t be obsolete), check for new spelling -ansi-alias, and use -malign-double like we do for gcc
    [empty commit message]

commit 2e94f29d37f25690825b11ed436d726d5077dba6
Author: stevenj <stevenj@fftw.org>
Date:   Tue Dec 2 18:28:03 2008 -0500

    use $ax_cv_c_compiler_vendor rather than $GCC, as the former is more reliable (icc incorrectly self-identifies as gcc on MacOS where we don't use -no-gcc)
    [empty commit message]

commit a5edcdb0c705b3b42f8aec48e41457fd3771bed7
Author: stevenj <stevenj@fftw.org>
Date:   Tue Dec 2 17:55:36 2008 -0500

    don't use -no-gcc for icc on MacOS
    [empty commit message]

commit 2ce94a7fa1858ca3bfdf38f47f7f2d62ceae5262
Author: stevenj <stevenj@fftw.org>
Date:   Tue Dec 2 17:34:04 2008 -0500

    document some more bench options
    [empty commit message]

commit 315a8ae3389d84d6c062a1afc5c2c4eddee4bb77
Author: stevenj <stevenj@fftw.org>
Date:   Wed Nov 19 16:55:13 2008 -0500

    make it clearer that --enable-openmp and --enable-threads are mutually exclusive; thanks to Long To for his comments
    [empty commit message]

commit 4bca25954f1e56299cf45e61bec3877007f8cbc4
Author: stevenj <stevenj@fftw.org>
Date:   Mon Nov 17 20:16:28 2008 -0500

    version bump to 3.2.1, use explicit Makefile.am for m4 subdirectory so that tarball does not include random files in there when you do 'make dist'
    [empty commit message]

commit 7728d69ca6e4f30747b182a3f0d30ec7c25bf26d
Author: stevenj <stevenj@fftw.org>
Date:   Sat Nov 15 21:12:58 2008 -0500

    document behavior of FFTW guru arrays, and in particular the odd behavior of the plan_guru_r2r routine in Fortran (thanks to Alexander Pozdneev for the bug report)
    [empty commit message]

commit ba5c08b8b8a3c0e69ba228e071d71664f72c76ba
Author: stevenj <stevenj@fftw.org>
Date:   Mon Nov 10 20:21:32 2008 -0500

    version bump to 3.2, updated copyright year
    [empty commit message]

commit a25226c3cd7b9451e6690a813cc3266b15acd7c2
Author: athena <athena@fftw.org>
Date:   Wed Nov 5 16:40:31 2008 -0500

    Store GPLv2 in darcs because automake installs GPLv3 these days.
    [empty commit message]

commit f80a90668573e199b3509a7737ba2d071f4e3974
Author: athena <athena@fftw.org>
Date:   Thu Oct 30 15:03:41 2008 -0400

    stylistic changes, comments
    [empty commit message]

commit b8f22edf8aadff2aea6d4e69b7651506951810d0
Author: athena <athena@fftw.org>
Date:   Thu Oct 30 14:40:14 2008 -0400

    oops
    [empty commit message]

commit bfaec2f123eb8d8297ce405590e07d682cf80293
Author: athena <athena@fftw.org>
Date:   Thu Oct 30 14:30:08 2008 -0400

    simplification of the threading machinery
    [empty commit message]

commit c471651b5bc46868c1e8231a89ec6d459c868854
Author: athena <athena@fftw.org>
Date:   Thu Oct 30 14:22:40 2008 -0400

    typo
    [empty commit message]

commit e1f64989da3c427c36c9df3495ef9d24ab01993d
Author: athena <athena@fftw.org>
Date:   Thu Oct 30 13:42:07 2008 -0400

    [SECOND ATTEMPT] do not assume that a semaphore can be freed just because nobody is using it
    
      Let S be a semaphore, initially 0.  Let thread A execute UP(S);
      let thread B execute DOWN(S); free(&S);  It is unclear whether this
      code is correct with posix semaphores.  The problem is whether UP()
      uses S after allowing DOWN() to continue; this seems to be the
      case in the glibc-2.7 implementation, and thus the pattern above
      seems to be incorrect.  Avoid using such a pattern, and introduce
      a global semaphore for the unavoidable case when nothing else
      can be depended upon.

commit cddb0450696d51a99ca1d9663d4e4a606c45725e
Author: stevenj <stevenj@fftw.org>
Date:   Wed Oct 29 20:09:39 2008 -0400

    updated cpu codes from x86-1.21
    [empty commit message]

commit 2b8ab85fb21f1fd637cfe7a04ad0acf1610b5713
Author: athena <athena@fftw.org>
Date:   Wed Oct 29 16:24:16 2008 -0400

    Previous change was bogus, need to find another way.
    [empty commit message]

commit 0123295bb8dd2064d858a59a48242611219b020d
Author: athena <athena@fftw.org>
Date:   Wed Oct 29 12:22:20 2008 -0400

    do not assume that a semaphore can be freed just because nobody is using it
    
    Let S be a semaphore, initially 0.  Let thread A execute UP(S);
    let thread B execute DOWN(S); free(&S);  It is unclear whether this
    code is correct with posix semaphores.  The problem is whether UP()
    uses S after allowing DOWN() to continue; this seems to be the
    case in the glibc-2.7 implementation, and thus the pattern above
    seems to be incorrect.  Avoid using such a pattern, and introduce
    a global semaphore for the unavoidable case when nothing else
    can be depended upon.

commit 1b1dd4a34bb653d4bd63775d2760b435cb4f0d1d
Author: stevenj <stevenj@fftw.org>
Date:   Mon Oct 27 23:38:02 2008 -0400

    don't need PROG_AS any more
    [empty commit message]

commit f7f67160af9b208e74304378ef54b4b5608fb96a
Author: stevenj <stevenj@fftw.org>
Date:   Sun Oct 26 23:41:11 2008 -0400

    use AC_CONFIG_MACRO_DIR macro
    [empty commit message]

commit d6334fa841da6e5f06a7323ce1d31346fb79b4f4
Author: athena <athena@fftw.org>
Date:   Sun Oct 26 10:08:44 2008 -0400

    Remove mpi/Makefile from configure.ac
    Otherwise, the tarball breaks because mpi/ is not in
    the distribution.

commit dda1fd64e3ab5fbb80578cfe41c69191cdfcc7f5
Author: stevenj <stevenj@fftw.org>
Date:   Sat Oct 25 17:13:50 2008 -0400

    remove MPI from dist until FFTW 3.3
    [empty commit message]

commit a3a16288f18899e7fc8351da1c500024709174cd
Author: stevenj <stevenj@fftw.org>
Date:   Sat Oct 25 17:12:35 2008 -0400

    use MPIRUN even for -np 1
    [empty commit message]

commit 1b2a86c0ab92772ce43bf6b0c5e0bbae2dfb7fee
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jul 18 17:17:08 2008 -0400

    use new gcc arch=native flag as fallback
    [empty commit message]

commit 73944e9472d933cdafcff9c3e5b85efc9661ea5b
Author: athena <athena@fftw.org>
Date:   Sat Oct 25 13:36:40 2008 -0400

    Use sem_t to implement mutexes
    Use sem_t instead of pthread_mutex_t to implement mutexes.
    It seems like pthread mutexes hang on linux-2.6.22 after several
    days of tests; the hang does not occur on linux >= 2.6.24
    or when we use sem_t instead of pthread_mutex_t.  The
    situation is still quite mysterious but this code seems to
    work.

commit 82a0159088bdacf0cb5d5ecb5547f51ae34f77ab
Author: athena <athena@fftw.org>
Date:   Thu Oct 23 13:32:45 2008 -0400

    print informative message when pstring is NULL.
    [empty commit message]

commit ddc681c6a5de3aee386cf990428dcfba95d32369
Author: athena <athena@fftw.org>
Date:   Sun Oct 19 16:00:07 2008 -0400

    Fix incorrect alignment in dftw-generic.
    
    Multithreaded dftw-generic is supposed to process only a slice
    of the array, but we were planning with the alignment of the
    original array rather than the slice.  This led to unaligned
    accesses in certain obscure situations.

commit d35ad1d719daf7a8b1c7658b88bf962e86dd050a
Author: Matteo Frigo <athena@fftw.org>
Date:   Mon Aug 18 17:27:26 2008 -0400

    Paranoia: do not create OS threads while holding locks.
    
    Glibc at least plays silly games such as keeping a global variable
    that records whether there is more than one thread in the process, and
    it does not perform atomic operations if the variable says that there
    is only one thread.  Who knows how this interacts with creating
    threads while holding a lock.  Some day some genius will come up with
    some ``optimization'' that breaks everything.

commit 9ae439e37bf0cb024de699e15f98b5f5074d116c
Author: athena <athena@fftw.org>
Date:   Wed Aug 6 07:41:46 2008 -0400

    Welcome to the quadcore era
    [empty commit message]

commit be6af68ab86ada70645a79ef9ac5da11ea787eba
Author: stevenj <stevenj@fftw.org>
Date:   Mon Jun 16 16:46:39 2008 -0400

    backslash is technically not allowed in "echo" arguments; thanks to Debian Bug#486046 for pointing out problem and solution (and Raphael Geissert and Vincent Zweije, in particular)
    [empty commit message]

commit fd1ef499dca6f079bd9980cbecd1499e08fe99d0
Author: stevenj <stevenj@fftw.org>
Date:   Sun May 4 12:15:24 2008 -0400

    note problem with test program in gcc 4.1.2-4.2; thanks to Raymond Rogers for reporting it
    [empty commit message]

commit 771f298272494232c994bdca79978f00cbd0a0ac
Author: stevenj <stevenj@fftw.org>
Date:   Fri May 2 19:21:30 2008 -0400

    output count of constants along with other statistics
    [empty commit message]

commit 8a8a1bb47539bb8be624af291c28c77cc541ba4e
Author: athena <athena@fftw.org>
Date:   Sat Apr 19 14:15:03 2008 -0400

    Lower priority of unaligned SIMD codelets.
    List t1[fb]uv_* codelets before the corresponding
    aligned codelets, since the estimator picks the
    latter ones in case of a tie and aligned codelets
    are preferable.
    
    In other words, this is a hack.

commit d4d0ed3f7cee7e5c06409b3162fbcf4bfd42fea9
Author: Matteo Frigo <athena@fftw.org>
Date:   Sat Apr 19 08:55:46 2008 -0400

    There is no point in using higher radices for unaligned codelets.
    [empty commit message]

commit c09bbbbc4d2c7236b861b7b2f67b77d4821bb8fc
Author: stevenj <stevenj@fftw.org>
Date:   Fri Apr 18 19:01:27 2008 -0400

    support generating loopless, strideless r2r codelets
    [empty commit message]

commit 5d2811a46f654c7dbbade5d2d65921e056c6b3a2
Author: stevenj <stevenj@fftw.org>
Date:   Fri Apr 18 19:00:25 2008 -0400

    added Magic.threemult to use 3+3 complex-multiply variant when possible
    [empty commit message]

commit b21cf57a0c4d5711ea4cdb085b068b366f93c916
Author: stevenj <stevenj@fftw.org>
Date:   Thu Apr 10 19:53:31 2008 -0400

    fix documentation bug - export_wisdom_to_string returns a string that should be deallocated with free, not fftw_free (thanks to Stein Vidar Hagfors Haugan for the bug report)
    [empty commit message]

commit 2a8ac0ba37e9087af75bd0edc9563279424c909d
Author: stevenj <stevenj@fftw.org>
Date:   Mon Jan 21 01:11:44 2008 -0500

    bsd calls x86_64 "amd64"; thanks to Fernando Herrero Carron for the bug report
    [empty commit message]

commit 9d150bc32eea5f0404562a6e26c8f5af7571174c
Author: stevenj <stevenj@fftw.org>
Date:   Tue Jan 1 12:29:56 2008 -0500

    fix typo in manual, thanks to Yinon Ehrlich
    [empty commit message]

commit a46838157abb2d1d08cf36d882b6e6979c90a059
Author: stevenj <stevenj@fftw.org>
Date:   Mon Dec 3 13:57:13 2007 -0500

    note problem with gcc 3.4.4 on x86_64, thanks to  Uwe Hollerbach for the report
    [empty commit message]

commit 14def93d5b1ba54d64d86d0b9635dfbb41795197
Author: stevenj <stevenj@fftw.org>
Date:   Tue Nov 13 16:19:22 2007 -0500

    bump shared-lib revision
    [empty commit message]

commit ac56042c777020dd5edd04a142c522d0ea3d55d9
Author: stevenj <stevenj@fftw.org>
Date:   Tue Nov 13 16:16:49 2007 -0500

    update NEWS for alpha3
    [empty commit message]

commit d90bca8d53eaa2ecde6c54123b290ea2cccfeda1
Author: stevenj <stevenj@fftw.org>
Date:   Tue Oct 2 13:53:04 2007 -0400

    fixed URL
    [empty commit message]

commit 2e992067b2172b9ef10c068d5b3b1f5f0e336790
Author: stevenj <stevenj@fftw.org>
Date:   Mon Sep 17 19:38:29 2007 -0400

    added missing prototype
    [empty commit message]

commit a9a3696f1daa50cfcea8e9264912fd7010f59edf
Author: stevenj <stevenj@fftw.org>
Date:   Tue Aug 14 22:35:06 2007 -0400

    terminology tweak
    [empty commit message]

commit 7e0c1a370fdec22df30379eb952943a8b9f16080
Author: stevenj <stevenj@fftw.org>
Date:   Wed Aug 1 18:44:21 2007 -0400

    check for pathscale compilers (thanks to Julian Cummings)
    [empty commit message]

commit dabff4a5303cc1bde1a1ac88508f3301caeb6e9f
Author: athena <athena@fftw.org>
Date:   Sat Sep 15 18:02:32 2007 -0400

    Avoid possible conflict with Windows include files.
    [empty commit message]

commit 1090ecb91cd0da452cca31e8ef926494895a83bc
Author: athena <athena@fftw.org>
Date:   Tue Aug 7 21:26:05 2007 -0400

    Distribute codlist.c for SIMD codelets in the commercial tarball.
    [empty commit message]

commit 9c132ba2c88c1d5f9e35ad89c8d9e7b012f3741f
Author: stevenj <stevenj@fftw.org>
Date:   Wed Aug 1 10:33:41 2007 -0400

    some documentation clarifications, and documented FFTW_WISDOM_ONLY, at the suggestion of Mario Emmenlauer and Phil Dumont
    [empty commit message]

commit 79a73f23fc62044a1edd421d031c35d9d17345dc
Author: stevenj <stevenj@fftw.org>
Date:   Tue Jul 31 16:52:56 2007 -0400

    bug fix in test program for vrank-3 transpose plans with vl=1
    [empty commit message]

commit 13dcde33151a281f5dd4084f3a65277223d444eb
Author: stevenj <stevenj@fftw.org>
Date:   Sun Jul 29 17:02:46 2007 -0400

    only run mpi checks for --enable-mpi
    [empty commit message]

commit da920b9d9649c89291980b342a38cd31e689d04c
Author: stevenj <stevenj@fftw.org>
Date:   Sun Jul 29 16:45:30 2007 -0400

    check for NULL return from spe_context_create in case SPE_MAP_PS not supported
    [empty commit message]

commit 8b5208ab2d26b33f10864d23ae032a575877cdb3
Author: stevenj <stevenj@fftw.org>
Date:   Sun Jul 29 15:56:57 2007 -0400

    use problem-state pointer to write SPE mailbox with lower latency (makes a significant performance difference for N < 32k), thanks to Jan Wagner for suggestion
    [empty commit message]

commit 35435685af71440fc9601b845163491e61845b4b
Author: stevenj <stevenj@fftw.org>
Date:   Sun Jul 29 14:22:08 2007 -0400

    port cell code to SDK2.1 (libspe2), since libspe1 API is deprecated and can't be used in code that also uses libspe2 API
    [empty commit message]

commit 21dc1b9f90f96120a92469077cabfd80dd7fcb70
Author: stevenj <stevenj@fftw.org>
Date:   Sun Jul 29 11:46:24 2007 -0400

    bug fix: ego->W allocated with cell_aligned_malloc, so deallocate with free, not X(ifree0)
    [empty commit message]

commit 7c9f576ed6672631a9d36698f5d9824d173e06ea
Author: stevenj <stevenj@fftw.org>
Date:   Mon Jul 2 15:57:12 2007 -0400

    removed obsolete reference to CVS id
    [empty commit message]

commit 2efeadcf8d2b6562d8c18707a0b7eb2e3e5f73d3
Author: athena <athena@fftw.org>
Date:   Mon May 21 14:25:39 2007 -0400

    cycle counter for sun compiler
    [empty commit message]

commit 0b59ce4b61ae5c052d9c673807e7b3386d7bdaa2
Author: stevenj <stevenj@fftw.org>
Date:   Wed May 9 19:49:11 2007 -0400

    use __inline instead of inline for AIX routines (__inline is supported by gcc and xlc, whereas apparently "inline" is only supported by xlc if you specify -qlanglvl=stdc99 or similar); thanks to Jeff Haferman for the bug report
    [empty commit message]

commit a3dc6f8631568cca3039a6932aa4a66e46456a79
Author: stevenj <stevenj@fftw.org>
Date:   Mon Apr 30 15:37:56 2007 -0400

    fixed incorrect type prefix (fftw_ vs. X(...)) in mpi/wisdom-api.c; thanks to Eric A. Borisch for the bug report
    [empty commit message]

commit 122d2b4a77a11b949e61e503681975f2da3d7d4f
Author: stevenj <stevenj@fftw.org>
Date:   Wed Apr 25 21:21:39 2007 -0400

    some cleanups in MPI make check
    [empty commit message]

commit 4d26d141fb5e018b49133b1e080acbff744d97c0
Author: stevenj <stevenj@fftw.org>
Date:   Wed Apr 25 21:19:27 2007 -0400

    re-enable heuristic in the common case where we are not compiling for Cell
    [empty commit message]

commit 28a27bde79e55d51dd1fb81d82ca418587106a62
Author: athena <athena@fftw.org>
Date:   Tue Apr 24 17:42:43 2007 -0400

    Removed duplicate codelet names, was breaking linker.
    [empty commit message]

commit 1a4a3dcbbe5a046f07654fa3734a5b3568d51b32
Author: stevenj <stevenj@fftw.org>
Date:   Tue Apr 24 11:38:16 2007 -0400

    added more codelets of sizes 5/10/20/25 to improve speed for round decimal sizes (speed improvements of 10-20%, at cost of 10-30% in library size)
    [empty commit message]

commit 35443ed785a0ce0a05e16d1f6419769f7641f415
Author: stevenj <stevenj@fftw.org>
Date:   Sat Mar 24 18:40:47 2007 -0400

    for 1d prime sizes, punt and return serial plan
    [empty commit message]

commit 3cf27d0073f9f911a2b15283b0d1acebeaf7b599
Author: stevenj <stevenj@fftw.org>
Date:   Sat Mar 24 18:24:55 2007 -0400

    output reminders of the problem during bench --verify
    [empty commit message]

commit e68227acb0ebf9ad3cb0b022382c6df9fcf0d8b1
Author: stevenj <stevenj@fftw.org>
Date:   Sat Mar 24 18:10:24 2007 -0400

    bug fix - missing solver->destroy initializer in rdft2-rdft
    [empty commit message]

commit 59a3e77ab1cba10afa53a627849abef6dd93152d
Author: stevenj <stevenj@fftw.org>
Date:   Fri Mar 23 11:12:19 2007 -0400

    -static, in --enable-debug, doesn't work on MacOS X (according to Daniel Oberhoff)
    [empty commit message]

commit 1bcacddfa919627af62568a28b0713b368549612
Author: stevenj <stevenj@fftw.org>
Date:   Wed Mar 21 22:23:06 2007 -0400

    fix MPI r2c/c2r to work with howmany > 1
    [empty commit message]

commit 86e99768530258b6184733a382920feae222ae55
Author: stevenj <stevenj@fftw.org>
Date:   Wed Mar 21 18:44:41 2007 -0400

    rm MPI version from TODO
    [empty commit message]

commit b55ed34cb35d64e452aac41b5661536d75c492d4
Author: stevenj <stevenj@fftw.org>
Date:   Wed Mar 21 18:34:40 2007 -0400

    added 'make bigcheck' for MPI (no paranoid-check, unfortunately), and properly get MPIRUN from configure
    [empty commit message]

commit e11b28e739bf5b888cfdf0ec97337166fbb6c425
Author: stevenj <stevenj@fftw.org>
Date:   Wed Mar 21 18:23:18 2007 -0400

    bug fix - incorrect local_size returned for 1d bigvec case
    [empty commit message]

commit 3c4171a56630a623798d71e1a6218c1400ea3e46
Author: stevenj <stevenj@fftw.org>
Date:   Wed Mar 21 03:13:54 2007 -0400

    hack to specify MPI_TRANSPOSED_IN/OUT via "[" and "]" in libbench2 problem
    [empty commit message]

commit b6643c4d6de6ac41e771a65accc67af6d515009f
Author: stevenj <stevenj@fftw.org>
Date:   Wed Mar 21 02:58:11 2007 -0400

    added MPI 'make check', still needs a bit of work
    [empty commit message]

commit 5c4ca6bf40ab9683f717ef89a5bbb2c7da031680
Author: stevenj <stevenj@fftw.org>
Date:   Wed Mar 21 02:47:10 2007 -0400

    bug fix in r2r transposed-input case
    [empty commit message]

commit 518bfe4ddbe9a727866374bb0b0fb49a2d0a9f2b
Author: stevenj <stevenj@fftw.org>
Date:   Wed Mar 21 02:46:25 2007 -0400

    don't output more than 300 erroneous outputs (unless verbose > 2)
    [empty commit message]

commit 5ae1f03689a0f37d5db6becf54c8e54395541407
Author: stevenj <stevenj@fftw.org>
Date:   Wed Mar 21 01:48:54 2007 -0400

    fixed bug in transposed-in c2r MPI transforms ... seems to be working, finally
    [empty commit message]

commit 6ff00891c3f7fcfe5399e652b9aeb1538bf9c8d6
Author: stevenj <stevenj@fftw.org>
Date:   Wed Mar 21 00:41:32 2007 -0400

    some fixes to MPI r2c/c2r transforms with transposed output/input
    [empty commit message]

commit fc68b9bdd4975fec0d3f9b9ef6a2d9e052f8e7ce
Author: stevenj <stevenj@fftw.org>
Date:   Wed Mar 21 00:40:25 2007 -0400

    typos
    [empty commit message]

commit 75dce53511a209c32f881a782af96bf68fdf41af
Author: stevenj <stevenj@fftw.org>
Date:   Tue Mar 20 19:53:02 2007 -0400

    bug fix for mpi-bench with r2c/c2r: allocate a little bit extra to make sure that padding is allocated
    [empty commit message]

commit 1720fcb4dc2220e66e50a2baa9201f6c58913bf4
Author: stevenj <stevenj@fftw.org>
Date:   Tue Mar 20 19:19:13 2007 -0400

    fix typo, thanks to Ernest Turro for the bug report
    [empty commit message]

commit 3a9a95e347c10d98ad7d7ef0c3dca97217e2137a
Author: stevenj <stevenj@fftw.org>
Date:   Tue Mar 20 01:39:06 2007 -0400

    spacing tweaks
    [empty commit message]

commit 27cc0f277fb7839e10996eb97c07e4ea9e5bb94c
Author: stevenj <stevenj@fftw.org>
Date:   Tue Mar 20 00:53:11 2007 -0400

    Ralf Wildenhues is the one who pointed out that the self-communication could fill in the stalls in the pairwise schedule
    [empty commit message]

commit 3879a995d7146eb6be6ab3df826ebdf2660451f5
Author: stevenj <stevenj@fftw.org>
Date:   Tue Mar 20 00:22:25 2007 -0400

    add TRANSPOSED_OUT/IN support for r2c/c2r, respectively
    [empty commit message]

commit 5a4f8df7a48f55926d1a2017e234903e75fbf35b
Author: stevenj <stevenj@fftw.org>
Date:   Mon Mar 19 21:45:34 2007 -0400

    yikes! fixed likely deadlock bug in MPI
    [empty commit message]

commit e5514b08ccfb3c99dfa7034276872af1e3a15b84
Author: stevenj <stevenj@fftw.org>
Date:   Mon Mar 19 21:38:52 2007 -0400

    comment
    [empty commit message]

commit 2ccef4a6915eeebe969120c75c5790791905fd37
Author: stevenj <stevenj@fftw.org>
Date:   Mon Mar 19 21:30:44 2007 -0400

    s/alpha1/alpha2/
    [empty commit message]

commit 4c069ca435d517243da0ea52594b8101723303b1
Author: stevenj <stevenj@fftw.org>
Date:   Mon Mar 19 00:39:47 2007 -0400

    include README in dist tarball
    [empty commit message]

commit ea9cd7ed69c82e7b129bf88b99dc58238d856c0c
Author: stevenj <stevenj@fftw.org>
Date:   Mon Mar 19 00:35:43 2007 -0400

    added MPI r2c/c2r transforms, some more documentation
    [empty commit message]

commit 539fd2ff41bbf5d9955ff83880d983d422e4f4bd
Author: stevenj <stevenj@fftw.org>
Date:   Sun Mar 18 23:14:29 2007 -0400

    set version to 3.2alpha2
    [empty commit message]

commit 5b7625b7daebd8aba2e0a876083a944e2c7b520e
Author: stevenj <stevenj@fftw.org>
Date:   Sun Mar 18 19:12:18 2007 -0400

    changed --enable-mips_ps to --enable-mips-ps; added Cell section to manual (from README.Cell); many minor updates to manual
    [empty commit message]

commit c8cd95869bb81b8d85d87a91e0d65402f9de2288
Author: stevenj <stevenj@fftw.org>
Date:   Sun Mar 18 15:27:06 2007 -0400

    whoops, need to sync costs in problem_mpi_rdft
    [empty commit message]

commit dfc055b714f7d4b63b6615bb4b00c86d1600b7de
Author: stevenj <stevenj@fftw.org>
Date:   Sun Mar 18 12:44:49 2007 -0400

    documented guru64 interface
    [empty commit message]

commit e6a8b5ed239bd9e150f62c8f773e0dcdc97df31a
Author: stevenj <stevenj@fftw.org>
Date:   Sun Mar 18 02:57:46 2007 -0400

    typo
    [empty commit message]

commit 4625ba2558f8f51201b06cc14102507dd3f2731d
Author: stevenj <stevenj@fftw.org>
Date:   Sun Mar 18 02:45:09 2007 -0400

    bumped copyright year to 2007
    [empty commit message]

commit 66392e6b7c997772c49e9c38d275fe79cc25ed33
Author: stevenj <stevenj@fftw.org>
Date:   Sun Mar 18 01:41:40 2007 -0400

    noted CodeSourcery in AUTHORS
    [empty commit message]

commit 2c18cc0507bb6ea17abd5d54bacf15bd7ccbca13
Author: stevenj <stevenj@fftw.org>
Date:   Sun Mar 18 01:25:00 2007 -0400

    more MPI documentation
    [empty commit message]

commit 498f7ef52ac60aa1467d76bbfbd0d2224b9ccb10
Author: stevenj <stevenj@fftw.org>
Date:   Sat Mar 17 23:15:04 2007 -0400

    added MPI multi-dimensional rdft solvers & tests
    [empty commit message]

commit 871ff1554eded2f68e184ecff1d3befd19aa2679
Author: stevenj <stevenj@fftw.org>
Date:   Sat Mar 17 22:52:00 2007 -0400

    whoops
    [empty commit message]

commit 5a46acce32021f8bcdf12188ca3d764ce7f1cc85
Author: stevenj <stevenj@fftw.org>
Date:   Sat Mar 17 22:43:54 2007 -0400

    clarification - fftw_mpi_init should be called before importing wisdom
    [empty commit message]

commit 3e2d1704698a4609579e332b904502f5b30370fa
Author: stevenj <stevenj@fftw.org>
Date:   Sat Mar 17 19:49:37 2007 -0400

    kindx/y/z -> kind0/1/2 for consistency
    [empty commit message]

commit 73c018e5b29c759aaf1012ee39853b025024334c
Author: stevenj <stevenj@fftw.org>
Date:   Sat Mar 17 19:34:02 2007 -0400

    typo
    [empty commit message]

commit 1d9eeb0231c02f554470a9b6150b07df35e85a4a
Author: stevenj <stevenj@fftw.org>
Date:   Sat Mar 17 19:14:16 2007 -0400

    some refactoring in preparation for mpi-rdft
    [empty commit message]

commit 3a5f38381e0f65c6da82ab93eefe1be2789c9749
Author: stevenj <stevenj@fftw.org>
Date:   Sat Mar 17 18:12:45 2007 -0400

    documented more stuff for MPI
    [empty commit message]

commit f833ef7087c898b684d1e0945fb28164e7d5fc02
Author: stevenj <stevenj@fftw.org>
Date:   Sat Mar 17 15:41:23 2007 -0400

    added NEWS for 3.2alpha
    [empty commit message]

commit 75d1f8189e12f1104a11d92da913592e69b37227
Author: stevenj <stevenj@fftw.org>
Date:   Sat Mar 17 14:50:22 2007 -0400

    documented MPI transpose routines
    [empty commit message]

commit 4fdc9e45f4c6f587f12edb5c0bbe0c60a499d0a9
Author: athena <athena@fftw.org>
Date:   Sat Mar 17 08:57:30 2007 -0400

    Removed unused variables
    [empty commit message]

commit a1bd09375e2342d3dec8dbaba75321c278b50861
Author: athena <athena@fftw.org>
Date:   Fri Mar 16 14:47:10 2007 -0400

    Preparing for interim release of Cell code.
    [empty commit message]

commit bd1f6de1d0c69ee9a7b7be715797ae2e5cb28ed0
Author: athena <athena@fftw.org>
Date:   Thu Feb 8 12:23:43 2007 -0500

    Added README.Cell
    [empty commit message]

commit 4125ae1b42049d9828b51cb9f45398601fa25e5c
Author: athena <athena@fftw.org>
Date:   Sat Mar 10 19:17:40 2007 -0500

    Synchronized with main branch
    [empty commit message]

commit fa8f1748c92e9255b456b995a9c2d439110fb1b5
Author: athena <athena@fftw.org>
Date:   Mon Jan 22 17:43:56 2007 -0500

    Adapted vrecur heuristic to Cell.
    [empty commit message]

commit 31c0788d89e5d2db56d1949df2e61171360ad282
Author: athena <athena@fftw.org>
Date:   Thu Jan 18 20:29:22 2007 -0500

    Increased MAX_N to 32K/sizeof(R).
    [empty commit message]

commit e0e08abd04fec6f16a5aa4b8dbec2f614b845bde
Author: Matteo Frigo <athena@fftw.org>
Date:   Thu Jan 18 13:43:51 2007 -0500

    Added pointer to solver->destroy which is used in the Cell branch.
    [empty commit message]

commit dbb33d0b51897749feff0ef26e63af7769cd4fa5
Author: athena <athena@fftw.org>
Date:   Thu Jan 18 12:09:26 2007 -0500

    Updated copyright notices
    [empty commit message]

commit bdb23b08725ce86827dc72f39ace915e594e0ddd
Author: athena <athena@fftw.org>
Date:   Fri Jan 12 12:54:43 2007 -0500

    Use mfc_read_tag_status_all() instead of spu_mfcstat(2), since the former seems to be standardized.
    [empty commit message]

commit d958d4081d9d131a8c331795b51c38392e038f5f
Author: athena <athena@fftw.org>
Date:   Thu Jan 11 14:55:08 2007 -0500

    Silence some int/INT warnings.
    [empty commit message]

commit a465f3a820c88855cec17a8b62093f151cf4a75b
Author: athena <athena@fftw.org>
Date:   Wed Jan 10 18:19:53 2007 -0500

    Note incompatibility of --enable-cell with --enable-threads
    [empty commit message]

commit f8d67adca8de472032a5bb176caef2df069ac301
Author: athena <athena@fftw.org>
Date:   Wed Jan 10 17:57:10 2007 -0500

    forgot to add file
    [empty commit message]

commit 2b494f41afa950fa4174d4588070c49879c89acb
Author: athena <athena@fftw.org>
Date:   Wed Jan 10 17:45:16 2007 -0500

    64-bit cleanup
    [empty commit message]

commit d4d591f6547fba8ab96d982a76747e0248e94031
Author: athena <athena@fftw.org>
Date:   Wed Jan 10 13:47:20 2007 -0500

    Use -mcpu=cell where appropriate.
    [empty commit message]

commit bbff6b92337e5462c8e01c3c6f200f0841422229
Author: athena <athena@fftw.org>
Date:   Tue Dec 26 21:35:59 2006 -0500

    synchronized with main
    [empty commit message]

commit 011961c240152fa9ff6c791c430f0104ca2dada7
Author: athena <athena@fftw.org>
Date:   Sun Dec 24 20:58:25 2006 -0500

    synchronized with main branch
    [empty commit message]

commit 563b10fee948f8cf7089fc91f97ccd07b92169ae
Author: athena <athena@fftw.org>
Date:   Sun Dec 24 13:47:37 2006 -0500

    synchronized with main branch, updated to new sdk.
    [empty commit message]

commit 8a7076d3c731fa116d61cc072416ab46beddfc03
Author: athena <athena@fftw.org>
Date:   Thu Dec 21 17:17:41 2006 -0500

    removed obsolete file
    [empty commit message]

commit b4139c9ef725c1910b97628667ab1fa9ab98e635
Author: athena <athena@fftw.org>
Date:   Tue Dec 19 15:17:20 2006 -0500

    synchronized with main branch
    [empty commit message]

commit 7df6b5623e1db3fe7e9dff26fd4d23f484495649
Author: athena <athena@fftw.org>
Date:   Tue Dec 19 11:27:38 2006 -0500

    Synchronized with main branch
    [empty commit message]

commit 6ea2fd75cd1aae82fe1d1a510f104646ab7aa7c9
Author: athena <athena@fftw.org>
Date:   Fri Dec 15 16:04:31 2006 -0500

    resolved conflict with main branch
    [empty commit message]

commit 65515a62ffff8fb5649200627cb0c93ef813a9c0
Author: athena <athena@fftw.org>
Date:   Fri Dec 8 14:43:50 2006 -0500

    Fixes for compilation in subdirectories
    [empty commit message]

commit d39013569f9cb742b50238ca622f3bd52cade5b5
Author: athena <athena@fftw.org>
Date:   Fri Dec 8 12:46:00 2006 -0500

    Silence warning
    [empty commit message]

commit 565f828f3b33be86ac3263046fae490fda62d059
Author: athena <athena@fftw.org>
Date:   Fri Dec 8 12:24:19 2006 -0500

    silence warning
    [empty commit message]

commit 5ae3fbed814693f0172abe16b6875b17df64616d
Author: athena <athena@fftw.org>
Date:   Thu Dec 7 15:18:17 2006 -0500

    Commented a particularly obscure piece of code.
    [empty commit message]

commit b4f78f41fb5960b0ec300d23d6653e80f498eee2
Author: athena <athena@fftw.org>
Date:   Thu Dec 7 11:53:29 2006 -0500

    Reorganized, clarified conditions for applicability of the DFT solver.
    [empty commit message]

commit 4d31f1609b233b3951f5f660bc7d2f8f98d7bd38
Author: athena <athena@fftw.org>
Date:   Mon Dec 4 21:33:49 2006 -0500

    Minor changes
    [empty commit message]

commit b4cd386c5a2ebd85f8c53be407642199914c26ed
Author: athena <athena@fftw.org>
Date:   Mon Dec 4 17:43:28 2006 -0500

    Clarified comment
    [empty commit message]

commit aafb3252fb01b21a852ed938b9bc6b2e8b852517
Author: athena <athena@fftw.org>
Date:   Mon Dec 4 16:49:06 2006 -0500

    Less incorrect conditions for fitting into local store.
    [empty commit message]

commit 985d9f04682d20ed877a04bfc1d5c0cb73af903c
Author: athena <athena@fftw.org>
Date:   Mon Dec 4 16:08:24 2006 -0500

    Implemented DECDIF+TRANSPOSE on Cell
    [empty commit message]

commit 00969378eff1f94e8858105bd22015e622da58d0
Author: athena <athena@fftw.org>
Date:   Fri Dec 1 17:42:55 2006 -0500

    relaxed conditions of applicability of SPE
    [empty commit message]

commit 4df1c8eb6351f9f6dd2e869a33044d8b36f8dd54
Author: athena <athena@fftw.org>
Date:   Fri Dec 1 16:28:10 2006 -0500

    tweaks
    [empty commit message]

commit 92a232ae0edf2fe3f92ca5485861d866aa4c96b0
Author: athena <athena@fftw.org>
Date:   Fri Dec 1 14:35:17 2006 -0500

    Implemented Cell opcounts
    [empty commit message]

commit b2e38a76dac60881d4e14e3d9a6ad2b236086a68
Author: athena <athena@fftw.org>
Date:   Fri Dec 1 13:38:44 2006 -0500

    minor cleanup
    [empty commit message]

commit 0ab21aa8b736fd4002a92db39449d9e140c39606
Author: athena <athena@fftw.org>
Date:   Fri Dec 1 11:16:52 2006 -0500

    use [c0 s0 c1 s1] format for Cell twiddle factors, rather than [c0 c1 s0 s1].  This makes life easier and there is no speed penalty on Cell (unlike Altivec).
    [empty commit message]

commit d080990161fe731d5e1af92f9534c4bd86e06d1f
Author: athena <athena@fftw.org>
Date:   Wed Nov 29 18:02:54 2006 -0500

    Implemented SPE-accelerated copies
    [empty commit message]

commit 23f9c35ec5d4c123a664c907e5aaca2d9704888c
Author: athena <athena@fftw.org>
Date:   Wed Nov 29 12:11:08 2006 -0500

    allow SPEs to compute vrank-0 problems.
    [empty commit message]

commit 2f71518adcd364d1cc45272d4f254028c779ff83
Author: athena <athena@fftw.org>
Date:   Tue Nov 28 18:03:07 2006 -0500

    eliminated DMA lists
    [empty commit message]

commit 8620a7ab00d1bd4d288513998c82d14cce47b98f
Author: athena <athena@fftw.org>
Date:   Tue Nov 28 14:22:05 2006 -0500

    Conservatively force all dimensions to be 0 (mod VL) in cell, since otherwise it is too hard to get all cases right.
    [empty commit message]

commit 8343bf57ddaff7d35756635dd9a4a6aa8d31e964
Author: athena <athena@fftw.org>
Date:   Tue Nov 28 12:39:01 2006 -0500

    Check alignment of strides when transposing on Cell.
    [empty commit message]

commit 7e28410dc1fbaa1bbf53007869937b84d44c37f3
Author: athena <athena@fftw.org>
Date:   Tue Nov 28 12:19:09 2006 -0500

    consistent usage of FFT_SIGN
    [empty commit message]

commit 66491d40310d02c982e54ebee2f9f6c7cb0ae7db
Author: athena <athena@fftw.org>
Date:   Tue Nov 28 11:35:38 2006 -0500

    clever transposition algorithm without buffering
    [empty commit message]

commit 33e68acd59c892e969a722ded4292aef57fab0a9
Author: athena <athena@fftw.org>
Date:   Mon Nov 27 14:08:28 2006 -0500

    Fixed tracking of dependencies
    [empty commit message]

commit 1eab08a3242ae935de04debda8abee056fb3d978
Author: athena <athena@fftw.org>
Date:   Mon Nov 27 14:03:53 2006 -0500

    implemented 1D transforms, various tweaks
    [empty commit message]

commit 14891530341581ba7a2422754d83d0c621c71daa
Author: athena <athena@fftw.org>
Date:   Wed Nov 22 15:43:36 2006 -0500

    no need to poll mailbox on spu side
    [empty commit message]

commit bc0822718ba87089828bd9362b112c8a9bef878c
Author: athena <athena@fftw.org>
Date:   Wed Nov 22 14:08:24 2006 -0500

    increased maximum size handled by spe
    [empty commit message]

commit 0fb0144374b505502ed768b7f13c191d775bf870
Author: athena <athena@fftw.org>
Date:   Tue Nov 21 16:23:17 2006 -0500

    allow vrank<=2 problems in SPEs to avoid the vecloop overhead (grrr...)
    [empty commit message]

commit 26017102cbb70e6e0292087249267b6560414f1c
Author: athena <athena@fftw.org>
Date:   Mon Nov 20 14:41:45 2006 -0500

    added emacs mode
    [empty commit message]

commit ae2ed8341f9860cd659dc62def4f0c3712e856ab
Author: athena <athena@fftw.org>
Date:   Mon Nov 20 09:34:12 2006 -0500

    revised transpose, cleanup
    [empty commit message]

commit 7de0b7799021747ff1eef31aca59f7b229750e93
Author: athena <athena@fftw.org>
Date:   Sun Nov 19 20:20:23 2006 -0500

    added file
    [empty commit message]

commit 7383afd328c1e98b5ec25c32094a28b0312fb7b0
Author: athena <athena@fftw.org>
Date:   Sun Nov 19 20:18:35 2006 -0500

    removed file
    [empty commit message]

commit fa6b1a88cae92cf2e4e5ab247d7a9d93e722c405
Author: athena <athena@fftw.org>
Date:   Sun Nov 19 20:15:38 2006 -0500

    better automake integration
    [empty commit message]

commit d1af1e31717e8df8126e7f44197d10e652adbaab
Author: athena <athena@fftw.org>
Date:   Sat Nov 18 20:14:29 2006 -0500

    changed algorithm for computing chunk size
    [empty commit message]

commit 631ad019b179b1e260a5197ef0012e38e5adfb9c
Author: athena <athena@fftw.org>
Date:   Sat Nov 18 19:18:11 2006 -0500

    implemented transpose, various fixes.
    [empty commit message]

commit 4d0d4332d36eb952e188eb44f039249a78dc2545
Author: athena <athena@fftw.org>
Date:   Thu Nov 16 16:33:50 2006 -0500

    Added explicit destructor to all solvers to help with the cell port.
    [empty commit message]

commit c668de4bc5e8677b2c78830b34214aa832631281
Author: athena <athena@fftw.org>
Date:   Thu Nov 16 15:22:15 2006 -0500

    consistent use of #if vs. #ifdef
    [empty commit message]

commit 34192d4eaa06426a1168b5ac743332adb1cd6039
Author: athena <athena@fftw.org>
Date:   Thu Nov 16 15:15:34 2006 -0500

    Additional Cell double codelets, better automake integration
    [empty commit message]

commit 4b19e0b192a7f797d21adc5b8b39b126bf809e53
Author: athena <athena@fftw.org>
Date:   Thu Nov 16 12:43:34 2006 -0500

    Use dma lists.
    [empty commit message]

commit 398bcee9091aa5c56d753877957f367e7041e6a7
Author: athena <athena@fftw.org>
Date:   Thu Nov 16 11:03:46 2006 -0500

    converted to automake
    [empty commit message]

commit caf4303b1448b64d7f82cf9ba36eee8071674421
Author: athena <athena@fftw.org>
Date:   Wed Nov 15 18:00:12 2006 -0500

    Initial port to Cell Broadband Engine.
    [empty commit message]

commit 45eebf6ef925ca51e2749ea8658cfb39216fd5b7
Author: athena <athena@fftw.org>
Date:   Wed Mar 14 10:19:53 2007 -0400

    Remove Codesourcery contributions from commercial tarball.
    [empty commit message]

commit 71e740a2b810c009c637addb3f87bba3338fa0d2
Author: athena <athena@fftw.org>
Date:   Wed Mar 14 08:59:18 2007 -0400

    Added FFTW_WISDOM_ONLY, at the request of Phil Dumont.
    [empty commit message]

commit 8c4485fd3fffb1cfd1aacddfecb58250b5b69607
Author: stevenj <stevenj@fftw.org>
Date:   Tue Mar 13 00:32:05 2007 -0400

    fixed potential MPI deadlock if timer misbehaves
    [empty commit message]

commit 193dbead568fc6582fce99e2b1824f7aac2c66b1
Author: stevenj <stevenj@fftw.org>
Date:   Mon Mar 12 23:31:52 2007 -0400

    more work on MPI documentation
    [empty commit message]

commit 4374a330a301a85267faf67eb71833daeeeefa72
Author: stevenj <stevenj@fftw.org>
Date:   Tue Feb 27 13:48:43 2007 -0500

    index
    [empty commit message]

commit 8dd26fb6008dec917db3ff3f34bbd437b21ba12f
Author: stevenj <stevenj@fftw.org>
Date:   Tue Feb 27 13:46:45 2007 -0500

    rename "new-data execute" to "new-array execute", since of course you do not need a new array to have new data
    [empty commit message]

commit 89ebde1693423d225eb9a50b56dc0a5703d30384
Author: stevenj <stevenj@fftw.org>
Date:   Tue Feb 27 13:43:55 2007 -0500

    consistency with manual (guru execute -> new-data execute)
    [empty commit message]

commit 8cce0d9c67bf193b5cf177483ad0500e71a18a84
Author: stevenj <stevenj@fftw.org>
Date:   Tue Feb 27 13:42:24 2007 -0500

    texinfo fixes; renamed "guru execute" section to "new-data execute", since previously it seemed to lead to endless confusion with the guru planner API
    [empty commit message]

commit 7188f6250c91692fb25976542298900e557d092a
Author: stevenj <stevenj@fftw.org>
Date:   Mon Feb 26 18:57:11 2007 -0500

    consistently use n0/n1/.. everywhere instead of nx/ny/... (for consistency with d-dimensional case n[0], n[1], ...) ... first start at MPI documentation
    [empty commit message]

commit 385b92bc1fa159e0423f02059cd15c93b7444c92
Author: athena <athena@fftw.org>
Date:   Sat Mar 10 18:48:05 2007 -0500

    Changed C++-style comment into K&R
    [empty commit message]

commit 32f8fc24e66030c4e5fdc42b9ec503c50d163435
Author: athena <athena@fftw.org>
Date:   Sat Mar 10 18:47:12 2007 -0500

    Forgot to add file
    [empty commit message]

commit acf05fd6f7275e013b16abcfafbc2db7437145f1
Author: athena <athena@fftw.org>
Date:   Sat Mar 10 18:44:39 2007 -0500

    Note removal of K7 support.
    [empty commit message]

commit e768b9aeeddd3937eacf72bf4bcd1fe6b67681b8
Author: athena <athena@fftw.org>
Date:   Sat Mar 10 18:41:52 2007 -0500

    Updated manual for MIPS PS
    [empty commit message]

commit 56c7d29b2740a24da19b5c022569e60a9bf1abaa
Author: athena <athena@fftw.org>
Date:   Sat Mar 10 18:37:07 2007 -0500

    Adopted MIPS_PS patches from Codesourcery.
    [empty commit message]

commit 117c18b54c2398c74c00d3f375e60e490cfd0a55
Author: athena <athena@fftw.org>
Date:   Sun Feb 25 11:34:51 2007 -0500

    Incorrect initialization of win32 semaphores
    [empty commit message]

commit 835fb99c05fc32b63c000aaa65fa8f098d66d1a1
Author: stevenj <stevenj@fftw.org>
Date:   Tue Jan 30 11:43:09 2007 -0500

    win32 fixes (I think, still untested)
    [empty commit message]

commit 22544bfee3ccdd6810c7f7b9552eb8ec67f58562
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jan 19 17:31:47 2007 -0500

    message-size heuristic in tranpose-recurse
    [empty commit message]

commit c3f9a60853f7d021b8e2e84aca81167fe0742499
Author: athena <athena@fftw.org>
Date:   Tue Jan 30 08:53:55 2007 -0500

    Threading layer for Win32, completely untested.
    [empty commit message]

commit e9103c2fa36af2816f233d39aa4b4e6aad4bccd2
Author: athena <athena@fftw.org>
Date:   Mon Jan 29 14:26:30 2007 -0500

    Check for EINTR after sem_wait(), as suggested by Chip Salzenberg.
    [empty commit message]

commit 719f223ad7ec385208d4d10171374f44d6dcbfa9
Author: athena <athena@fftw.org>
Date:   Mon Jan 22 13:58:23 2007 -0500

    Force vector recursion by means of a separate function pointer.  I need this for Cell.
    [empty commit message]

commit 44d62282fe44de7c794ce22ec8a5a3120e71d57f
Author: athena <athena@fftw.org>
Date:   Mon Jan 22 09:28:35 2007 -0500

    Merge multiplications by twiddle with multiplications by i for faster r2c transforms.
    [empty commit message]

commit 37defea1b213e2cb3e5f73fc481e34551ca72e59
Author: athena <athena@fftw.org>
Date:   Sun Jan 21 19:02:44 2007 -0500

    Disabled vector recursion, too messy.
    [empty commit message]

commit f6f7ab5fd044a6ed0b9803c8ea10e176c37137dd
Author: athena <athena@fftw.org>
Date:   Sun Jan 21 14:23:35 2007 -0500

    Changed heuristics for vector recursion.
    
    As in fftw-3.1, NO_VRECURSE disables vector recursion.  As an
    exception, however, vector recursion is allowed when the predicate
    VRECURSE_ANYWAYP is true.  We need some form of vector recursion to
    obtain decent plans on Cell, and this solution captures the common
    cases without increasing planning time too much.

commit 3612cb7be2fce875627ec720c48a70f9204b42f6
Author: athena <athena@fftw.org>
Date:   Sun Dec 17 22:31:17 2006 -0500

    fixed hc2c for vector-recursion branch
    [empty commit message]

commit af9505fcc532b01fb7d7d4e4df0793f1d58bbedd
Author: athena <athena@fftw.org>
Date:   Tue Dec 5 12:52:36 2006 -0500

    switch to default vector recursion
    [empty commit message]

commit d49ea8d1b8d123219d25c7279a06f0146ff0020b
Author: athena <athena@fftw.org>
Date:   Sat Jan 20 23:37:33 2007 -0500

    Smarter algorithm for selection of nbuf.
    [empty commit message]

commit 983a3c8a18351c2aa89b096d17419c8ecc8ee4eb
Author: athena <athena@fftw.org>
Date:   Sat Jan 20 22:15:33 2007 -0500

    Increased buffer sizes according to Moore's law.
    [empty commit message]

commit 3063d37e369e9b607af9a1870c3e9c67966969d3
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jan 19 16:02:00 2007 -0500

    fix another MPI synchronization bug -- several more places where cost_hook must be called to synchronized process timings (sigh)
    [empty commit message]

commit ed26acb97814e71ca8961385f95d136fb532d3e5
Author: athena <athena@fftw.org>
Date:   Fri Jan 19 12:08:07 2007 -0500

    Set havewisdom=0 when calling forget_wisdom() in the test program.
    [empty commit message]

commit 9c8fc20de720a1f8588230add1f732504a489797
Author: stevenj <stevenj@fftw.org>
Date:   Fri Jan 19 10:29:56 2007 -0500

    remove redundant check
    [empty commit message]

commit ea709110aaac1eac97acdc9e6d6dccb1a319f491
Author: stevenj <stevenj@fftw.org>
Date:   Thu Jan 18 22:37:59 2007 -0500

    fixed potential (unlikely) bug in wisdom import (triggered when importing impatient wisdom after creating more patient plans, but apparently only for nonstandard configure.c configurations)
    [empty commit message]

commit c30ae9a7d180707e86d8a42ce607c6e7717b49e6
Author: stevenj <stevenj@fftw.org>
Date:   Thu Jan 18 21:50:14 2007 -0500

    added functions to gather/broadcast wisdom for MPI
    [empty commit message]

commit a87ad4116c7bf1ac3e28709b2dc7a3f942beba34
Author: stevenj <stevenj@fftw.org>
Date:   Thu Jan 11 18:33:17 2007 -0500

    whoops, another int/INT bug
    [empty commit message]

commit 51ddf455e30f2f8448b94dc40b8a19a8f296067b
Author: stevenj <stevenj@fftw.org>
Date:   Thu Jan 11 17:42:24 2007 -0500

    whoops, fixed bug in transpose-recurse for r != m
    [empty commit message]

commit d2550926efaedd18154f03ae20b464f57ebbc71f
Author: stevenj <stevenj@fftw.org>
Date:   Thu Jan 11 17:25:36 2007 -0500

    canonicalize mpi-transposed flags by setting TRANSPOSED_IN/OUT where possible
    [empty commit message]

commit 0129b3159f5ffd78b1d5e8c99a80e5aac5ae1743
Author: stevenj <stevenj@fftw.org>
Date:   Thu Jan 11 17:16:24 2007 -0500

    replace transpose-radix2 with much more general transpose-recurse solver
    [empty commit message]

commit b5399f6884419e5aac9bd45b2f99a55c722dbae6
Author: stevenj <stevenj@fftw.org>
Date:   Wed Jan 10 20:23:48 2007 -0500

    rename transpose-inplace to transpose-pairwise, as the algorithm is not restricted to inplace operation
    [empty commit message]

commit 1db83491ac2308011e874a0e14867ab82285ca87
Author: stevenj <stevenj@fftw.org>
Date:   Wed Jan 10 14:39:08 2007 -0500

    whoops, some int/INT bugs
    [empty commit message]

commit 7c54c7285fedadb55997fa5032a86721a5d73c00
Author: stevenj <stevenj@fftw.org>
Date:   Tue Jan 9 18:50:07 2007 -0500

    fix FAQ Makefile for vpath builds
    [empty commit message]

commit 1f9ce0c767890a637491a26dc6d671cb48d899e1
Author: athena <athena@fftw.org>
Date:   Tue Jan 9 20:22:11 2007 -0500

    Missing ``static'' keyword.
    [empty commit message]

commit 5719264a71b3d5a725179d6c6f38fc9844f614c7
Author: athena <athena@fftw.org>
Date:   Tue Jan 9 20:13:18 2007 -0500

    Minor cleanup.
    [empty commit message]

commit 31f23769946e8cbd668eae280cf6fa5e0d731cc6
Author: stevenj <stevenj@fftw.org>
Date:   Tue Jan 9 00:04:03 2007 -0500

    interleave twiddle mults with DFTs (should we use dftw?)
    [empty commit message]

commit 5ee274d2bfff3ccfa48faf75d4c5ba4254b6403a
Author: stevenj <stevenj@fftw.org>
Date:   Mon Jan 8 18:35:41 2007 -0500

    simplified (and somewhat sped up) dft-rank1 by exploiting dft-rank1-bigvec
    [empty commit message]

commit 6603c476a81bd7d9a84eeec0106ce87ea7af55eb
Author: stevenj <stevenj@fftw.org>
Date:   Sun Jan 7 00:31:31 2007 -0500

    rearranged TRANSPOSED format, numerous speedups
    
    Split the TRANSPOSED and non-TRANSPOSED rank-geq2 solvers, and changed
    the DFT TRANSPOSED format to be more like fftw2 (both globally and
    locally transposed).  In general, more emphasis on arranging the data
    contiguously for the DFTs, and more flexibility in intermediate
    transposed formats.  Also disable NO_SLOW when planning transposes,
    since otherwise non-square in-place transposes gratuitously put the
    planner in SLOW mode.
    
    Currently, dft-rank1-bigvec has 5 variants (or 10, if DESTROY_INPUT).
    It looks like only 2 of these are commonly used, so I should probably
    add some UGLY tags once I do more benchmarking.

commit 8efa4e83812fc0d52b20291b0ae6b6d863d873b4
Author: stevenj <stevenj@fftw.org>
Date:   Thu Jan 4 19:13:17 2007 -0500

    add bench_cost_postprocess to prevent deadlocks in mpi-bench
    [empty commit message]

commit ad8fbe7775bfe2a214cefd3759493f11d3330532
Author: stevenj <stevenj@fftw.org>
Date:   Thu Jan 4 16:46:29 2007 -0500

    whoops
    [empty commit message]

commit f1d13c4b532737e65ce9f8cdb058875fed16aac7
Author: stevenj <stevenj@fftw.org>
Date:   Wed Jan 3 14:23:42 2007 -0500

    pass proper pointer types as arguments, so that ACX_PTHREAD still works with C++ and -Werror (thanks to Ewald Arnold for the suggestion)
    [empty commit message]

commit 85662c73ef1053f67e55830adb20a7660c7f546e
Author: athena <athena@fftw.org>
Date:   Mon Jan 1 19:30:43 2007 -0500

    Renamed [io]vs => [io]vs_by_nbuf, which is more appropriate and would have saved me 30mins debugging.
    [empty commit message]

commit 011d6fa311a3126c66527f22f76a55acababb0f3
Author: stevenj <stevenj@fftw.org>
Date:   Mon Jan 1 18:52:38 2007 -0500

    add --with-g77-wrappers option & always include g77 wrappers on GNU systems and/or with gfortran
    
    Upcoming GNU/Linux distros will most likely switch to configuring FFTW
    with gfortran by default, since g77 isn't even included with recent gcc
    versions.  However, we still want to include g77-compatible wrappers in
    this case (two underscores) in addition to gfortran wrappers (one
    underscore) lest we silently break binary compatibility and provoke
    lots of annoying emails.

commit fbb0f99f47d4c09c87cd81573b3532809b44fee1
Author: stevenj <stevenj@fftw.org>
Date:   Mon Jan 1 16:48:36 2007 -0500

    use AC_HELP_STRING for --disable-fortran
    [empty commit message]

commit 4c6880164b7e43be156bd10825038bc5fe83b9b3
Author: stevenj <stevenj@fftw.org>
Date:   Mon Jan 1 15:56:12 2007 -0500

    terminology
    [empty commit message]

commit ae75dc0d2a5fb8286ebadc5fa70a1ff2e17ed7ba
Author: athena <athena@fftw.org>
Date:   Sat Dec 30 16:18:35 2006 -0500

    Free buffers before calling cldrest.
    [empty commit message]

commit 053f45629c9af2bc608086640e6684ef1e76bf0b
Author: athena <athena@fftw.org>
Date:   Fri Dec 29 10:52:15 2006 -0500

    Removed obsolete code.
    [empty commit message]

commit e6ffd09841ff145db9112e4fca774cc3454e1170
Author: athena <athena@fftw.org>
Date:   Thu Dec 28 21:37:48 2006 -0500

    Attempt to work-around old gcc bugs in a more efficient fashion that does not lose performance on newer gcc's.
    [empty commit message]

commit b1d16645f02bf03f9934c6acfe86d41705734cf6
Author: athena <athena@fftw.org>
Date:   Thu Dec 28 16:10:33 2006 -0500

    Make sure that the speed() input is zero even in paranoid mode.
    [empty commit message]

commit bd281a3248526dd660f3cc5db5662a38af6aca70
Author: athena <athena@fftw.org>
Date:   Thu Dec 28 11:41:46 2006 -0500

    cld0 and cldm problems must be tainted because they are used in a v-loop.
    [empty commit message]

commit 762203e35e50a636ebbe34f1bb4a9a72dbdfceae
Author: athena <athena@fftw.org>
Date:   Wed Dec 27 17:17:45 2006 -0500

    Run paranoid-check in patient mode.
    [empty commit message]

commit 13fcf5a8a0073c72a967a6b5c21009dc09b0e63e
Author: athena <athena@fftw.org>
Date:   Wed Dec 27 10:51:42 2006 -0500

    Fixed incorrect initialization to zero.
    [empty commit message]

commit 957a6a68a80da76a90adfd5c50e6570a0102a174
Author: athena <athena@fftw.org>
Date:   Wed Dec 27 09:33:02 2006 -0500

    Fixed wrong TAINT()
    [empty commit message]

commit 131e00d9d05b13400d93ba18bddd02ee53db276a
Author: athena <athena@fftw.org>
Date:   Tue Dec 26 22:50:28 2006 -0500

    Grrrrr...
    [empty commit message]

commit e30b1ccf6d58829fdae52ee072c605802f728761
Author: athena <athena@fftw.org>
Date:   Tue Dec 26 22:48:44 2006 -0500

    Give up trying to verify rdft2 when vrank=-infinity.
    [empty commit message]

commit 50b70cffda5f011216fd43162aa1b6b69f7ef912
Author: athena <athena@fftw.org>
Date:   Tue Dec 26 22:31:38 2006 -0500

    typo
    [empty commit message]

commit 4cdf2b4a16da17795eadebf1a1215e1060f1c573
Author: athena <athena@fftw.org>
Date:   Tue Dec 26 21:54:53 2006 -0500

    Correctly verify rdft2 when vrank = -infinity.
    [empty commit message]

commit a93befe83478f18c088fc474973185660c237154
Author: athena <athena@fftw.org>
Date:   Tue Dec 26 21:25:02 2006 -0500

    rdft/buffered2.c now generates rdft2 subproblems, not rdft.
    
    The old rdft2->rdft reduction is now in rdft/rdft2-rdft.c
    and still does way too much.

commit 994d04b97146dcfb849bc7d83136402cb1a0a070
Author: athena <athena@fftw.org>
Date:   Tue Dec 26 14:03:27 2006 -0500

    Buffer the input in hc2r problems, as opposed to the output.
    [empty commit message]

commit 47f2f5a1335a6cc49ed95c73655fa08a19958606
Author: athena <athena@fftw.org>
Date:   Tue Dec 26 10:02:59 2006 -0500

    streamlined buffered solvers
    [empty commit message]

commit add79ce24b3c20348a098ca15c7431ce95835a54
Author: athena <athena@fftw.org>
Date:   Mon Dec 25 16:08:22 2006 -0500

    c++ compatibility
    [empty commit message]

commit 7caedf2e6196972d2a5c4745ff5badc6856c1b29
Author: athena <athena@fftw.org>
Date:   Sun Dec 24 20:27:23 2006 -0500

    Gratuitous renaming of directories and files since the old naming was becoming too inconsistent for my taste.
    [empty commit message]

commit ab5397b31582ea9372345a7868a165a340a8aefb
Author: athena <athena@fftw.org>
Date:   Sun Dec 24 20:11:50 2006 -0500

    Fixed another dftw bug (sigh)
    [empty commit message]

commit aa1c7cfcbfb0b6bedd716d02d2b84ea86432f03b
Author: athena <athena@fftw.org>
Date:   Sun Dec 24 11:48:01 2006 -0500

    Removed debugging leftovers.
    [empty commit message]

commit 401d4cd84bec4348694725e268ccb78c5cbbb71c
Author: athena <athena@fftw.org>
Date:   Sun Dec 24 11:34:17 2006 -0500

    Moved dftw-generic* to new dftw protocol.
    [empty commit message]

commit 91d2ba6242b230cf1195cf9c8e7d61f2ee226a28
Author: athena <athena@fftw.org>
Date:   Sun Dec 24 09:37:19 2006 -0500

    Oops
    [empty commit message]

commit ef28c24515ebda3edb9fcb0e67682b3e608f7e67
Author: athena <athena@fftw.org>
Date:   Sun Dec 24 09:31:46 2006 -0500

    Fixed wrong verification of rank-1 rdft2
    [empty commit message]

commit a0f01cb9aaaa491d23686acf3ccedc38c47cd8bb
Author: athena <athena@fftw.org>
Date:   Sat Dec 23 20:11:29 2006 -0500

    minor tweaks
    [empty commit message]

commit de3d507c8f454e02a382e0cbf7d9453f04621021
Author: athena <athena@fftw.org>
Date:   Sat Dec 23 19:50:03 2006 -0500

    Removed obsolete items.
    [empty commit message]

commit 67ca9cb9258b4fb320d26445040b6fae0e450594
Author: athena <athena@fftw.org>
Date:   Sat Dec 23 17:56:37 2006 -0500

    Modified the problem_dftw invocation protocol.
    
    apply() now requires pointers to the beginning of the full array.
    Each thread processes a slice mb <= m < me.  This protocol is
    consistent with the one used in hc2hc, where there is no other choice.

commit 378686a490f47d469eedfb5383cb46f6500cf835
Author: athena <athena@fftw.org>
Date:   Sat Dec 23 16:18:25 2006 -0500

    typo
    [empty commit message]

commit a15a3176f43a12770d66407d77b3fc138f278a53
Author: athena <athena@fftw.org>
Date:   Sat Dec 23 16:06:56 2006 -0500

    changed hc2hc twiddle storage to be the same as hc2c
    [empty commit message]

commit a4d048b7080396fae83e41bd64c4740ba0ab9f7a
Author: athena <athena@fftw.org>
Date:   Sat Dec 23 15:16:36 2006 -0500

    Allowed extra_iter in dftw-direct.  Rationalized twiddle factors in hc2c.
    [empty commit message]

commit 4c0bf02653b7e58b218d47e0cf01d719edc1d015
Author: athena <athena@fftw.org>
Date:   Sat Dec 23 10:37:11 2006 -0500

    Implemented unmentionable hack to use 4-way SIMD with an odd number of
    iterations.

commit 992d3ce4a54640d5af4d942ef17eb880f56ec36e
Author: athena <athena@fftw.org>
Date:   Fri Dec 22 22:13:30 2006 -0500

    altivec support for new codelets
    [empty commit message]

commit e0908cfd6fe22ae0544576667bec649b71dcb922
Author: athena <athena@fftw.org>
Date:   Fri Dec 22 19:09:15 2006 -0500

    fixed incorrect computation of W
    [empty commit message]

commit df8bd57748278b92e0975a66062bd71bb5ac2e8d
Author: athena <athena@fftw.org>
Date:   Fri Dec 22 18:51:22 2006 -0500

    Implemented 4-way simd hc2cdftv
    
    Also eliminated the twiddle_shift hack.  A zillion changes dictated
    by this choice, which was in turn necessary for the hc2cdftv thing
    to work.

commit 7bac8d1f715f737bfed8742521fe60d5dec6b963
Author: athena <athena@fftw.org>
Date:   Fri Dec 22 08:45:46 2006 -0500

    Fixed verification of rdft2 problems with new format.
    [empty commit message]

commit c18f29a56027a5e08aa164530d10ff55c1950170
Author: athena <athena@fftw.org>
Date:   Fri Dec 22 00:05:59 2006 -0500

    Added file
    [empty commit message]

commit aafef0ef88f37d8b0e63a31afec168dad67a29f4
Author: athena <athena@fftw.org>
Date:   Fri Dec 22 00:02:50 2006 -0500

    Hmm, previous commit did not work
    [empty commit message]

commit 21c810018e7f4993ebadf9a05682f3bd0a6d2c8f
Author: athena <athena@fftw.org>
Date:   Thu Dec 21 23:58:33 2006 -0500

    Added SIMD r2cdft codelets.
    [empty commit message]

commit fe2f5075f1443d522b445b31027cacb32e8add18
Author: athena <athena@fftw.org>
Date:   Thu Dec 21 21:19:21 2006 -0500

    Bug in buffering, grrr...
    [empty commit message]

commit 32f34cf494321ef860f20924b84df527d63e0ce0
Author: athena <athena@fftw.org>
Date:   Thu Dec 21 20:58:14 2006 -0500

    Oops, memory leak.
    [empty commit message]

commit 179cfb2f9ddf45916458e2dfdd0e0adbcf762044
Author: athena <athena@fftw.org>
Date:   Thu Dec 21 17:12:31 2006 -0500

    minor changes, cleanup.
    [empty commit message]

commit 2505062c2e9ded3822b01c123e82033d37968917
Author: athena <athena@fftw.org>
Date:   Wed Dec 20 22:09:28 2006 -0500

    Unified hc2hc-direct, hc2hc-directbuf.  Cleanup.
    [empty commit message]

commit 5f80c36202acc746148c007e394a4260457f1f60
Author: athena <athena@fftw.org>
Date:   Wed Dec 20 17:55:56 2006 -0500

    removed obsolete rdft2-radix2
    [empty commit message]

commit 18d4fddebb71049478d41152af043e33ed90d014
Author: athena <athena@fftw.org>
Date:   Wed Dec 20 17:51:20 2006 -0500

    implemented reduction rdft2->dft
    [empty commit message]

commit f84c7e67e6c77dc3b8ef4c0703277aa884852ab0
Author: athena <athena@fftw.org>
Date:   Wed Dec 20 09:29:39 2006 -0500

    Implemented buffered direct-r2c, direct-hc2c.
    Also, removed some old cruft:
    
    * okp() functions were never used and a pain to maintain---now they
      are gone.
    
    * ``m'' in hc2hc and hc2c codelets is now the number of iterations,
      not the ``logical'' m.

commit de904f19b230a114ead0b9580646689ab8519a29
Author: stevenj <stevenj@fftw.org>
Date:   Tue Dec 19 17:07:04 2006 -0500

    added memcpy-loop rank0 solver (it makes a 5-20% difference for transposes of large tuples)
    [empty commit message]

commit d91736d4442e92910eabaa0e923d0cda833213cc
Author: stevenj <stevenj@fftw.org>
Date:   Tue Dec 19 16:15:54 2006 -0500

    new variable to disable libbench2's problem allocation during speed benchmarking (to benchmark MPI transforms where the array does not fit into the memory of a single process)
    [empty commit message]

commit 8c1f9aabc4cd60f5509b287de2850c2767d07fd8
Author: stevenj <stevenj@fftw.org>
Date:   Tue Dec 19 14:55:08 2006 -0500

    allow transpose-inplace to use input as scratch for DESTROY_INPUT plans (to avoid non-square in-place transpositions) ... on supersgj, the planner often prefers transpose-inplace to transpose-alltoall in this case (apparently MPI_Alltoall in LAM MPI isn't that great)
    [empty commit message]

commit 762d58ccde3a29468b9b522c8426ba6f48f0e74b
Author: athena <athena@fftw.org>
Date:   Tue Dec 19 17:07:14 2006 -0500

    For some reason HB2 codelets were not generated.
    [empty commit message]

commit 928be47a01cfc332b729fd60775949d699d60795
Author: athena <athena@fftw.org>
Date:   Tue Dec 19 15:12:39 2006 -0500

    split rdft/direct.c into direct-r2r and direct-r2c, since the file was getting out of control.
    [empty commit message]

commit cf38c33836313129b7e98c192434dae261777810
Author: stevenj <stevenj@fftw.org>
Date:   Tue Dec 19 02:59:35 2006 -0500

    added dft-rank1 solver - MPI now supports 1d complex DFTs!
    [empty commit message]

commit 061b341f302122d768db24c7aab043ade2e2dbb8
Author: stevenj <stevenj@fftw.org>
Date:   Tue Dec 19 01:27:20 2006 -0500

    fftw_flops must call cost_hook directly; iestimate_cost always uses COST_MAX
    [empty commit message]

commit ebf61714b949775e7004b86b828112ae82b69726
Author: stevenj <stevenj@fftw.org>
Date:   Tue Dec 19 01:16:54 2006 -0500

    fftw_flops and fftw_estimate_cost must now be called from every process, to prevent deadlocks in the MPI code (since they sum/max the cost over all processes)
    [empty commit message]

commit bea9d02f1cc9edd02ad6d30a11795bc11ff64d1a
Author: stevenj <stevenj@fftw.org>
Date:   Tue Dec 19 00:55:34 2006 -0500

    whoops, typo in assert
    [empty commit message]

commit aee20bd2d616611547ef7826e5d30bf033994736
Author: stevenj <stevenj@fftw.org>
Date:   Tue Dec 19 00:51:07 2006 -0500

    remove multiplication by FFT_SIGN
    [empty commit message]

commit 8583a34cfe3ae51cd835c45d9035d80a0f944b52
Author: stevenj <stevenj@fftw.org>
Date:   Mon Dec 18 22:51:45 2006 -0500

    need to synchronize ESTIMATE costs in MPI planner, and sum ESTIMATE costs for flop reporting: generalize measure_hook to cost_hook(..., {COST_SUM, COST_MAX})
    [empty commit message]

commit 97ebd8fa0c58fd24345e3386b28f1c7abba8cb8d
Author: stevenj <stevenj@fftw.org>
Date:   Mon Dec 18 15:36:15 2006 -0500

    previous patch slowed down transpose-alltoall when TRANSPOSED_IN and DESTROY_INPUT; now allow planner to choose old behavior in this case
    [empty commit message]

commit 045a9c7e5b7ac5d91eb7567f34a2b4e307adeeeb
Author: stevenj <stevenj@fftw.org>
Date:   Mon Dec 18 15:15:39 2006 -0500

    transpose-alltoall doesn't require input to be destroyed if TRANSPOSED_IN is set
    [empty commit message]

commit 43ab77408bc3d76457a0e89ad02aec84f4949bf3
Author: athena <athena@fftw.org>
Date:   Mon Dec 18 17:41:25 2006 -0500

    Added t2-style hc2c codelets, fixed typos.
    [empty commit message]

commit 7e431baa8e5da11432db111e201a4da9b19d6f49
Author: athena <athena@fftw.org>
Date:   Mon Dec 18 16:02:42 2006 -0500

    Renamed certain variables to avoid calling an output stride `is'.
    [empty commit message]

commit 141dcad10c248a45577b80c26d1e396530597d3b
Author: athena <athena@fftw.org>
Date:   Mon Dec 18 15:54:43 2006 -0500

    Oops---wrong stride
    [empty commit message]

commit 23386506c8294fc1d61bc7cfcedb0bebc4e8fe60
Author: athena <athena@fftw.org>
Date:   Mon Dec 18 14:59:16 2006 -0500

    Oops, forgot to add file
    [empty commit message]

commit 8e69f0617fe6f90d09c23d4ce8f125f1822eb363
Author: athena <athena@fftw.org>
Date:   Mon Dec 18 14:17:02 2006 -0500

    Renamed r2hc/hc2r codelets to r2c
    After the recent changes, r2hc/hc2r codelets became rdft2
    problems, so I renamed them accordingly to r2cf/r2cb.
    Codelet parameters are now a real array and a complex array, instead
    of an input array and an output array, and forward and backward
    codelets have the same type, which removes some clutter from the rdft
    code.

commit 91b8d21aa599744cf6f9bb2141bcd4193fcdb957
Author: athena <athena@fftw.org>
Date:   Mon Dec 18 10:48:07 2006 -0500

    Implemented backward radix-2k rdft2.
    [empty commit message]

commit c91a0bf1ed85466bcb46d2f55128399855c90f06
Author: stevenj <stevenj@fftw.org>
Date:   Mon Dec 18 13:56:09 2006 -0500

    move extract_reim into kernel, since it is used by internal MPI stuff and not just in the API code any more
    [empty commit message]

commit ab0e79e7a1319598924b4d434f1a0ce57bc58a43
Author: athena <athena@fftw.org>
Date:   Mon Dec 18 08:40:14 2006 -0500

    Do not check r1==cr unless rnk>0
    [empty commit message]

commit 4a203a4d39cb5b02d1f6d83f2f525a6a6c0cf065
Author: athena <athena@fftw.org>
Date:   Sun Dec 17 21:03:50 2006 -0500

    Implemented radix-2k RDFT2, forward only for now
    [empty commit message]

commit 6d86c9dd27b6fbfb45faf91980565df40ec8d825
Author: stevenj <stevenj@fftw.org>
Date:   Mon Dec 18 01:23:45 2006 -0500

    separate TRANSPOSED/SCRAMBLED flags internally (this is required so that dft-rank1-bigvec and the future dft-rank1 won't have incompatible SCRAMBLED formats)
    [empty commit message]

commit 7920d86807a6fe9829cca1cb4e633ab3156c8b38
Author: stevenj <stevenj@fftw.org>
Date:   Mon Dec 18 01:02:27 2006 -0500

    ops_add -> ops_add2 where possible, to shrink code
    [empty commit message]

commit 81d5eddab81d4c0265863e1da6302b63fb1a9a80
Author: stevenj <stevenj@fftw.org>
Date:   Mon Dec 18 00:43:02 2006 -0500

    added dft-rank1-bigvec solver (easy case for 1d parallel transforms)
    [empty commit message]

commit bf7a77840dcbe0b1d5a8a1d7568877f093299e69
Author: stevenj <stevenj@fftw.org>
Date:   Sun Dec 17 20:42:21 2006 -0500

    rewrote MPI stuff to use dtensor data structure
    
    A dtensor is an ordered tuple of triplets (n, ib, ob) giving the size of
    a dimension (n) and its input and output block sizes of a distributed
    row-major multi-dimensional array.  An MPI DFT (etc.) is now specified
    in terms of dtensors, which provide a much more flexible data layout.
    
    For example, we can now describe multidimensional block distributions,
    which are important if the number of processors is greater than the
    size of any given dimension.  Currently, we only have solvers for
    1d slab distributions, and this is all that is supported in the basic
    and advanced APIs.  The guru API allows one to specify more general
    distributions, however, which will be useful when/if we have solvers
    for this case.
    
    We now also don't need a TRANSPOSED flag, at least internally, since
    TRANSPOSED multi-dimensional DFT plans just correspond to dtensors
    where the input and output block distributions are different.
    
    Other changes include the use of the XM(foo) macro for X(mpi_foo).

commit c9e4b997dd8cd38b753a8c40fb0004ab07124ca7
Author: athena <athena@fftw.org>
Date:   Fri Dec 15 16:01:23 2006 -0500

    Distinguished mutexes from semaphores.
    The distinction is useful because the linux implementation of
    sem_post() in unnecessarily slow when semaphores are used for mutual
    exclusion.  This change made spinlocks messier to implement, so I
    excised them.

commit 352252ac74f50d01ae2c996f0072533f84c9a043
Author: athena <athena@fftw.org>
Date:   Fri Dec 15 12:46:11 2006 -0500

    Use posix semaphores where available.
    Paranoid declaration of all shared variables as ``volatile''.  Paranoid
    initialization of all shared variables within locks.

commit 3364aa89b74e5e6a3514c653dc4ef4ebeebddae4
Author: Matteo Frigo <athena@fftw.org>
Date:   Wed Dec 13 20:12:13 2006 -0500

    paranoia
    [empty commit message]

commit 0be1cd7e754cf3b9550bcf6f60c2b31643d4512a
Author: stevenj <stevenj@fftw.org>
Date:   Tue Dec 12 17:28:13 2006 -0500

    punt on detecting unsolvable rdft2 problems; make r==iio rdft2 problems unsolvable, since it doesn't look like we've consistently checked for this case and it's not clear why we would want to support it (it was also not documented in the manual)
    [empty commit message]

commit 8f3194d212eeb8c2382a60a4db59ff1cf935faef
Author: athena <athena@fftw.org>
Date:   Sat Dec 9 12:14:13 2006 -0500

    Obey stupid const rules
    [empty commit message]

commit 1f7938759fd6c3a52293ffeffea1961692a22e72
Author: stevenj <stevenj@fftw.org>
Date:   Fri Dec 8 18:21:50 2006 -0500

    added unsolvable check for rdft2 problem
    
    An in-place rdft2 problem is ill-formed if the real data, including the
    extra "padding" elements, do not coincide with the complex data.
    
    CHANGE: the new code considers all in-place split r2c and c2r problems
    to be ill-formed.  Previously, these could be done, but only if the
    entire multi-dimensional array fit into the buffer, which is kind of
    stupid.  I'm not sure it's worth it to even try to support the
    split in-place r2c case.

commit e5241fedc1b2a9be448809abfc8b812e07598801
Author: stevenj <stevenj@fftw.org>
Date:   Fri Dec 8 13:47:53 2006 -0500

    check in-placeness after joining taints
    [empty commit message]

commit b7a9db50bbf343d80e6b5d0cbaae7cd4d8653f1e
Author: athena <athena@fftw.org>
Date:   Fri Dec 8 13:43:44 2006 -0500

    Grrr... paranoid-check was not testing in exhaustive mode
    [empty commit message]

commit d34bae7a5b89e8298450b98759be43f22e7c99d3
Author: Matteo Frigo <athena@fftw.org>
Date:   Fri Dec 8 10:00:30 2006 -0500

    Implemented PROBLEM_UNSOLVABLE.
    In-place DFT and RDFT problems with inconsistent I/O strides are
    now unsolvable, and we don't check for them any longer in solvers.
    
    While I was at it, declared all problem pointers to be ``const''
    for extra safety.

commit db6e8b81d60e8cbe9f49ac3035a5151759afc88b
Author: Matteo Frigo <athena@fftw.org>
Date:   Thu Dec 7 20:13:46 2006 -0500

    Avoid qsort'ing one element.
    [empty commit message]

commit a6d29bce88258799bb4bc6ee27c36aa5ccf4cbcd
Author: Matteo Frigo <athena@fftw.org>
Date:   Thu Dec 7 18:25:47 2006 -0500

    In-place vrank>=1 is now applicable only if the problem is really in-place.
    [empty commit message]

commit f0e0bda2dacfef167a5387c26d0c5631b59aaa0c
Author: athena <athena@fftw.org>
Date:   Tue Dec 5 12:21:38 2006 -0500

    unused variable
    [empty commit message]

commit 07dc6817f4991f8690c6b6952bc3879c4712a624
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Dec 3 19:16:33 2006 -0500

    Removed CVS $Id$ everywhere, since darcs does not update them.
    [empty commit message]

commit 2cf2355d9987a09710a6b6b345cf232abf8c1a8b
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Dec 3 16:11:17 2006 -0500

    generalized dftw to encompass q codelets.  As a side effect, q codelets are now threaded.
    [empty commit message]

commit 942c7b34d673282b52aacbb51237b38f3ffef3f5
Author: stevenj <stevenj@fftw.org>
Date:   Sat Nov 25 16:34:38 2006 -0500

    add missing __declspec attribute to threads API functions when compiling for Windows (thanks to Robert O. Morris for the bug report)
    [empty commit message]

commit 8c4b9a9a79e7fdbbd7eab18f4aac4ac94c8ce2cb
Author: stevenj <stevenj@fftw.org>
Date:   Mon Nov 20 17:39:20 2006 -0500

    add AC_SUBST to AX_OPENMP, thanks to Sebastien Maret for the suggestion
    [empty commit message]

commit 02d141e6157d606dce0bf146248958313ea19466
Author: stevenj <stevenj@fftw.org>
Date:   Mon Oct 16 23:02:29 2006 -0400

    not gcc bug for MIPS (thanks to Jonathan Day)
    [empty commit message]

commit 87fc8a66ef9cf8161a4cf23c0580f91ec9e86e25
Author: stevenj <stevenj@fftw.org>
Date:   Sat Sep 23 17:52:36 2006 -0400

    in maintainer/debug mode, don't modify CFLAGS if they were explicitly set (-pedantic seems to cause problems with LAM's mpicc, so I need a way to override)
    [empty commit message]

commit d1ebd06376db08bd5afecbe45d6059f60f7cd09d
Author: athena <athena@fftw.org>
Date:   Wed Nov 22 18:14:47 2006 -0500

    Removed obsolete comment.
    [empty commit message]

commit b7bdd19e3b444a9c0ce68991739644a0fd4d9166
Author: athena <athena@fftw.org>
Date:   Sun Nov 19 11:21:44 2006 -0500

    Use p->v when comparing TW_FULL fields.
    [empty commit message]

commit fd6481c30c72bf15c3316dd7db6664e5b801160e
Author: athena <athena@fftw.org>
Date:   Thu Nov 16 14:49:05 2006 -0500

    removed useless definition
    [empty commit message]

commit d161dc974c19cf43addd4b6cb516ae6b770827e7
Author: athena <athena@fftw.org>
Date:   Mon Nov 13 09:18:32 2006 -0500

    paranoid avoidance of integer overflows
    [empty commit message]

commit e5a1cce0ead5ae9d73c2c38c48e66c3bf059a874
Author: athena <athena@fftw.org>
Date:   Mon Nov 13 09:00:11 2006 -0500

    avoid potential overflows in cycle counters
    At the suggestion of Alex Cichowski, convert all ticks
    to double before operating on them, to avoid potential
    signed/unsigned confusion and integer overflow.

commit 98e4c9b9751d26d0adecc56634cc77e5689357bc
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Nov 5 09:00:52 2006 -0500

    Removed unused struct field
    [empty commit message]

commit 303349e158e3fdf0231790fe32a6831aa671f895
Author: Matteo Frigo <athena@fftw.org>
Date:   Sat Nov 4 09:43:13 2006 -0500

    use pthread condition variables instead of semaphores
    Condition variables are more likely to be portable everywhere, and
    somehow they appear to introduce less overhead at least on my
    linux box.

commit eb7fb1efca70242568f0e74266ea88e8c9a45eff
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Oct 31 20:45:24 2006 -0500

    Imprecise help message.
    [empty commit message]

commit 08bdb758c515972281738ca7567e38d3aeb05cf4
Author: athena <athena@fftw.org>
Date:   Mon Oct 30 20:13:35 2006 -0500

    Experimental implementation of spinlocks.
    This patch implements spinlocks via a semi-portable hack, and adds
    the -ospinlocks option to the bench program so that we can play with them.

commit fe239f5afbec9a3868f4330849cfe3d6dccb54b0
Author: athena <athena@fftw.org>
Date:   Thu Oct 26 22:29:18 2006 -0400

    Updated manual for new openmp configure options.
    [empty commit message]

commit 9809db57ce3f7e945e7bf04105a3fce74cdf7f47
Author: athena <athena@fftw.org>
Date:   Thu Oct 26 21:52:39 2006 -0400

    Added back openmp.
    Rationalized threads naming conventions:
    
      * threads explicitly managed by us are enabled by --enable-threads,
        predicated on HAVE_THREADS, etc.
      * openmp is enabled by --enable-openmp, predicated on HAVE_OPENMP, etc.
      * SMP denotes either THREADS or OPENMP.

commit 22cd21b038b6dd972444d5b00a6ebd00a932aa7f
Author: athena <athena@fftw.org>
Date:   Mon Oct 23 20:14:31 2006 -0400

    different thread protocols
    [empty commit message]

commit f61da0e9c9db3c22dfd61c108f5f65bc4afe78bd
Author: athena <athena@fftw.org>
Date:   Sun Oct 22 14:49:32 2006 -0400

    fix memory leak
    Added pthread_attr_destroy to avoid memory leak.

commit 6f6532928b29c6ac7599424c9dc834c41fc7fcf0
Author: athena <athena@fftw.org>
Date:   Sun Oct 22 14:23:30 2006 -0400

    Experimental new pthread implementation that recycles threads.
    [empty commit message]

commit e8c76bbab164fd6ad784bcfd9ec0fe5f002bfb43
Author: athena <athena@fftw.org>
Date:   Tue Oct 24 23:28:10 2006 -0400

    switched buddies
    Switched order of buddies in rdft2 rank-geq2 for consistency
    with analogous dft and rdft solvers.  Furthermore, this change reduces
    the MEASURE planning time for rank == 3.

commit 3e13c85d1651dfc698143631f47a45b4c3947d12
Author: Matteo Frigo <athena@fftw.org>
Date:   Sat Oct 21 10:10:00 2006 -0400

    Typo.
    [empty commit message]

commit 7151038f7642b5ca050afb037fd91719a6f733b8
Author: Matteo Frigo <athena@fftw.org>
Date:   Sat Oct 21 09:56:50 2006 -0400

    Out of place is the default.  Thanks to Kirk Kern for pointing this out.
    [empty commit message]

commit 281e20106cf076681392cb66050e11d2ac758dd2
Author: stevenj <stevenj@fftw.org>
Date:   Fri Sep 29 01:36:11 2006 -0400

    rename "test" to "tst", since a user (Igor Levicki) reports that "test" is a reserved words in some x86 assemblers
    [empty commit message]

commit 859e712b9c8051f6a1fb5a6500472042f194712f
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Sep 26 09:01:08 2006 -0400

    Stylistic change.
    [empty commit message]

commit d024e575f98dc4a3452b9e0d5115a6650a7bf951
Author: athena <athena@fftw.org>
Date:   Tue Sep 26 08:45:37 2006 -0400

    Do not set tmin=1e10, since a large FFT may take longer than that.
    [empty commit message]

commit f31fffd32e9497675200784973ee8420ef3d60db
Author: athena <athena@fftw.org>
Date:   Sat Sep 23 22:07:10 2006 -0400

    Disable certain gcc optimizations.
    When PRECOMPUTE_ARRAY_INDICES is #define'd, array indices have the
    form array[stride[k]] for compile-time constant k.  Apparently new
    gcc's copy stride[k] onto the stack before the codelet loop, which is
    an idiotic optimization if ever there was one.  This patch confuses
    gcc enough to prevent this optimization.

commit 0cc1f20ac1bbadb2e82d6465941755a9754d69d7
Author: stevenj <stevenj@fftw.org>
Date:   Sat Sep 23 13:02:58 2006 -0400

    re-enable TOMS algorithm - it is the best for large vector lengths, since for such sizes the cache line is not an issue and the bookkeeping overhead is negligible
    [empty commit message]

commit 458c7ee2e058d2cbe6fc90d23780b59bb29fbb52
Author: stevenj <stevenj@fftw.org>
Date:   Thu Sep 21 15:40:15 2006 -0400

    add measure_hook so that MPI can synchronize timing measurements (otherwise different processors might end up with different MPI plans, yikes!)
    [empty commit message]

commit 9fa6c37e2e09ea6bd226bde9a62f95d7c66f33bb
Author: stevenj <stevenj@fftw.org>
Date:   Tue Sep 19 21:26:19 2006 -0400

    added O(p log p) transpose algorithm (radix 2)
    [empty commit message]

commit 1316689f96089a3b53799a3733d15add7c2f267c
Author: stevenj <stevenj@fftw.org>
Date:   Tue Sep 19 21:05:09 2006 -0400

    comments
    [empty commit message]

commit c4b69d82b2c7de2fa2a963e27e3e498544c80262
Author: stevenj <stevenj@fftw.org>
Date:   Tue Sep 19 19:54:58 2006 -0400

    whoops
    [empty commit message]

commit 19265283619d376581c5815adab98a2b51fb0cb2
Author: stevenj <stevenj@fftw.org>
Date:   Tue Sep 19 19:49:01 2006 -0400

    synchronize planning so that if one process fails to create a plan then all of them do.
    [empty commit message]

commit e1b970b70562528b08d665ad2f7a17ee31f23e47
Author: stevenj <stevenj@fftw.org>
Date:   Tue Sep 19 18:17:38 2006 -0400

    call MPI_Alltoall instead of MPI_Alltoallv for equal-blocks case, in case MPI implementation has special optimizations for the common case of equal sizes
    [empty commit message]

commit 3adcd54e6a54928afc2c58b7aab4bc75664be1d1
Author: stevenj <stevenj@fftw.org>
Date:   Tue Sep 19 12:07:35 2006 -0400

    whoops
    [empty commit message]

commit 31b25a3bccaa0a8290dab5010199da8a5fec619d
Author: stevenj <stevenj@fftw.org>
Date:   Tue Sep 19 02:20:06 2006 -0400

    typo in comment
    [empty commit message]

commit 519395bdb6ed85a2f18ba95bc82a68b2d42ddaae
Author: stevenj <stevenj@fftw.org>
Date:   Tue Sep 19 01:58:55 2006 -0400

    more filename simplifications
    [empty commit message]

commit 2870207d79654158ecf7ae1d68d37382be5e39da
Author: stevenj <stevenj@fftw.org>
Date:   Tue Sep 19 01:49:52 2006 -0400

    canonicalize file names (hyphens, not underscores)
    [empty commit message]

commit 41c88ac7e2cc2df2ff894c7223d55a41800b4c98
Author: stevenj <stevenj@fftw.org>
Date:   Tue Sep 19 01:34:07 2006 -0400

    add mpi-dft-serial
    [empty commit message]

commit cbf1beef8656c2b0bc205c4787e6986cf32b405a
Author: stevenj <stevenj@fftw.org>
Date:   Tue Sep 19 01:21:47 2006 -0400

    silence warnings
    [empty commit message]

commit ff7df52317b96acc1966b2d5920e46a3e368bded
Author: stevenj <stevenj@fftw.org>
Date:   Tue Sep 19 00:31:59 2006 -0400

    make "t" problem semantics match FFTW_MPI_TRANSPOSED
    [empty commit message]

commit 694244ed8ede7153eca565e43ff553a26db39b8f
Author: stevenj <stevenj@fftw.org>
Date:   Mon Sep 18 23:50:43 2006 -0400

    whoops, fixed backwards mpi_dft
    [empty commit message]

commit a36a49ee7709c1f3010f32039814f655e502850a
Author: stevenj <stevenj@fftw.org>
Date:   Mon Sep 18 22:26:31 2006 -0400

    initial stab at rank-geq2 mpi-dft; seems to be mostly working
    [empty commit message]

commit c8e0a65f63c0d8eb6a148cee255c5aca2ff4c68b
Author: stevenj <stevenj@fftw.org>
Date:   Sun Sep 17 13:41:32 2006 -0400

    support SCRAMBLED_OUT in alltoall transpose
    [empty commit message]

commit 72887de15eec06aeb7426d6a7cc527fc171821b0
Author: stevenj <stevenj@fftw.org>
Date:   Sun Sep 17 12:34:30 2006 -0400

    skeleton of future support for block-cyclic
    [empty commit message]

commit 62b562d1df02409e10395385348f56318e46a2e7
Author: stevenj <stevenj@fftw.org>
Date:   Sun Sep 17 12:11:19 2006 -0400

    test program now checks scrambled in/out via -obflag=28/29
    [empty commit message]

commit b3ef0c11ca26e02875c29eb154f1a5b9bf386ad5
Author: stevenj <stevenj@fftw.org>
Date:   Sun Sep 17 11:58:36 2006 -0400

    added -obflag to make it easier to set high-order bits
    [empty commit message]

commit a4cbe985fe508661ccf587b5331e62b0a6526289
Author: stevenj <stevenj@fftw.org>
Date:   Sun Sep 17 01:30:51 2006 -0400

    use proper child plans for 2nd transpose in transpose_alltoall; implement opcount in transpose_inplace
    [empty commit message]

commit ab2dd6cfd9903487e3ac3cf9401c9a1f35de4862
Author: stevenj <stevenj@fftw.org>
Date:   Sun Sep 17 01:08:01 2006 -0400

    fix in test program for transposes of vectors -- transpose routines seem to completely work now (except for scrambled in/out, which is untested)
    [empty commit message]

commit aa5eecbf266020f2e2788bba862c13f6575d1ce8
Author: stevenj <stevenj@fftw.org>
Date:   Sun Sep 17 01:01:16 2006 -0400

    fixed bug in transpose_alltoall for unequal blocks
    [empty commit message]

commit 202f232a54abc2cb04e0a3d0d32bdb727c306c4e
Author: stevenj <stevenj@fftw.org>
Date:   Sat Sep 16 15:29:46 2006 -0400

    correctly handle cld2rest
    [empty commit message]

commit 36668c0dd144f2bc2f6b2bf1f10eb1677593b9c6
Author: stevenj <stevenj@fftw.org>
Date:   Sat Sep 16 15:29:31 2006 -0400

    some debugging code and other fixes
    [empty commit message]

commit 66dcf1f5c673fd16b2f0f88988c4aaf388eeaf27
Author: stevenj <stevenj@fftw.org>
Date:   Sat Sep 16 14:54:30 2006 -0400

    whoops, forgot to check in mpi_bench.c file
    [empty commit message]

commit 3d96f316225934ef4485bcc2432314b89292914b
Author: stevenj <stevenj@fftw.org>
Date:   Sat Sep 16 14:54:02 2006 -0400

    added bench_exit routine so that it can be overridden (by MPI_Abort) if needed
    [empty commit message]

commit b14337a969f6fee88bda25464c7ef7c0e56b5c00
Author: stevenj <stevenj@fftw.org>
Date:   Sat Sep 16 14:52:56 2006 -0400

    bug fix in mpi_transpose_inplace for case where some processors are idle
    [empty commit message]

commit 43fd42786f54710bffe85528beae2fff76e4a58e
Author: stevenj <stevenj@fftw.org>
Date:   Fri Sep 15 18:47:13 2006 -0400

    allow vecloop for sz->rnk==0 in exceptional (SLOW) cases, e.g. it is necessary for loops of non-square transposes (otherwise e.g. ik1v5:200:200x10:20:1x20:1:10 planning fails)
    [empty commit message]

commit 121eaa69908a7b465f21f3529f74e983a63801ad
Author: stevenj <stevenj@fftw.org>
Date:   Thu Sep 14 23:36:48 2006 -0400

    first pass at working mpi_bench test program; transpose seems to work iff dimensions are divisible by #processors
    [empty commit message]

commit 51101a902b4fdaef585e1d9e975238100951601c
Author: stevenj <stevenj@fftw.org>
Date:   Wed Sep 13 17:28:07 2006 -0400

    whoops
    [empty commit message]

commit 7986cd7f00327db5f156e8d4d1458456f309e37a
Author: stevenj <stevenj@fftw.org>
Date:   Tue Sep 12 22:27:03 2006 -0400

    initial stub for mpi_bench
    [empty commit message]

commit 279ca0155c7cb9dcd9bb9c75149a24bb1f44ba50
Author: stevenj <stevenj@fftw.org>
Date:   Tue Sep 12 21:54:31 2006 -0400

    do no output at all if verbose < 0 (for use with MPI, where we only want output from process 0)
    [empty commit message]

commit 481f3838af04ae3db7aee15094ecf748f71d03da
Author: stevenj <stevenj@fftw.org>
Date:   Tue Sep 12 21:39:15 2006 -0400

    whoops
    [empty commit message]

commit 792aaa1acca61e89b5605cbed49e9dd86bfbc2b1
Author: stevenj <stevenj@fftw.org>
Date:   Tue Sep 12 21:31:40 2006 -0400

    split bench.c into bench.c and fftw_bench_common.c so that we can re-use some of the code in the MPI test program
    [empty commit message]

commit 3b3b95ad0b1ab373687a9df59cdf2ec4bcdd502b
Author: stevenj <stevenj@fftw.org>
Date:   Tue Sep 12 21:00:36 2006 -0400

    MPI stuff at least compiles now
    [empty commit message]

commit f5092f54bc2b8ee7289a2fb5148fc5315cbb2ee8
Author: stevenj <stevenj@fftw.org>
Date:   Mon Sep 11 22:26:36 2006 -0400

    initial (nonfunctional) start at MPI support (similar to FFTW 2.x in spirit, but mostly rewritten)
    [empty commit message]

commit 64d68fafe0c7f4433aec4a0925ce5972c33c78b4
Author: stevenj <stevenj@fftw.org>
Date:   Mon Sep 11 22:25:38 2006 -0400

    make X(plan_awake) work for NULL argument to reduce code size
    [empty commit message]

commit ed05c503c219544b0fe91af61db02d9cbb4027b5
Author: stevenj <stevenj@fftw.org>
Date:   Fri Sep 15 23:47:08 2006 -0400

    -mt should go before -mthreads to avoid spurious warnings on HPUX (thanks to Peter O'Gorman for the bug report)
    [empty commit message]

commit d737c7b3eca4ff8d7f372273f114dfd4e765b70c
Author: stevenj <stevenj@fftw.org>
Date:   Mon Sep 11 13:53:44 2006 -0400

    Fortran init_threads wrapper didn't return result; thanks to Markus Wetzstein for the bug report
    [empty commit message]

commit ba5664a7958d533904b9251a4bfaa56b0f338a8a
Author: stevenj <stevenj@fftw.org>
Date:   Thu Sep 7 18:43:55 2006 -0400

    make sure wrappers are included even if Fortran compiler was not detected (unless --disable-fortran was specified explicitly) ... this was supposed to be done before, but the definition was in the wrong place, grr
    [empty commit message]

commit 188c9dde71d0bc56ba30a052b82d02b6676f20ed
Author: stevenj <stevenj@fftw.org>
Date:   Thu Aug 31 19:33:29 2006 -0400

    I'm sick of answering this question about non-deterministic results
    [empty commit message]

commit 336fb6116c43aa5559392ea2d0759606efd6f275
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Aug 22 21:27:29 2006 -0400

    Add --tag=CC flag to libtool.
    
    This change is consistent with the libtool invocation in the latest
    automake, and is required to compile with (some version of) xlc.

commit d98d86f9115ca1a836e92d8df8e061f98f329032
Author: athena <athena@fftw.org>
Date:   Mon Aug 21 21:40:36 2006 -0400

    avoid ``fma'' because it is defined in c99.
    [empty commit message]

commit 841eb8db14a22936ba8ef81f439f42cb2411073d
Author: Matteo Frigo <athena@fftw.org>
Date:   Sun Aug 20 11:40:53 2006 -0400

    Obey -standalone flag.
    [empty commit message]

commit f270abac4732fe5f77708bef5f0d0cdc599bdb61
Author: Matteo Frigo <athena@fftw.org>
Date:   Sat Aug 19 13:34:27 2006 -0400

    obey -standalone when generating simd codelets
    [empty commit message]

commit f573bbe2aaafabfbb21daf7da62972b8b071167f
Author: Matteo Frigo <athena@fftw.org>
Date:   Sat Aug 19 13:33:43 2006 -0400

    removed obsolete athfft
    [empty commit message]

commit 84e5b7792da92198e101b168d10710f0b81df5e8
Author: stevenj <stevenj@fftw.org>
Date:   Thu Aug 17 21:50:50 2006 -0400

    updated citation to Proc. IEEE paper
    [empty commit message]

commit 5ca3a79e05b95a688c21e7cb37a1ef7fa42a7f04
Author: stevenj <stevenj@fftw.org>
Date:   Thu Aug 17 21:47:05 2006 -0400

    use darcs changes --summary to make nice changelog; emacs fill-region hack is obsolete
    [empty commit message]

commit b80ff1b7affc5ba9c62bde0b06a548c3baf7c615
Author: athena <athena@fftw.org>
Date:   Mon Aug 14 17:53:19 2006 -0400

    removed timer calibration
    Timer calibration seems not to work any longer on recent processors---
    too much noise.  I have remove it completely.

commit 8986b3fa943f3f424a2f75541f8627a86af31a0a
Author: Matteo Frigo <athena@fftw.org>
Date:   Mon Aug 14 10:47:15 2006 -0400

    removed k7
    Removed obsolete k7 support.

commit 820835bfa680e9a0193435bfbcaf21923df9e7fc
Author: athena <athena@fftw.org>
Date:   Sun Aug 13 11:02:11 2006 -0400

    Use darcs instead of cvs.
    [empty commit message]

commit 818c52da26a5d0781db8d9b45d4026403fb7e922
Author: Matteo Frigo <athena@fftw.org>
Date:   Wed Jul 19 08:52:15 2006 -0400

    Treat a the string "-" as a nonoption.

commit 4e8a814e90696ee38898bfb5f079ac9bb6b614c2
Author: Steven G. Johnson <stevenj@fftw.org>
Date:   Tue Jul 4 17:10:47 2006 -0400

    comment out pkginclude dir for now

commit 1bc4dd79b8cc59be7b18676f338c78013da54dab
Author: Steven G. Johnson <stevenj@fftw.org>
Date:   Mon Jul 3 20:51:08 2006 -0400

    make sure CCAS = CC to avoid libtool confusion

commit ebddd6bce119dec0b9a970a6d6194131321bdc5e
Author: Steven G. Johnson <stevenj@fftw.org>
Date:   Fri Jun 23 04:07:31 2006 -0400

    install x77.h guru.h guru64.h in pkgincludedir

commit e272fe53d7d822aa7d5ce03277f40c87aa843eef
Author: Steven G. Johnson <stevenj@fftw.org>
Date:   Fri Jun 23 04:03:42 2006 -0400

    whitespace

commit d6d23fdac18d0d01e363ff60bdba1285be017d0c
Author: Steven G. Johnson <stevenj@fftw.org>
Date:   Fri Jun 23 02:33:45 2006 -0400

    support cycle counter with xlc on Linux/ppc

commit 677dd906902cf9dd2215c576a8f9d9e6755cc7cd
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Jun 20 08:16:08 2006 -0400

    Stylistic change.

commit bb6bed2564fdec63eb8439031bc45caf8436b378
Author: Steven G. Johnson <stevenj@fftw.org>
Date:   Tue Jun 20 02:20:34 2006 -0400

    bump date

commit 6944a35c403fdcbf6b7b46f1aa9df9288991efca
Author: Steven G. Johnson <stevenj@fftw.org>
Date:   Tue Jun 20 02:20:06 2006 -0400

    correct bug reported by Andrew Salamon ... --enable-portable-binary was
    ignored (or rather, treated unpredictably) due to typo, grrr

commit ad98ebc35798f8713ac299ebe9ce74ca9fefe2f1
Author: Steven G. Johnson <stevenj@fftw.org>
Date:   Thu Jun 1 20:30:06 2006 -0400

    install 'internal' header files into includedir/fftw3/, includedir/fftw3f/, etcetera....this will make it easier to write external libraries that plug into FFTW internals, e.g. to add new solvers

commit 4ce51f61d823524e8bebc4bc92ad2b17b6e7b53a
Author: Steven G. Johnson <stevenj@fftw.org>
Date:   Mon May 29 23:59:19 2006 -0400

    bug fix, thanks to James Donald for the bug report (only affects experimental semaphore stuff)

commit ca9e38be107c761af7cd66a3ce9f0cfe93e9c069
Author: Steven G. Johnson <stevenj@fftw.org>
Date:   Mon May 29 23:58:16 2006 -0400

    comment

commit 7e4b4be5e1bcdd9706a3ded5e2f59010ff751401
Author: Steven G. Johnson <stevenj@fftw.org>
Date:   Mon May 29 21:02:50 2006 -0400

    whoops

commit 5af69a3ec3b932c0d7e3e2dfdbcbff2aa067c5bf
Author: Steven G. Johnson <stevenj@fftw.org>
Date:   Sat May 27 19:36:15 2006 -0400

    version bump

commit 27dd43e42fa0b4ccea275b2143a9056f42f8c7f9
Author: Steven G. Johnson <stevenj@fftw.org>
Date:   Sat May 27 14:54:47 2006 -0400

    only check for xlc_r/cc_r if we are not using gcc

commit c222c025be6649da84164ba5d2334fdcf0b3ac0b
Author: Steven G. Johnson <stevenj@fftw.org>
Date:   Fri May 26 15:00:38 2006 -0400

    use ptrdiff_t (it's C89 and standard C++, hooray)

commit c3450d7f654ac2adf06bbbe9687f99cf1c6641b5
Author: Steven G. Johnson <stevenj@fftw.org>
Date:   Fri May 26 12:59:33 2006 -0400

    version bump

commit 0be4f57c071dc97314660a66f4d46eee4ac143e9
Author: Steven G. Johnson <stevenj@fftw.org>
Date:   Fri May 26 12:57:32 2006 -0400

    noted 64-bit guru API

commit 90455678a81def7a9aa3bc14f17047deb714271b
Author: Steven G. Johnson <stevenj@fftw.org>
Date:   Fri May 26 12:53:09 2006 -0400

    note that newer versions of VC++ support long long

commit efddf05184fe6977af120842d10faf89399f14e0
Author: Steven G. Johnson <stevenj@fftw.org>
Date:   Fri May 26 12:46:09 2006 -0400

    try harder to get a portable 64-bit type

commit 1d34caa16af08ff47fd75006c7576242e4643d17
Author: Steven G. Johnson <stevenj@fftw.org>
Date:   Thu May 25 22:04:18 2006 -0400

    added draft guru64 API

commit f987e828891ddd69efa3c664c68d231c1d3fc460
Author: Steven G. Johnson <stevenj@fftw.org>
Date:   Mon May 22 16:41:44 2006 -0400

    added FIXME note

commit 245cd07427cd24c953e4f1eea383790c7f557701
Author: Steven G. Johnson <stevenj@fftw.org>
Date:   Mon May 22 16:40:30 2006 -0400

    check for xlc_r in addition to cc_r; thanks to Guy Moebs for the bug report

commit 8a76c773855a145883608d47ca0aaa369e3ec408
Author: Steven G. Johnson <stevenj@fftw.org>
Date:   Fri Apr 21 12:35:25 2006 -0400

    added note about gcc 4.0.1 on MacOS/Intel

commit 9bb0ec78947a8597e0642379e7348e6b1c03af0b
Author: Steven G. Johnson <stevenj@fftw.org>
Date:   Thu Apr 20 23:08:42 2006 -0400

    added code for Core Duo; thanks to Eric Branlund

commit d7a2e4a3ad51c01ec1bffbbadad602bb643da270
Author: Steven G. Johnson <stevenj@fftw.org>
Date:   Thu Apr 20 20:21:03 2006 -0400

    fixed failure for -fPIC or for gcc-4 on Apple Intel machines; thanks to
    Eric Branlund for the bug report

commit 3cb3cea549b4e8e0f9a16a1952eae4b4d8be1189
Author: Matteo Frigo <athena@fftw.org>
Date:   Tue Apr 11 20:00:31 2006 -0400

    Use -maltivec when checking for altivec.h.

commit e2fb474c726118343e25059e2e1e8d2da6a21f62
Author: Steven G. Johnson <stevenj@fftw.org>
Date:   Mon Apr 3 15:52:44 2006 -0400

